"use strict";Object.defineProperty(exports,"__esModule",{value:!0});const objectToString=Object.prototype.toString;function isError(t){switch(objectToString.call(t)){case"[object Error]":case"[object Exception]":case"[object DOMException]":return!0;default:return isInstanceOf(t,Error)}}function isBuiltin(t,e){return objectToString.call(t)===`[object ${e}]`}function isErrorEvent(t){return isBuiltin(t,"ErrorEvent")}function isDOMError(t){return isBuiltin(t,"DOMError")}function isDOMException(t){return isBuiltin(t,"DOMException")}function isString(t){return isBuiltin(t,"String")}function isPrimitive(t){return null===t||"object"!=typeof t&&"function"!=typeof t}function isPlainObject(t){return isBuiltin(t,"Object")}function isEvent(t){return"undefined"!=typeof Event&&isInstanceOf(t,Event)}function isElement(t){return"undefined"!=typeof Element&&isInstanceOf(t,Element)}function isRegExp(t){return isBuiltin(t,"RegExp")}function isThenable(t){return Boolean(t&&t.then&&"function"==typeof t.then)}function isSyntheticEvent(t){return isPlainObject(t)&&"nativeEvent"in t&&"preventDefault"in t&&"stopPropagation"in t}function isNaN$1(t){return"number"==typeof t&&t!=t}function isInstanceOf(t,e){try{return t instanceof e}catch(t){return!1}}function isGlobalObj(t){return t&&t.Math==Math?t:void 0}const GLOBAL_OBJ="object"==typeof globalThis&&isGlobalObj(globalThis)||"object"==typeof window&&isGlobalObj(window)||"object"==typeof self&&isGlobalObj(self)||"object"==typeof global&&isGlobalObj(global)||function(){return this}()||{};function getGlobalObject(){return GLOBAL_OBJ}function getGlobalSingleton(t,e,n){const r=n||GLOBAL_OBJ,i=r.__SENTRY__=r.__SENTRY__||{};return i[t]||(i[t]=e())}const WINDOW=getGlobalObject(),DEFAULT_MAX_STRING_LENGTH=80;function htmlTreeAsString(t,e={}){try{let n=t;const r=5,i=[];let a=0,s=0;const o=" > ",c=o.length;let u;const l=Array.isArray(e)?e:e.keyAttrs,d=!Array.isArray(e)&&e.maxStringLength||DEFAULT_MAX_STRING_LENGTH;for(;n&&a++<r&&!("html"===(u=_htmlElementAsString(n,l))||a>1&&s+i.length*c+u.length>=d);)i.push(u),s+=u.length,n=n.parentNode;return i.reverse().join(o)}catch(t){return"<unknown>"}}function _htmlElementAsString(t,e){const n=t,r=[];let i,a,s,o,c;if(!n||!n.tagName)return"";r.push(n.tagName.toLowerCase());const u=e&&e.length?e.filter(t=>n.getAttribute(t)).map(t=>[t,n.getAttribute(t)]):null;if(u&&u.length)u.forEach(t=>{r.push(`[${t[0]}="${t[1]}"]`)});else if(n.id&&r.push(`#${n.id}`),(i=n.className)&&isString(i))for(a=i.split(/\s+/),c=0;c<a.length;c++)r.push(`.${a[c]}`);const l=["type","name","title","alt"];for(c=0;c<l.length;c++)s=l[c],(o=n.getAttribute(s))&&r.push(`[${s}="${o}"]`);return r.join("")}function getLocationHref(){try{return WINDOW.document.location.href}catch(t){return""}}class SentryError extends Error{constructor(t,e="warn"){super(t),this.message=t,this.name=new.target.prototype.constructor.name,Object.setPrototypeOf(this,new.target.prototype),this.logLevel=e}}const DSN_REGEX=/^(?:(\w+):)\/\/(?:(\w+)(?::(\w+)?)?@)([\w.-]+)(?::(\d+))?\/(.+)/;function isValidProtocol(t){return"http"===t||"https"===t}function dsnToString(t,e=!1){const{host:n,path:r,pass:i,port:a,projectId:s,protocol:o,publicKey:c}=t;return`${o}://${c}${e&&i?`:${i}`:""}`+`@${n}${a?`:${a}`:""}/${r?`${r}/`:r}${s}`}function dsnFromString(t){const e=DSN_REGEX.exec(t);if(!e)throw new SentryError(`Invalid Sentry Dsn: ${t}`);const[n,r,i="",a,s="",o]=e.slice(1);let c="",u=o;const l=u.split("/");if(l.length>1&&(c=l.slice(0,-1).join("/"),u=l.pop()),u){const t=u.match(/^\d+/);t&&(u=t[0])}return dsnFromComponents({host:a,pass:i,path:c,projectId:u,port:s,protocol:n,publicKey:r})}function dsnFromComponents(t){return{protocol:t.protocol,publicKey:t.publicKey||"",pass:t.pass||"",host:t.host,port:t.port||"",path:t.path||"",projectId:t.projectId}}function validateDsn(t){if("undefined"!=typeof __SENTRY_DEBUG__&&!__SENTRY_DEBUG__)return;const{port:e,projectId:n,protocol:r}=t;if(["protocol","publicKey","host","projectId"].forEach(e=>{if(!t[e])throw new SentryError(`Invalid Sentry Dsn: ${e} missing`)}),!n.match(/^\d+$/))throw new SentryError(`Invalid Sentry Dsn: Invalid projectId ${n}`);if(!isValidProtocol(r))throw new SentryError(`Invalid Sentry Dsn: Invalid protocol ${r}`);if(e&&isNaN(parseInt(e,10)))throw new SentryError(`Invalid Sentry Dsn: Invalid port ${e}`);return!0}function makeDsn(t){const e="string"==typeof t?dsnFromString(t):dsnFromComponents(t);return validateDsn(e),e}const PREFIX="Sentry Logger ",CONSOLE_LEVELS=["debug","info","warn","error","log","assert","trace"];function consoleSandbox(t){if(!("console"in GLOBAL_OBJ))return t();const e=GLOBAL_OBJ.console,n={};CONSOLE_LEVELS.forEach(t=>{const r=e[t]&&e[t].__sentry_original__;t in e&&r&&(n[t]=e[t],e[t]=r)});try{return t()}finally{Object.keys(n).forEach(t=>{e[t]=n[t]})}}function makeLogger(){let t=!1;const e={enable:()=>{t=!0},disable:()=>{t=!1}};return"undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__?CONSOLE_LEVELS.forEach(n=>{e[n]=((...e)=>{t&&consoleSandbox(()=>{GLOBAL_OBJ.console[n](`${PREFIX}[${n}]:`,...e)})})}):CONSOLE_LEVELS.forEach(t=>{e[t]=(()=>void 0)}),e}let logger;function truncate(t,e=0){return"string"!=typeof t||0===e?t:t.length<=e?t:`${t.slice(0,e)}...`}function safeJoin(t,e){if(!Array.isArray(t))return"";const n=[];for(let e=0;e<t.length;e++){const r=t[e];try{n.push(String(r))}catch(t){n.push("[value cannot be serialized]")}}return n.join(e)}function isMatchingPattern(t,e,n=!1){return!!isString(t)&&(isRegExp(e)?e.test(t):!!isString(e)&&(n?t===e:t.includes(e)))}function stringMatchesSomePattern(t,e=[],n=!1){return e.some(e=>isMatchingPattern(t,e,n))}function fill(t,e,n){if(!(e in t))return;const r=t[e],i=n(r);if("function"==typeof i)try{markFunctionWrapped(i,r)}catch(t){}t[e]=i}function addNonEnumerableProperty(t,e,n){Object.defineProperty(t,e,{value:n,writable:!0,configurable:!0})}function markFunctionWrapped(t,e){const n=e.prototype||{};t.prototype=e.prototype=n,addNonEnumerableProperty(t,"__sentry_original__",e)}function getOriginalFunction(t){return t.__sentry_original__}function urlEncode(t){return Object.keys(t).map(e=>`${encodeURIComponent(e)}=${encodeURIComponent(t[e])}`).join("&")}function convertToPlainObject(t){if(isError(t))return{message:t.message,name:t.name,stack:t.stack,...getOwnProperties(t)};if(isEvent(t)){const e={type:t.type,target:serializeEventTarget(t.target),currentTarget:serializeEventTarget(t.currentTarget),...getOwnProperties(t)};return"undefined"!=typeof CustomEvent&&isInstanceOf(t,CustomEvent)&&(e.detail=t.detail),e}return t}function serializeEventTarget(t){try{return isElement(t)?htmlTreeAsString(t):Object.prototype.toString.call(t)}catch(t){return"<unknown>"}}function getOwnProperties(t){if("object"==typeof t&&null!==t){const e={};for(const n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n]);return e}return{}}function extractExceptionKeysForMessage(t,e=40){const n=Object.keys(convertToPlainObject(t));if(n.sort(),!n.length)return"[object has no keys]";if(n[0].length>=e)return truncate(n[0],e);for(let t=n.length;t>0;t--){const r=n.slice(0,t).join(", ");if(!(r.length>e))return t===n.length?r:truncate(r,e)}return""}function dropUndefinedKeys(t){return _dropUndefinedKeys(t,new Map)}function _dropUndefinedKeys(t,e){if(isPlainObject(t)){const n=e.get(t);if(void 0!==n)return n;const r={};e.set(t,r);for(const n of Object.keys(t))void 0!==t[n]&&(r[n]=_dropUndefinedKeys(t[n],e));return r}if(Array.isArray(t)){const n=e.get(t);if(void 0!==n)return n;const r=[];return e.set(t,r),t.forEach(t=>{r.push(_dropUndefinedKeys(t,e))}),r}return t}logger="undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__?getGlobalSingleton("logger",makeLogger):makeLogger();const STACKTRACE_LIMIT=50;function createStackParser(...t){const e=t.sort((t,e)=>t[0]-e[0]).map(t=>t[1]);return(t,n=0)=>{const r=[];for(const i of t.split("\n").slice(n)){if(i.length>1024)continue;const t=i.replace(/\(error: (.*)\)/,"$1");for(const n of e){const e=n(t);if(e){r.push(e);break}}}return stripSentryFramesAndReverse(r)}}function stackParserFromStackParserOptions(t){return Array.isArray(t)?createStackParser(...t):t}function stripSentryFramesAndReverse(t){if(!t.length)return[];let e=t;const n=e[0].function||"",r=e[e.length-1].function||"";return-1===n.indexOf("captureMessage")&&-1===n.indexOf("captureException")||(e=e.slice(1)),-1!==r.indexOf("sentryWrapped")&&(e=e.slice(0,-1)),e.slice(0,STACKTRACE_LIMIT).map(t=>({...t,filename:t.filename||e[0].filename,function:t.function||"?"})).reverse()}const defaultFunctionName="<anonymous>";function getFunctionName(t){try{return t&&"function"==typeof t&&t.name||defaultFunctionName}catch(t){return defaultFunctionName}}const WINDOW$1=getGlobalObject();function supportsFetch(){if(!("fetch"in WINDOW$1))return!1;try{return new Headers,new Request("http://www.example.com"),new Response,!0}catch(t){return!1}}function isNativeFetch(t){return t&&/^function fetch\(\)\s+\{\s+\[native code\]\s+\}$/.test(t.toString())}function supportsNativeFetch(){if(!supportsFetch())return!1;if(isNativeFetch(WINDOW$1.fetch))return!0;let t=!1;const e=WINDOW$1.document;if(e&&"function"==typeof e.createElement)try{const n=e.createElement("iframe");n.hidden=!0,e.head.appendChild(n),n.contentWindow&&n.contentWindow.fetch&&(t=isNativeFetch(n.contentWindow.fetch)),e.head.removeChild(n)}catch(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("Could not create sandbox iframe for pure fetch check, bailing to window.fetch: ",t)}return t}function supportsHistory(){const t=WINDOW$1.chrome,e=t&&t.app&&t.app.runtime,n="history"in WINDOW$1&&!!WINDOW$1.history.pushState&&!!WINDOW$1.history.replaceState;return!e&&n}const WINDOW$2=getGlobalObject(),handlers={},instrumented={};function instrument(t){if(!instrumented[t])switch(instrumented[t]=!0,t){case"console":instrumentConsole();break;case"dom":instrumentDOM();break;case"xhr":instrumentXHR();break;case"fetch":instrumentFetch();break;case"history":instrumentHistory();break;case"error":instrumentError();break;case"unhandledrejection":instrumentUnhandledRejection();break;default:return void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("unknown instrumentation type:",t))}}function addInstrumentationHandler(t,e){handlers[t]=handlers[t]||[],handlers[t].push(e),instrument(t)}function triggerHandlers(t,e){if(t&&handlers[t])for(const n of handlers[t]||[])try{n(e)}catch(e){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error(`Error while triggering instrumentation handler.\nType: ${t}\nName: ${getFunctionName(n)}\nError:`,e)}}function instrumentConsole(){"console"in WINDOW$2&&CONSOLE_LEVELS.forEach(function(t){t in WINDOW$2.console&&fill(WINDOW$2.console,t,function(e){return function(...n){triggerHandlers("console",{args:n,level:t}),e&&e.apply(WINDOW$2.console,n)}})})}function instrumentFetch(){supportsNativeFetch()&&fill(WINDOW$2,"fetch",function(t){return function(...e){const n={args:e,fetchData:{method:getFetchMethod(e),url:getFetchUrl(e)},startTimestamp:Date.now()};return triggerHandlers("fetch",{...n}),t.apply(WINDOW$2,e).then(t=>(triggerHandlers("fetch",{...n,endTimestamp:Date.now(),response:t}),t),t=>{throw triggerHandlers("fetch",{...n,endTimestamp:Date.now(),error:t}),t})}})}function getFetchMethod(t=[]){return"Request"in WINDOW$2&&isInstanceOf(t[0],Request)&&t[0].method?String(t[0].method).toUpperCase():t[1]&&t[1].method?String(t[1].method).toUpperCase():"GET"}function getFetchUrl(t=[]){return"string"==typeof t[0]?t[0]:"Request"in WINDOW$2&&isInstanceOf(t[0],Request)?t[0].url:String(t[0])}function instrumentXHR(){if(!("XMLHttpRequest"in WINDOW$2))return;const t=XMLHttpRequest.prototype;fill(t,"open",function(t){return function(...e){const n=this,r=e[1],i=n.__sentry_xhr__={method:isString(e[0])?e[0].toUpperCase():e[0],url:e[1]};isString(r)&&"POST"===i.method&&r.match(/sentry_key/)&&(n.__sentry_own_request__=!0);const a=function(){if(4===n.readyState){try{i.status_code=n.status}catch(t){}triggerHandlers("xhr",{args:e,endTimestamp:Date.now(),startTimestamp:Date.now(),xhr:n})}};return"onreadystatechange"in n&&"function"==typeof n.onreadystatechange?fill(n,"onreadystatechange",function(t){return function(...e){return a(),t.apply(n,e)}}):n.addEventListener("readystatechange",a),t.apply(n,e)}}),fill(t,"send",function(t){return function(...e){return this.__sentry_xhr__&&void 0!==e[0]&&(this.__sentry_xhr__.body=e[0]),triggerHandlers("xhr",{args:e,startTimestamp:Date.now(),xhr:this}),t.apply(this,e)}})}let lastHref;function instrumentHistory(){if(!supportsHistory())return;const t=WINDOW$2.onpopstate;function e(t){return function(...e){const n=e.length>2?e[2]:void 0;if(n){const t=lastHref,e=String(n);lastHref=e,triggerHandlers("history",{from:t,to:e})}return t.apply(this,e)}}WINDOW$2.onpopstate=function(...e){const n=WINDOW$2.location.href,r=lastHref;if(lastHref=n,triggerHandlers("history",{from:r,to:n}),t)try{return t.apply(this,e)}catch(t){}},fill(WINDOW$2.history,"pushState",e),fill(WINDOW$2.history,"replaceState",e)}const debounceDuration=1e3;let debounceTimerID,lastCapturedEvent;function shouldShortcircuitPreviousDebounce(t,e){if(!t)return!0;if(t.type!==e.type)return!0;try{if(t.target!==e.target)return!0}catch(t){}return!1}function shouldSkipDOMEvent(t){if("keypress"!==t.type)return!1;try{const e=t.target;if(!e||!e.tagName)return!0;if("INPUT"===e.tagName||"TEXTAREA"===e.tagName||e.isContentEditable)return!1}catch(t){}return!0}function makeDOMEventHandler(t,e=!1){return n=>{if(!n||lastCapturedEvent===n)return;if(shouldSkipDOMEvent(n))return;const r="keypress"===n.type?"input":n.type;void 0===debounceTimerID?(t({event:n,name:r,global:e}),lastCapturedEvent=n):shouldShortcircuitPreviousDebounce(lastCapturedEvent,n)&&(t({event:n,name:r,global:e}),lastCapturedEvent=n),clearTimeout(debounceTimerID),debounceTimerID=WINDOW$2.setTimeout(()=>{debounceTimerID=void 0},debounceDuration)}}function instrumentDOM(){if(!("document"in WINDOW$2))return;const t=triggerHandlers.bind(null,"dom"),e=makeDOMEventHandler(t,!0);WINDOW$2.document.addEventListener("click",e,!1),WINDOW$2.document.addEventListener("keypress",e,!1),["EventTarget","Node"].forEach(e=>{const n=WINDOW$2[e]&&WINDOW$2[e].prototype;n&&n.hasOwnProperty&&n.hasOwnProperty("addEventListener")&&(fill(n,"addEventListener",function(e){return function(n,r,i){if("click"===n||"keypress"==n)try{const r=this,a=r.__sentry_instrumentation_handlers__=r.__sentry_instrumentation_handlers__||{},s=a[n]=a[n]||{refCount:0};if(!s.handler){const r=makeDOMEventHandler(t);s.handler=r,e.call(this,n,r,i)}s.refCount++}catch(t){}return e.call(this,n,r,i)}}),fill(n,"removeEventListener",function(t){return function(e,n,r){if("click"===e||"keypress"==e)try{const n=this,i=n.__sentry_instrumentation_handlers__||{},a=i[e];a&&(a.refCount--,a.refCount<=0&&(t.call(this,e,a.handler,r),a.handler=void 0,delete i[e]),0===Object.keys(i).length&&delete n.__sentry_instrumentation_handlers__)}catch(t){}return t.call(this,e,n,r)}}))})}let _oldOnErrorHandler=null;function instrumentError(){_oldOnErrorHandler=WINDOW$2.onerror,WINDOW$2.onerror=function(t,e,n,r,i){return triggerHandlers("error",{column:r,error:i,line:n,msg:t,url:e}),!!_oldOnErrorHandler&&_oldOnErrorHandler.apply(this,arguments)}}let _oldOnUnhandledRejectionHandler=null;function instrumentUnhandledRejection(){_oldOnUnhandledRejectionHandler=WINDOW$2.onunhandledrejection,WINDOW$2.onunhandledrejection=function(t){return triggerHandlers("unhandledrejection",t),!_oldOnUnhandledRejectionHandler||_oldOnUnhandledRejectionHandler.apply(this,arguments)}}function memoBuilder(){const t="function"==typeof WeakSet,e=t?new WeakSet:[];return[function(n){if(t)return!!e.has(n)||(e.add(n),!1);for(let t=0;t<e.length;t++)if(e[t]===n)return!0;return e.push(n),!1},function(n){if(t)e.delete(n);else for(let t=0;t<e.length;t++)if(e[t]===n){e.splice(t,1);break}}]}function uuid4(){const t=GLOBAL_OBJ,e=t.crypto||t.msCrypto;if(e&&e.randomUUID)return e.randomUUID().replace(/-/g,"");const n=e&&e.getRandomValues?()=>e.getRandomValues(new Uint8Array(1))[0]:()=>16*Math.random();return([1e7]+1e3+4e3+8e3+1e11).replace(/[018]/g,t=>(t^(15&n())>>t/4).toString(16))}function getFirstException(t){return t.exception&&t.exception.values?t.exception.values[0]:void 0}function getEventDescription(t){const{message:e,event_id:n}=t;if(e)return e;const r=getFirstException(t);return r?r.type&&r.value?`${r.type}: ${r.value}`:r.type||r.value||n||"<unknown>":n||"<unknown>"}function addExceptionTypeValue(t,e,n){const r=t.exception=t.exception||{},i=r.values=r.values||[],a=i[0]=i[0]||{};a.value||(a.value=e||""),a.type||(a.type=n||"Error")}function addExceptionMechanism(t,e){const n=getFirstException(t);if(!n)return;const r=n.mechanism;if(n.mechanism={type:"generic",handled:!0,...r,...e},e&&"data"in e){const t={...r&&r.data,...e.data};n.mechanism.data=t}}function checkOrSetAlreadyCaught(t){if(t&&t.__sentry_captured__)return!0;try{addNonEnumerableProperty(t,"__sentry_captured__",!0)}catch(t){}return!1}function arrayify(t){return Array.isArray(t)?t:[t]}function isBrowserBundle(){return"undefined"!=typeof __SENTRY_BROWSER_BUNDLE__&&!!__SENTRY_BROWSER_BUNDLE__}function isNodeEnv(){return!isBrowserBundle()&&"[object process]"===Object.prototype.toString.call("undefined"!=typeof process?process:0)}function dynamicRequire(t,e){return t.require(e)}function normalize(t,e=1/0,n=1/0){try{return visit("",t,e,n)}catch(t){return{ERROR:`**non-serializable** (${t})`}}}function normalizeToSize(t,e=3,n=102400){const r=normalize(t,e);return jsonSize(r)>n?normalizeToSize(t,e-1,n):r}function visit(t,e,n=1/0,r=1/0,i=memoBuilder()){const[a,s]=i;if(null===e||["number","boolean","string"].includes(typeof e)&&!isNaN$1(e))return e;const o=stringifyValue(t,e);if(!o.startsWith("[object "))return o;if(e.__sentry_skip_normalization__)return e;if(0===n)return o.replace("object ","");if(a(e))return"[Circular ~]";const c=e;if(c&&"function"==typeof c.toJSON)try{return visit("",c.toJSON(),n-1,r,i)}catch(t){}const u=Array.isArray(e)?[]:{};let l=0;const d=convertToPlainObject(e);for(const t in d){if(!Object.prototype.hasOwnProperty.call(d,t))continue;if(l>=r){u[t]="[MaxProperties ~]";break}const e=d[t];u[t]=visit(t,e,n-1,r,i),l++}return s(e),u}function stringifyValue(t,e){try{return"domain"===t&&e&&"object"==typeof e&&e.t?"[Domain]":"domainEmitter"===t?"[DomainEmitter]":"undefined"!=typeof global&&e===global?"[Global]":"undefined"!=typeof window&&e===window?"[Window]":"undefined"!=typeof document&&e===document?"[Document]":isSyntheticEvent(e)?"[SyntheticEvent]":"number"==typeof e&&e!=e?"[NaN]":void 0===e?"[undefined]":"function"==typeof e?`[Function: ${getFunctionName(e)}]`:"symbol"==typeof e?`[${String(e)}]`:"bigint"==typeof e?`[BigInt: ${String(e)}]`:`[object ${Object.getPrototypeOf(e).constructor.name}]`}catch(t){return`**non-serializable** (${t})`}}function utf8Length(t){return~-encodeURI(t).split(/%..|./).length}function jsonSize(t){return utf8Length(JSON.stringify(t))}var States;function resolvedSyncPromise(t){return new SyncPromise(e=>{e(t)})}function rejectedSyncPromise(t){return new SyncPromise((e,n)=>{n(t)})}!function(t){t[t.PENDING=0]="PENDING";t[t.RESOLVED=1]="RESOLVED";t[t.REJECTED=2]="REJECTED"}(States||(States={}));class SyncPromise{__init(){this.i=States.PENDING}__init2(){this.s=[]}constructor(t){SyncPromise.prototype.__init.call(this),SyncPromise.prototype.__init2.call(this),SyncPromise.prototype.__init3.call(this),SyncPromise.prototype.__init4.call(this),SyncPromise.prototype.__init5.call(this),SyncPromise.prototype.__init6.call(this);try{t(this.o,this.u)}catch(t){this.u(t)}}then(t,e){return new SyncPromise((n,r)=>{this.s.push([!1,e=>{if(t)try{n(t(e))}catch(t){r(t)}else n(e)},t=>{if(e)try{n(e(t))}catch(t){r(t)}else r(t)}]),this.l()})}catch(t){return this.then(t=>t,t)}finally(t){return new SyncPromise((e,n)=>{let r,i;return this.then(e=>{i=!1,r=e,t&&t()},e=>{i=!0,r=e,t&&t()}).then(()=>{i?n(r):e(r)})})}__init3(){this.o=(t=>{this.h(States.RESOLVED,t)})}__init4(){this.u=(t=>{this.h(States.REJECTED,t)})}__init5(){this.h=((t,e)=>{this.i===States.PENDING&&(isThenable(e)?e.then(this.o,this.u):(this.i=t,this._=e,this.l()))})}__init6(){this.l=(()=>{if(this.i===States.PENDING)return;const t=this.s.slice();this.s=[],t.forEach(t=>{t[0]||(this.i===States.RESOLVED&&t[1](this._),this.i===States.REJECTED&&t[2](this._),t[0]=!0)})})}}function makePromiseBuffer(t){const e=[];function n(t){return e.splice(e.indexOf(t),1)[0]}return{$:e,add:function(r){if(!(void 0===t||e.length<t))return rejectedSyncPromise(new SentryError("Not adding Promise because buffer limit was reached."));const i=r();return-1===e.indexOf(i)&&e.push(i),i.then(()=>n(i)).then(null,()=>n(i).then(null,()=>{})),i},drain:function(t){return new SyncPromise((n,r)=>{let i=e.length;if(!i)return n(!0);const a=setTimeout(()=>{t&&t>0&&n(!1)},t);e.forEach(t=>{resolvedSyncPromise(t).then(()=>{--i||(clearTimeout(a),n(!0))},r)})})}}}function parseUrl(t){if(!t)return{};const e=t.match(/^(([^:/?#]+):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?$/);if(!e)return{};const n=e[6]||"",r=e[8]||"";return{host:e[4],path:e[5],protocol:e[2],relative:e[5]+n+r}}const validSeverityLevels=["fatal","error","warning","log","info","debug"];function severityLevelFromString(t){return"warn"===t?"warning":validSeverityLevels.includes(t)?t:"log"}const WINDOW$3=getGlobalObject(),dateTimestampSource={nowSeconds:()=>Date.now()/1e3};function getBrowserPerformance(){const{performance:t}=WINDOW$3;if(t&&t.now)return{now:()=>t.now(),timeOrigin:Date.now()-t.now()}}function getNodePerformance(){try{return dynamicRequire(module,"perf_hooks").performance}catch(t){return}}const platformPerformance=isNodeEnv()?getNodePerformance():getBrowserPerformance(),timestampSource=void 0===platformPerformance?dateTimestampSource:{nowSeconds:()=>(platformPerformance.timeOrigin+platformPerformance.now())/1e3},dateTimestampInSeconds=dateTimestampSource.nowSeconds.bind(dateTimestampSource),timestampInSeconds=timestampSource.nowSeconds.bind(timestampSource),browserPerformanceTimeOrigin=(()=>{const{performance:t}=WINDOW$3;if(!t||!t.now)return;const e=t.now(),n=Date.now(),r=t.timeOrigin?Math.abs(t.timeOrigin+e-n):36e5,i=r<36e5,a=t.timing&&t.timing.navigationStart,s="number"==typeof a?Math.abs(a+e-n):36e5;return i||s<36e5?r<=s?t.timeOrigin:a:n})();function createEnvelope(t,e=[]){return[t,e]}function addItemToEnvelope(t,e){const[n,r]=t;return[n,[...r,e]]}function forEachEnvelopeItem(t,e){t[1].forEach(t=>{const n=t[0].type;e(t,n)})}function encodeUTF8(t,e){return(e||new TextEncoder).encode(t)}function serializeEnvelope(t,e){const[n,r]=t;let i=JSON.stringify(n);function a(t){"string"==typeof i?i="string"==typeof t?i+t:[encodeUTF8(i,e),t]:i.push("string"==typeof t?encodeUTF8(t,e):t)}for(const t of r){const[e,n]=t;if(a(`\n${JSON.stringify(e)}\n`),"string"==typeof n||n instanceof Uint8Array)a(n);else{let t;try{t=JSON.stringify(n)}catch(e){t=JSON.stringify(normalize(n))}a(t)}}return"string"==typeof i?i:concatBuffers(i)}function concatBuffers(t){const e=t.reduce((t,e)=>t+e.length,0),n=new Uint8Array(e);let r=0;for(const e of t)n.set(e,r),r+=e.length;return n}function createAttachmentEnvelopeItem(t,e){const n="string"==typeof t.data?encodeUTF8(t.data,e):t.data;return[dropUndefinedKeys({type:"attachment",length:n.length,filename:t.filename,content_type:t.contentType,attachment_type:t.attachmentType}),n]}const ITEM_TYPE_TO_DATA_CATEGORY_MAP={session:"session",sessions:"session",attachment:"attachment",transaction:"transaction",event:"error",client_report:"internal",user_report:"default",profile:"profile",replay_event:"replay",replay_recording:"replay"};function envelopeItemTypeToDataCategory(t){return ITEM_TYPE_TO_DATA_CATEGORY_MAP[t]}function getSdkMetadataForEnvelopeHeader(t){if(!t||!t.sdk)return;const{name:e,version:n}=t.sdk;return{name:e,version:n}}function createEventEnvelopeHeaders(t,e,n,r){const i=t.sdkProcessingMetadata&&t.sdkProcessingMetadata.dynamicSamplingContext;return{event_id:t.event_id,sent_at:(new Date).toISOString(),...e&&{sdk:e},...!!n&&{dsn:dsnToString(r)},..."transaction"===t.type&&i&&{trace:dropUndefinedKeys({...i})}}}function createClientReportEnvelope(t,e,n){return createEnvelope(e?{dsn:e}:{},[[{type:"client_report"},{timestamp:n||dateTimestampInSeconds(),discarded_events:t}]])}const DEFAULT_RETRY_AFTER=6e4;function parseRetryAfterHeader(t,e=Date.now()){const n=parseInt(`${t}`,10);if(!isNaN(n))return 1e3*n;const r=Date.parse(`${t}`);return isNaN(r)?DEFAULT_RETRY_AFTER:r-e}function disabledUntil(t,e){return t[e]||t.all||0}function isRateLimited(t,e,n=Date.now()){return disabledUntil(t,e)>n}function updateRateLimits(t,{statusCode:e,headers:n},r=Date.now()){const i={...t},a=n&&n["x-sentry-rate-limits"],s=n&&n["retry-after"];if(a)for(const t of a.trim().split(",")){const[e,n]=t.split(":",2),a=parseInt(e,10),s=1e3*(isNaN(a)?60:a);if(n)for(const t of n.split(";"))i[t]=r+s;else i.all=r+s}else s?i.all=r+parseRetryAfterHeader(s,r):429===e&&(i.all=r+6e4);return i}function makeSession(t){const e=timestampInSeconds(),n={sid:uuid4(),init:!0,timestamp:e,started:e,duration:0,status:"ok",errors:0,ignoreDuration:!1,toJSON:()=>sessionToJSON(n)};return t&&updateSession(n,t),n}function updateSession(t,e={}){if(e.user&&(!t.ipAddress&&e.user.ip_address&&(t.ipAddress=e.user.ip_address),t.did||e.did||(t.did=e.user.id||e.user.email||e.user.username)),t.timestamp=e.timestamp||timestampInSeconds(),e.ignoreDuration&&(t.ignoreDuration=e.ignoreDuration),e.sid&&(t.sid=32===e.sid.length?e.sid:uuid4()),void 0!==e.init&&(t.init=e.init),!t.did&&e.did&&(t.did=`${e.did}`),"number"==typeof e.started&&(t.started=e.started),t.ignoreDuration)t.duration=void 0;else if("number"==typeof e.duration)t.duration=e.duration;else{const e=t.timestamp-t.started;t.duration=e>=0?e:0}e.release&&(t.release=e.release),e.environment&&(t.environment=e.environment),!t.ipAddress&&e.ipAddress&&(t.ipAddress=e.ipAddress),!t.userAgent&&e.userAgent&&(t.userAgent=e.userAgent),"number"==typeof e.errors&&(t.errors=e.errors),e.status&&(t.status=e.status)}function closeSession(t,e){let n={};e?n={status:e}:"ok"===t.status&&(n={status:"exited"}),updateSession(t,n)}function sessionToJSON(t){return dropUndefinedKeys({sid:`${t.sid}`,init:t.init,started:new Date(1e3*t.started).toISOString(),timestamp:new Date(1e3*t.timestamp).toISOString(),status:t.status,errors:t.errors,did:"number"==typeof t.did||"string"==typeof t.did?`${t.did}`:void 0,duration:t.duration,attrs:{release:t.release,environment:t.environment,ip_address:t.ipAddress,user_agent:t.userAgent}})}const DEFAULT_MAX_BREADCRUMBS=100;class Scope{constructor(){this.p=!1,this.m=[],this.v=[],this.g=[],this.S=[],this.T={},this.k={},this.R={},this.I={},this.N={}}static clone(t){const e=new Scope;return t&&(e.g=[...t.g],e.k={...t.k},e.R={...t.R},e.I={...t.I},e.T=t.T,e.O=t.O,e.D=t.D,e.A=t.A,e.C=t.C,e.B=t.B,e.v=[...t.v],e.L=t.L,e.S=[...t.S],e.N={...t.N}),e}addScopeListener(t){this.m.push(t)}addEventProcessor(t){return this.v.push(t),this}setUser(t){return this.T=t||{},this.A&&updateSession(this.A,{user:t}),this.U(),this}getUser(){return this.T}getRequestSession(){return this.L}setRequestSession(t){return this.L=t,this}setTags(t){return this.k={...this.k,...t},this.U(),this}setTag(t,e){return this.k={...this.k,[t]:e},this.U(),this}setExtras(t){return this.R={...this.R,...t},this.U(),this}setExtra(t,e){return this.R={...this.R,[t]:e},this.U(),this}setFingerprint(t){return this.B=t,this.U(),this}setLevel(t){return this.O=t,this.U(),this}setTransactionName(t){return this.C=t,this.U(),this}setContext(t,e){return null===e?delete this.I[t]:this.I[t]=e,this.U(),this}setSpan(t){return this.D=t,this.U(),this}getSpan(){return this.D}getTransaction(){const t=this.getSpan();return t&&t.transaction}setSession(t){return t?this.A=t:delete this.A,this.U(),this}getSession(){return this.A}update(t){if(!t)return this;if("function"==typeof t){const e=t(this);return e instanceof Scope?e:this}return t instanceof Scope?(this.k={...this.k,...t.k},this.R={...this.R,...t.R},this.I={...this.I,...t.I},t.T&&Object.keys(t.T).length&&(this.T=t.T),t.O&&(this.O=t.O),t.B&&(this.B=t.B),t.L&&(this.L=t.L)):isPlainObject(t)&&(t=t,this.k={...this.k,...t.tags},this.R={...this.R,...t.extra},this.I={...this.I,...t.contexts},t.user&&(this.T=t.user),t.level&&(this.O=t.level),t.fingerprint&&(this.B=t.fingerprint),t.requestSession&&(this.L=t.requestSession)),this}clear(){return this.g=[],this.k={},this.R={},this.T={},this.I={},this.O=void 0,this.C=void 0,this.B=void 0,this.L=void 0,this.D=void 0,this.A=void 0,this.U(),this.S=[],this}addBreadcrumb(t,e){const n="number"==typeof e?e:DEFAULT_MAX_BREADCRUMBS;if(n<=0)return this;const r={timestamp:dateTimestampInSeconds(),...t};return this.g=[...this.g,r].slice(-n),this.U(),this}getLastBreadcrumb(){return this.g[this.g.length-1]}clearBreadcrumbs(){return this.g=[],this.U(),this}addAttachment(t){return this.S.push(t),this}getAttachments(){return this.S}clearAttachments(){return this.S=[],this}applyToEvent(t,e={}){if(this.R&&Object.keys(this.R).length&&(t.extra={...this.R,...t.extra}),this.k&&Object.keys(this.k).length&&(t.tags={...this.k,...t.tags}),this.T&&Object.keys(this.T).length&&(t.user={...this.T,...t.user}),this.I&&Object.keys(this.I).length&&(t.contexts={...this.I,...t.contexts}),this.O&&(t.level=this.O),this.C&&(t.transaction=this.C),this.D){t.contexts={trace:this.D.getTraceContext(),...t.contexts};const e=this.D.transaction&&this.D.transaction.name;e&&(t.tags={transaction:e,...t.tags})}return this.F(t),t.breadcrumbs=[...t.breadcrumbs||[],...this.g],t.breadcrumbs=t.breadcrumbs.length>0?t.breadcrumbs:void 0,t.sdkProcessingMetadata={...t.sdkProcessingMetadata,...this.N},this.M([...getGlobalEventProcessors(),...this.v],t,e)}setSDKProcessingMetadata(t){return this.N={...this.N,...t},this}M(t,e,n,r=0){return new SyncPromise((i,a)=>{const s=t[r];if(null===e||"function"!=typeof s)i(e);else{const o=s({...e},n);("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&s.id&&null===o&&logger.log(`Event processor "${s.id}" dropped event`),isThenable(o)?o.then(e=>this.M(t,e,n,r+1).then(i)).then(null,a):this.M(t,o,n,r+1).then(i).then(null,a)}})}U(){this.p||(this.p=!0,this.m.forEach(t=>{t(this)}),this.p=!1)}F(t){t.fingerprint=t.fingerprint?arrayify(t.fingerprint):[],this.B&&(t.fingerprint=t.fingerprint.concat(this.B)),t.fingerprint&&!t.fingerprint.length&&delete t.fingerprint}}function getGlobalEventProcessors(){return getGlobalSingleton("globalEventProcessors",()=>[])}function addGlobalEventProcessor(t){getGlobalEventProcessors().push(t)}const API_VERSION=4,DEFAULT_BREADCRUMBS=100;class Hub{__init(){this.W=[{}]}constructor(t,e=new Scope,n=API_VERSION){this.G=n,Hub.prototype.__init.call(this),this.getStackTop().scope=e,t&&this.bindClient(t)}isOlderThan(t){return this.G<t}bindClient(t){this.getStackTop().client=t,t&&t.setupIntegrations&&t.setupIntegrations()}pushScope(){const t=Scope.clone(this.getScope());return this.getStack().push({client:this.getClient(),scope:t}),t}popScope(){return!(this.getStack().length<=1)&&!!this.getStack().pop()}withScope(t){const e=this.pushScope();try{t(e)}finally{this.popScope()}}getClient(){return this.getStackTop().client}getScope(){return this.getStackTop().scope}getStack(){return this.W}getStackTop(){return this.W[this.W.length-1]}captureException(t,e){const n=this.P=e&&e.event_id?e.event_id:uuid4(),r=new Error("Sentry syntheticException");return this.H((i,a)=>{i.captureException(t,{originalException:t,syntheticException:r,...e,event_id:n},a)}),n}captureMessage(t,e,n){const r=this.P=n&&n.event_id?n.event_id:uuid4(),i=new Error(t);return this.H((a,s)=>{a.captureMessage(t,e,{originalException:t,syntheticException:i,...n,event_id:r},s)}),r}captureEvent(t,e){const n=e&&e.event_id?e.event_id:uuid4();return t.type||(this.P=n),this.H((r,i)=>{r.captureEvent(t,{...e,event_id:n},i)}),n}lastEventId(){return this.P}addBreadcrumb(t,e){const{scope:n,client:r}=this.getStackTop();if(!n||!r)return;const{beforeBreadcrumb:i=null,maxBreadcrumbs:a=DEFAULT_BREADCRUMBS}=r.getOptions&&r.getOptions()||{};if(a<=0)return;const s={timestamp:dateTimestampInSeconds(),...t},o=i?consoleSandbox(()=>i(s,e)):s;null!==o&&n.addBreadcrumb(o,a)}setUser(t){const e=this.getScope();e&&e.setUser(t)}setTags(t){const e=this.getScope();e&&e.setTags(t)}setExtras(t){const e=this.getScope();e&&e.setExtras(t)}setTag(t,e){const n=this.getScope();n&&n.setTag(t,e)}setExtra(t,e){const n=this.getScope();n&&n.setExtra(t,e)}setContext(t,e){const n=this.getScope();n&&n.setContext(t,e)}configureScope(t){const{scope:e,client:n}=this.getStackTop();e&&n&&t(e)}run(t){const e=makeMain(this);try{t(this)}finally{makeMain(e)}}getIntegration(t){const e=this.getClient();if(!e)return null;try{return e.getIntegration(t)}catch(e){return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Cannot retrieve integration ${t.id} from the current Hub`),null}}startTransaction(t,e){return this.Y("startTransaction",t,e)}traceHeaders(){return this.Y("traceHeaders")}captureSession(t=!1){if(t)return this.endSession();this.j()}endSession(){const t=this.getStackTop(),e=t&&t.scope,n=e&&e.getSession();n&&closeSession(n),this.j(),e&&e.setSession()}startSession(t){const{scope:e,client:n}=this.getStackTop(),{release:r,environment:i}=n&&n.getOptions()||{},{userAgent:a}=GLOBAL_OBJ.navigator||{},s=makeSession({release:r,environment:i,...e&&{user:e.getUser()},...a&&{userAgent:a},...t});if(e){const t=e.getSession&&e.getSession();t&&"ok"===t.status&&updateSession(t,{status:"exited"}),this.endSession(),e.setSession(s)}return s}shouldSendDefaultPii(){const t=this.getClient(),e=t&&t.getOptions();return Boolean(e&&e.sendDefaultPii)}j(){const{scope:t,client:e}=this.getStackTop();if(!t)return;const n=t.getSession();n&&e&&e.captureSession&&e.captureSession(n)}H(t){const{scope:e,client:n}=this.getStackTop();n&&t(n,e)}Y(t,...e){const n=getMainCarrier().__SENTRY__;if(n&&n.extensions&&"function"==typeof n.extensions[t])return n.extensions[t].apply(this,e);("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Extension method ${t} couldn't be found, doing nothing.`)}}function getMainCarrier(){return GLOBAL_OBJ.__SENTRY__=GLOBAL_OBJ.__SENTRY__||{extensions:{},hub:void 0},GLOBAL_OBJ}function makeMain(t){const e=getMainCarrier(),n=getHubFromCarrier(e);return setHubOnCarrier(e,t),n}function getCurrentHub(){const t=getMainCarrier();return hasHubOnCarrier(t)&&!getHubFromCarrier(t).isOlderThan(API_VERSION)||setHubOnCarrier(t,new Hub),isNodeEnv()?getHubFromActiveDomain(t):getHubFromCarrier(t)}function getHubFromActiveDomain(t){try{const e=getMainCarrier().__SENTRY__,n=e&&e.extensions&&e.extensions.domain&&e.extensions.domain.active;if(!n)return getHubFromCarrier(t);if(!hasHubOnCarrier(n)||getHubFromCarrier(n).isOlderThan(API_VERSION)){const e=getHubFromCarrier(t).getStackTop();setHubOnCarrier(n,new Hub(e.client,Scope.clone(e.scope)))}return getHubFromCarrier(n)}catch(e){return getHubFromCarrier(t)}}function hasHubOnCarrier(t){return!!(t&&t.__SENTRY__&&t.__SENTRY__.hub)}function getHubFromCarrier(t){return getGlobalSingleton("hub",()=>new Hub,t)}function setHubOnCarrier(t,e){if(!t)return!1;return(t.__SENTRY__=t.__SENTRY__||{}).hub=e,!0}function captureException(t,e){return getCurrentHub().captureException(t,{captureContext:e})}function captureMessage(t,e){const n="string"==typeof e?e:void 0,r="string"!=typeof e?{captureContext:e}:void 0;return getCurrentHub().captureMessage(t,n,r)}function captureEvent(t,e){return getCurrentHub().captureEvent(t,e)}function configureScope(t){getCurrentHub().configureScope(t)}function addBreadcrumb(t){getCurrentHub().addBreadcrumb(t)}function setContext(t,e){getCurrentHub().setContext(t,e)}function setExtras(t){getCurrentHub().setExtras(t)}function setExtra(t,e){getCurrentHub().setExtra(t,e)}function setTags(t){getCurrentHub().setTags(t)}function setTag(t,e){getCurrentHub().setTag(t,e)}function setUser(t){getCurrentHub().setUser(t)}function withScope(t){getCurrentHub().withScope(t)}function startTransaction(t,e){return getCurrentHub().startTransaction({...t},e)}const SENTRY_API_VERSION="7";function getBaseApiEndpoint(t){const e=t.protocol?`${t.protocol}:`:"",n=t.port?`:${t.port}`:"";return`${e}//${t.host}${n}${t.path?`/${t.path}`:""}/api/`}function _getIngestEndpoint(t){return`${getBaseApiEndpoint(t)}${t.projectId}/envelope/`}function _encodedAuth(t,e){return urlEncode({sentry_key:t.publicKey,sentry_version:SENTRY_API_VERSION,...e&&{sentry_client:`${e.name}/${e.version}`}})}function getEnvelopeEndpointWithUrlEncodedAuth(t,e={}){const n="string"==typeof e?e:e.tunnel,r="string"!=typeof e&&e.V?e.V.sdk:void 0;return n||`${_getIngestEndpoint(t)}?${_encodedAuth(t,r)}`}function enhanceEventWithSdkInfo(t,e){return e?(t.sdk=t.sdk||{},t.sdk.name=t.sdk.name||e.name,t.sdk.version=t.sdk.version||e.version,t.sdk.integrations=[...t.sdk.integrations||[],...e.integrations||[]],t.sdk.packages=[...t.sdk.packages||[],...e.packages||[]],t):t}function createSessionEnvelope(t,e,n,r){const i=getSdkMetadataForEnvelopeHeader(n);return createEnvelope({sent_at:(new Date).toISOString(),...i&&{sdk:i},...!!r&&{dsn:dsnToString(e)}},["aggregates"in t?[{type:"sessions"},t]:[{type:"session"},t]])}function createEventEnvelope(t,e,n,r){const i=getSdkMetadataForEnvelopeHeader(n),a=t.type&&"replay_event"!==t.type?t.type:"event";enhanceEventWithSdkInfo(t,n&&n.sdk);const s=createEventEnvelopeHeaders(t,i,r,e);return delete t.sdkProcessingMetadata,createEnvelope(s,[[{type:a},t]])}const installedIntegrations=[];function filterDuplicates(t){const e={};return t.forEach(t=>{const{name:n}=t,r=e[n];r&&!r.isDefaultInstance&&t.isDefaultInstance||(e[n]=t)}),Object.values(e)}function getIntegrationsToSetup(t){const e=t.defaultIntegrations||[],n=t.integrations;let r;e.forEach(t=>{t.isDefaultInstance=!0});const i=filterDuplicates(r=Array.isArray(n)?[...e,...n]:"function"==typeof n?arrayify(n(e)):e),a=i.findIndex(t=>"Debug"===t.name);if(-1!==a){const[t]=i.splice(a,1);i.push(t)}return i}function setupIntegrations(t){const e={};return t.forEach(t=>{setupIntegration(t,e)}),e}function setupIntegration(t,e){e[t.name]=t,-1===installedIntegrations.indexOf(t.name)&&(t.setupOnce(addGlobalEventProcessor,getCurrentHub),installedIntegrations.push(t.name),("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log(`Integration installed: ${t.name}`))}function prepareEvent(t,e,n,r){const{normalizeDepth:i=3,normalizeMaxBreadth:a=1e3}=t,s={...e,event_id:e.event_id||n.event_id||uuid4(),timestamp:e.timestamp||dateTimestampInSeconds()};applyClientOptions(s,t),applyIntegrationsMetadata(s,t.integrations.map(t=>t.name));let o=r;n.captureContext&&(o=Scope.clone(o).update(n.captureContext));let c=resolvedSyncPromise(s);if(o){if(o.getAttachments){const t=[...n.attachments||[],...o.getAttachments()];t.length&&(n.attachments=t)}c=o.applyToEvent(s,n)}return c.then(t=>"number"==typeof i&&i>0?normalizeEvent(t,i,a):t)}function applyClientOptions(t,e){const{environment:n,release:r,dist:i,maxValueLength:a=250}=e;"environment"in t||(t.environment="environment"in e?n:"production"),void 0===t.release&&void 0!==r&&(t.release=r),void 0===t.dist&&void 0!==i&&(t.dist=i),t.message&&(t.message=truncate(t.message,a));const s=t.exception&&t.exception.values&&t.exception.values[0];s&&s.value&&(s.value=truncate(s.value,a));const o=t.request;o&&o.url&&(o.url=truncate(o.url,a))}function applyIntegrationsMetadata(t,e){e.length>0&&(t.sdk=t.sdk||{},t.sdk.integrations=[...t.sdk.integrations||[],...e])}function normalizeEvent(t,e,n){if(!t)return null;const r={...t,...t.breadcrumbs&&{breadcrumbs:t.breadcrumbs.map(t=>({...t,...t.data&&{data:normalize(t.data,e,n)}}))},...t.user&&{user:normalize(t.user,e,n)},...t.contexts&&{contexts:normalize(t.contexts,e,n)},...t.extra&&{extra:normalize(t.extra,e,n)}};return t.contexts&&t.contexts.trace&&r.contexts&&(r.contexts.trace=t.contexts.trace,t.contexts.trace.data&&(r.contexts.trace.data=normalize(t.contexts.trace.data,e,n))),t.spans&&(r.spans=t.spans.map(t=>(t.data&&(t.data=normalize(t.data,e,n)),t))),r}const ALREADY_SEEN_ERROR="Not capturing exception because it's already been captured.";class BaseClient{__init(){this.Z={}}__init2(){this.K=!1}__init3(){this.X=0}__init4(){this.J={}}constructor(t){if(BaseClient.prototype.__init.call(this),BaseClient.prototype.__init2.call(this),BaseClient.prototype.__init3.call(this),BaseClient.prototype.__init4.call(this),this.q=t,t.dsn){this.tt=makeDsn(t.dsn);const e=getEnvelopeEndpointWithUrlEncodedAuth(this.tt,t);this.et=t.transport({recordDroppedEvent:this.recordDroppedEvent.bind(this),...t.transportOptions,url:e})}else("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("No DSN provided, client will not do anything.")}captureException(t,e,n){if(checkOrSetAlreadyCaught(t))return void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log(ALREADY_SEEN_ERROR));let r=e&&e.event_id;return this.nt(this.eventFromException(t,e).then(t=>this.rt(t,e,n)).then(t=>{r=t})),r}captureMessage(t,e,n,r){let i=n&&n.event_id;const a=isPrimitive(t)?this.eventFromMessage(String(t),e,n):this.eventFromException(t,n);return this.nt(a.then(t=>this.rt(t,n,r)).then(t=>{i=t})),i}captureEvent(t,e,n){if(e&&e.originalException&&checkOrSetAlreadyCaught(e.originalException))return void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log(ALREADY_SEEN_ERROR));let r=e&&e.event_id;return this.nt(this.rt(t,e,n).then(t=>{r=t})),r}captureSession(t){this.it()?"string"!=typeof t.release?("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("Discarded session because of missing or non-string release"):(this.sendSession(t),updateSession(t,{init:!1})):("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("SDK not enabled, will not capture session.")}getDsn(){return this.tt}getOptions(){return this.q}getSdkMetadata(){return this.q.V}getTransport(){return this.et}flush(t){const e=this.et;return e?this.st(t).then(n=>e.flush(t).then(t=>n&&t)):resolvedSyncPromise(!0)}close(t){return this.flush(t).then(t=>(this.getOptions().enabled=!1,t))}setupIntegrations(){this.it()&&!this.K&&(this.Z=setupIntegrations(this.q.integrations),this.K=!0)}getIntegrationById(t){return this.Z[t]}getIntegration(t){try{return this.Z[t.id]||null}catch(e){return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Cannot retrieve integration ${t.id} from the current Client`),null}}addIntegration(t){setupIntegration(t,this.Z)}sendEvent(t,e={}){if(this.tt){let n=createEventEnvelope(t,this.tt,this.q.V,this.q.tunnel);for(const t of e.attachments||[])n=addItemToEnvelope(n,createAttachmentEnvelopeItem(t,this.q.transportOptions&&this.q.transportOptions.textEncoder));this.ot(n)}}sendSession(t){if(this.tt){const e=createSessionEnvelope(t,this.tt,this.q.V,this.q.tunnel);this.ot(e)}}recordDroppedEvent(t,e,n){if(this.q.sendClientReports){const n=`${t}:${e}`;("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log(`Adding outcome: "${n}"`),this.J[n]=this.J[n]+1||1}}ct(t,e){let n=!1,r=!1;const i=e.exception&&e.exception.values;if(i){r=!0;for(const t of i){const e=t.mechanism;if(e&&!1===e.handled){n=!0;break}}}const a="ok"===t.status;(a&&0===t.errors||a&&n)&&(updateSession(t,{...n&&{status:"crashed"},errors:t.errors||Number(r||n)}),this.captureSession(t))}st(t){return new SyncPromise(e=>{let n=0;const r=setInterval(()=>{0==this.X?(clearInterval(r),e(!0)):(n+=1,t&&n>=t&&(clearInterval(r),e(!1)))},1)})}it(){return!1!==this.getOptions().enabled&&void 0!==this.tt}ut(t,e,n){return prepareEvent(this.getOptions(),t,e,n)}rt(t,e={},n){return this.lt(t,e,n).then(t=>t.event_id,t=>{if("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__){const e=t;"log"===e.logLevel?logger.log(e.message):logger.warn(e)}})}lt(t,e,n){const r=this.getOptions(),{sampleRate:i}=r;if(!this.it())return rejectedSyncPromise(new SentryError("SDK not enabled, will not capture event.","log"));const a=isTransactionEvent(t),s=isErrorEvent$1(t),o=t.type||"error",c=`before send for type \`${o}\``;if(s&&"number"==typeof i&&Math.random()>i)return this.recordDroppedEvent("sample_rate","error",t),rejectedSyncPromise(new SentryError(`Discarding event because it's not included in the random sample (sampling rate = ${i})`,"log"));const u="replay_event"===o?"replay":o;return this.ut(t,e,n).then(n=>{if(null===n)throw this.recordDroppedEvent("event_processor",u,t),new SentryError("An event processor returned `null`, will not send event.","log");return e.data&&!0===e.data.__sentry__?n:_validateBeforeSendResult(processBeforeSend(r,n,e),c)}).then(r=>{if(null===r)throw this.recordDroppedEvent("before_send",u,t),new SentryError(`${c} returned \`null\`, will not send event.`,"log");const i=n&&n.getSession();!a&&i&&this.ct(i,r);const s=r.transaction_info;if(a&&s&&r.transaction!==t.transaction){const t="custom";r.transaction_info={...s,source:t,changes:[...s.changes,{source:t,timestamp:r.timestamp,propagations:s.propagations}]}}return this.sendEvent(r,e),r}).then(null,t=>{if(t instanceof SentryError)throw t;throw this.captureException(t,{data:{__sentry__:!0},originalException:t}),new SentryError(`Event processing pipeline threw an error, original event will not be sent. Details have been sent as a new event.\nReason: ${t}`)})}nt(t){this.X++,t.then(t=>(this.X--,t),t=>(this.X--,t))}ot(t){this.et&&this.tt?this.et.send(t).then(null,t=>{("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("Error while sending event:",t)}):("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("Transport disabled")}dt(){const t=this.J;return this.J={},Object.keys(t).map(e=>{const[n,r]=e.split(":");return{reason:n,category:r,quantity:t[e]}})}}function _validateBeforeSendResult(t,e){const n=`${e} must return \`null\` or a valid event.`;if(isThenable(t))return t.then(t=>{if(!isPlainObject(t)&&null!==t)throw new SentryError(n);return t},t=>{throw new SentryError(`${e} rejected with ${t}`)});if(!isPlainObject(t)&&null!==t)throw new SentryError(n);return t}function processBeforeSend(t,e,n){const{beforeSend:r,beforeSendTransaction:i}=t;return isErrorEvent$1(e)&&r?r(e,n):isTransactionEvent(e)&&i?i(e,n):e}function isErrorEvent$1(t){return void 0===t.type}function isTransactionEvent(t){return"transaction"===t.type}function initAndBind(t,e){!0===e.debug&&("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__?logger.enable():console.warn("[Sentry] Cannot initialize SDK with `debug` option using a non-debug bundle."));const n=getCurrentHub(),r=n.getScope();r&&r.update(e.initialScope);const i=new t(e);n.bindClient(i)}const DEFAULT_TRANSPORT_BUFFER_SIZE=30;function createTransport(t,e,n=makePromiseBuffer(t.bufferSize||DEFAULT_TRANSPORT_BUFFER_SIZE)){let r={};return{send:function(i){const a=[];if(forEachEnvelopeItem(i,(e,n)=>{const i=envelopeItemTypeToDataCategory(n);if(isRateLimited(r,i)){const r=getEventForEnvelopeItem(e,n);t.recordDroppedEvent("ratelimit_backoff",i,r)}else a.push(e)}),0===a.length)return resolvedSyncPromise();const s=createEnvelope(i[0],a),o=e=>{forEachEnvelopeItem(s,(n,r)=>{const i=getEventForEnvelopeItem(n,r);t.recordDroppedEvent(e,envelopeItemTypeToDataCategory(r),i)})};return n.add(()=>e({body:serializeEnvelope(s,t.textEncoder)}).then(t=>(void 0!==t.statusCode&&(t.statusCode<200||t.statusCode>=300)&&("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Sentry responded with status code ${t.statusCode} to sent event.`),r=updateRateLimits(r,t),t),t=>{throw o("network_error"),t})).then(t=>t,t=>{if(t instanceof SentryError)return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("Skipped sending event because buffer is full."),o("queue_overflow"),resolvedSyncPromise();throw t})},flush:t=>n.drain(t)}}function getEventForEnvelopeItem(t,e){if("event"===e||"transaction"===e)return Array.isArray(t)?t[1]:void 0}const SDK_VERSION="7.34.0";let originalFunctionToString;class FunctionToString{constructor(){FunctionToString.prototype.__init.call(this)}static __initStatic(){this.id="FunctionToString"}__init(){this.name=FunctionToString.id}setupOnce(){originalFunctionToString=Function.prototype.toString,Function.prototype.toString=function(...t){const e=getOriginalFunction(this)||this;return originalFunctionToString.apply(e,t)}}}FunctionToString.__initStatic();const DEFAULT_IGNORE_ERRORS=[/^Script error\.?$/,/^Javascript error: Script error\.? on line 0$/];class InboundFilters{static __initStatic(){this.id="InboundFilters"}__init(){this.name=InboundFilters.id}constructor(t={}){this.q=t,InboundFilters.prototype.__init.call(this)}setupOnce(t,e){const n=t=>{const n=e();if(n){const e=n.getIntegration(InboundFilters);if(e){const r=n.getClient(),i=r?r.getOptions():{};return _shouldDropEvent(t,_mergeOptions(e.q,i))?null:t}}return t};n.id=this.name,t(n)}}function _mergeOptions(t={},e={}){return{allowUrls:[...t.allowUrls||[],...e.allowUrls||[]],denyUrls:[...t.denyUrls||[],...e.denyUrls||[]],ignoreErrors:[...t.ignoreErrors||[],...e.ignoreErrors||[],...DEFAULT_IGNORE_ERRORS],ignoreInternal:void 0===t.ignoreInternal||t.ignoreInternal}}function _shouldDropEvent(t,e){return e.ignoreInternal&&_isSentryError(t)?(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Event dropped due to being internal Sentry Error.\nEvent: ${getEventDescription(t)}`),!0):_isIgnoredError(t,e.ignoreErrors)?(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Event dropped due to being matched by \`ignoreErrors\` option.\nEvent: ${getEventDescription(t)}`),!0):_isDeniedUrl(t,e.denyUrls)?(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Event dropped due to being matched by \`denyUrls\` option.\nEvent: ${getEventDescription(t)}.\nUrl: ${_getEventFilterUrl(t)}`),!0):!_isAllowedUrl(t,e.allowUrls)&&(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`Event dropped due to not being matched by \`allowUrls\` option.\nEvent: ${getEventDescription(t)}.\nUrl: ${_getEventFilterUrl(t)}`),!0)}function _isIgnoredError(t,e){return!(!e||!e.length)&&_getPossibleEventMessages(t).some(t=>stringMatchesSomePattern(t,e))}function _isDeniedUrl(t,e){if(!e||!e.length)return!1;const n=_getEventFilterUrl(t);return!!n&&stringMatchesSomePattern(n,e)}function _isAllowedUrl(t,e){if(!e||!e.length)return!0;const n=_getEventFilterUrl(t);return!n||stringMatchesSomePattern(n,e)}function _getPossibleEventMessages(t){if(t.message)return[t.message];if(t.exception)try{const{type:e="",value:n=""}=t.exception.values&&t.exception.values[0]||{};return[`${n}`,`${e}: ${n}`]}catch(e){return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error(`Cannot extract message for event ${getEventDescription(t)}`),[]}return[]}function _isSentryError(t){try{return"SentryError"===t.exception.values[0].type}catch(t){}return!1}function _getLastValidUrl(t=[]){for(let e=t.length-1;e>=0;e--){const n=t[e];if(n&&"<anonymous>"!==n.filename&&"[native code]"!==n.filename)return n.filename||null}return null}function _getEventFilterUrl(t){try{let e;try{e=t.exception.values[0].stacktrace.frames}catch(t){}return e?_getLastValidUrl(e):null}catch(e){return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error(`Cannot extract url for event ${getEventDescription(t)}`),null}}InboundFilters.__initStatic();var Integrations=Object.freeze({__proto__:null,FunctionToString:FunctionToString,InboundFilters:InboundFilters});const WINDOW$4=GLOBAL_OBJ;let ignoreOnError=0;function shouldIgnoreOnError(){return ignoreOnError>0}function ignoreNextOnError(){ignoreOnError++,setTimeout(()=>{ignoreOnError--})}function wrap(t,e={},n){if("function"!=typeof t)return t;try{const e=t.__sentry_wrapped__;if(e)return e;if(getOriginalFunction(t))return t}catch(e){return t}const sentryWrapped=function(){const r=Array.prototype.slice.call(arguments);try{n&&"function"==typeof n&&n.apply(this,arguments);const i=r.map(t=>wrap(t,e));return t.apply(this,i)}catch(t){throw ignoreNextOnError(),withScope(n=>{n.addEventProcessor(t=>(e.mechanism&&(addExceptionTypeValue(t,void 0,void 0),addExceptionMechanism(t,e.mechanism)),t.extra={...t.extra,arguments:r},t)),captureException(t)}),t}};try{for(const e in t)Object.prototype.hasOwnProperty.call(t,e)&&(sentryWrapped[e]=t[e])}catch(t){}markFunctionWrapped(sentryWrapped,t),addNonEnumerableProperty(t,"__sentry_wrapped__",sentryWrapped);try{Object.getOwnPropertyDescriptor(sentryWrapped,"name").configurable&&Object.defineProperty(sentryWrapped,"name",{get:()=>t.name})}catch(t){}return sentryWrapped}function exceptionFromError(t,e){const n=parseStackFrames(t,e),r={type:e&&e.name,value:extractMessage(e)};return n.length&&(r.stacktrace={frames:n}),void 0===r.type&&""===r.value&&(r.value="Unrecoverable error caught"),r}function eventFromPlainObject(t,e,n,r){const i=getCurrentHub().getClient(),a=i&&i.getOptions().normalizeDepth,s={exception:{values:[{type:isEvent(e)?e.constructor.name:r?"UnhandledRejection":"Error",value:`Non-Error ${r?"promise rejection":"exception"} captured with keys: ${extractExceptionKeysForMessage(e)}`}]},extra:{__serialized__:normalizeToSize(e,a)}};if(n){const e=parseStackFrames(t,n);e.length&&(s.exception.values[0].stacktrace={frames:e})}return s}function eventFromError(t,e){return{exception:{values:[exceptionFromError(t,e)]}}}function parseStackFrames(t,e){const n=e.stacktrace||e.stack||"",r=getPopSize(e);try{return t(n,r)}catch(t){}return[]}const reactMinifiedRegexp=/Minified React error #\d+;/i;function getPopSize(t){if(t){if("number"==typeof t.framesToPop)return t.framesToPop;if(reactMinifiedRegexp.test(t.message))return 1}return 0}function extractMessage(t){const e=t&&t.message;return e?e.error&&"string"==typeof e.error.message?e.error.message:e:"No error message"}function eventFromException(t,e,n,r){const i=eventFromUnknownInput(t,e,n&&n.syntheticException||void 0,r);return addExceptionMechanism(i),i.level="error",n&&n.event_id&&(i.event_id=n.event_id),resolvedSyncPromise(i)}function eventFromMessage(t,e,n="info",r,i){const a=eventFromString(t,e,r&&r.syntheticException||void 0,i);return a.level=n,r&&r.event_id&&(a.event_id=r.event_id),resolvedSyncPromise(a)}function eventFromUnknownInput(t,e,n,r,i){let a;if(isErrorEvent(e)&&e.error){return eventFromError(t,e.error)}if(isDOMError(e)||isDOMException(e)){const i=e;if("stack"in e)a=eventFromError(t,e);else{const e=i.name||(isDOMError(i)?"DOMError":"DOMException"),s=i.message?`${e}: ${i.message}`:e;addExceptionTypeValue(a=eventFromString(t,s,n,r),s)}return"code"in i&&(a.tags={...a.tags,"DOMException.code":`${i.code}`}),a}if(isError(e))return eventFromError(t,e);if(isPlainObject(e)||isEvent(e)){return addExceptionMechanism(a=eventFromPlainObject(t,e,n,i),{synthetic:!0}),a}return addExceptionTypeValue(a=eventFromString(t,e,n,r),`${e}`,void 0),addExceptionMechanism(a,{synthetic:!0}),a}function eventFromString(t,e,n,r){const i={message:e};if(r&&n){const r=parseStackFrames(t,n);r.length&&(i.exception={values:[{value:e,stacktrace:{frames:r}}]})}return i}const MAX_ALLOWED_STRING_LENGTH=1024,BREADCRUMB_INTEGRATION_ID="Breadcrumbs";class Breadcrumbs{static __initStatic(){this.id=BREADCRUMB_INTEGRATION_ID}__init(){this.name=Breadcrumbs.id}constructor(t){Breadcrumbs.prototype.__init.call(this),this.options={console:!0,dom:!0,fetch:!0,history:!0,sentry:!0,xhr:!0,...t}}setupOnce(){this.options.console&&addInstrumentationHandler("console",_consoleBreadcrumb),this.options.dom&&addInstrumentationHandler("dom",_domBreadcrumb(this.options.dom)),this.options.xhr&&addInstrumentationHandler("xhr",_xhrBreadcrumb),this.options.fetch&&addInstrumentationHandler("fetch",_fetchBreadcrumb),this.options.history&&addInstrumentationHandler("history",_historyBreadcrumb)}addSentryBreadcrumb(t){this.options.sentry&&getCurrentHub().addBreadcrumb({category:`sentry.${"transaction"===t.type?"transaction":"event"}`,event_id:t.event_id,level:t.level,message:getEventDescription(t)},{event:t})}}function _domBreadcrumb(t){return function(e){let n,r="object"==typeof t?t.serializeAttribute:void 0,i="object"==typeof t&&"number"==typeof t.maxStringLength?t.maxStringLength:void 0;i&&i>MAX_ALLOWED_STRING_LENGTH&&(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn(`\`dom.maxStringLength\` cannot exceed ${MAX_ALLOWED_STRING_LENGTH}, but a value of ${i} was configured. Sentry will use ${MAX_ALLOWED_STRING_LENGTH} instead.`),i=MAX_ALLOWED_STRING_LENGTH),"string"==typeof r&&(r=[r]);try{n=e.event.target?htmlTreeAsString(e.event.target,{keyAttrs:r,maxStringLength:i}):htmlTreeAsString(e.event,{keyAttrs:r,maxStringLength:i})}catch(t){n="<unknown>"}0!==n.length&&getCurrentHub().addBreadcrumb({category:`ui.${e.name}`,message:n},{event:e.event,name:e.name,global:e.global})}}function _consoleBreadcrumb(t){for(let e=0;e<t.args.length;e++)if("ref=Ref<"===t.args[e]){t.args[e+1]="viewRef";break}const e={category:"console",data:{arguments:t.args,logger:"console"},level:severityLevelFromString(t.level),message:safeJoin(t.args," ")};if("assert"===t.level){if(!1!==t.args[0])return;e.message=`Assertion failed: ${safeJoin(t.args.slice(1)," ")||"console.assert"}`,e.data.arguments=t.args.slice(1)}getCurrentHub().addBreadcrumb(e,{input:t.args,level:t.level})}function _xhrBreadcrumb(t){if(t.endTimestamp){if(t.xhr.__sentry_own_request__)return;const{method:e,url:n,status_code:r,body:i}=t.xhr.__sentry_xhr__||{};getCurrentHub().addBreadcrumb({category:"xhr",data:{method:e,url:n,status_code:r},type:"http"},{xhr:t.xhr,input:i})}else;}function _fetchBreadcrumb(t){t.endTimestamp&&(t.fetchData.url.match(/sentry_key/)&&"POST"===t.fetchData.method||(t.error?getCurrentHub().addBreadcrumb({category:"fetch",data:t.fetchData,level:"error",type:"http"},{data:t.error,input:t.args}):getCurrentHub().addBreadcrumb({category:"fetch",data:{...t.fetchData,status_code:t.response.status},type:"http"},{input:t.args,response:t.response})))}function _historyBreadcrumb(t){let e=t.from,n=t.to;const r=parseUrl(WINDOW$4.location.href);let i=parseUrl(e);const a=parseUrl(n);i.path||(i=r),r.protocol===a.protocol&&r.host===a.host&&(n=a.relative),r.protocol===i.protocol&&r.host===i.host&&(e=i.relative),getCurrentHub().addBreadcrumb({category:"navigation",data:{from:e,to:n}})}Breadcrumbs.__initStatic();class BrowserClient extends BaseClient{constructor(t){t.V=t.V||{},t.V.sdk=t.V.sdk||{name:"sentry.javascript.browser",packages:[{name:"npm:@sentry/browser",version:SDK_VERSION}],version:SDK_VERSION},super(t),t.sendClientReports&&WINDOW$4.document&&WINDOW$4.document.addEventListener("visibilitychange",()=>{"hidden"===WINDOW$4.document.visibilityState&&this.ht()})}eventFromException(t,e){return eventFromException(this.q.stackParser,t,e,this.q.attachStacktrace)}eventFromMessage(t,e="info",n){return eventFromMessage(this.q.stackParser,t,e,n,this.q.attachStacktrace)}sendEvent(t,e){const n=this.getIntegrationById(BREADCRUMB_INTEGRATION_ID);n&&n.addSentryBreadcrumb&&n.addSentryBreadcrumb(t),super.sendEvent(t,e)}ut(t,e,n){return t.platform=t.platform||"javascript",super.ut(t,e,n)}ht(){const t=this.dt();if(0===t.length)return void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("No outcomes to send"));if(!this.tt)return void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("No dsn provided, will not send outcomes"));("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("Sending outcomes:",t);const e=getEnvelopeEndpointWithUrlEncodedAuth(this.tt,this.q),n=createClientReportEnvelope(t,this.q.tunnel&&dsnToString(this.tt));try{if("[object Navigator]"===Object.prototype.toString.call(WINDOW$4&&WINDOW$4.navigator)&&"function"==typeof WINDOW$4.navigator.sendBeacon&&!this.q.transportOptions){WINDOW$4.navigator.sendBeacon.bind(WINDOW$4.navigator)(e,serializeEnvelope(n))}else this.ot(n)}catch(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error(t)}}}let cachedFetchImpl=void 0;function getNativeFetchImplementation(){if(cachedFetchImpl)return cachedFetchImpl;if(isNativeFetch(WINDOW$4.fetch))return cachedFetchImpl=WINDOW$4.fetch.bind(WINDOW$4);const t=WINDOW$4.document;let e=WINDOW$4.fetch;if(t&&"function"==typeof t.createElement)try{const n=t.createElement("iframe");n.hidden=!0,t.head.appendChild(n);const r=n.contentWindow;r&&r.fetch&&(e=r.fetch),t.head.removeChild(n)}catch(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("Could not create sandbox iframe for pure fetch check, bailing to window.fetch: ",t)}return cachedFetchImpl=e.bind(WINDOW$4)}function clearCachedFetchImplementation(){cachedFetchImpl=void 0}function makeFetchTransport(t,e=getNativeFetchImplementation()){return createTransport(t,function(n){const r={body:n.body,method:"POST",referrerPolicy:"origin",headers:t.headers,keepalive:n.body.length<=65536,...t.fetchOptions};try{return e(t.url,r).then(t=>({statusCode:t.status,headers:{"x-sentry-rate-limits":t.headers.get("X-Sentry-Rate-Limits"),"retry-after":t.headers.get("Retry-After")}}))}catch(t){return clearCachedFetchImplementation(),rejectedSyncPromise(t)}})}const XHR_READYSTATE_DONE=4;function makeXHRTransport(t){return createTransport(t,function(e){return new SyncPromise((n,r)=>{const i=new XMLHttpRequest;i.onerror=r,i.onreadystatechange=(()=>{i.readyState===XHR_READYSTATE_DONE&&n({statusCode:i.status,headers:{"x-sentry-rate-limits":i.getResponseHeader("X-Sentry-Rate-Limits"),"retry-after":i.getResponseHeader("Retry-After")}})}),i.open("POST",t.url);for(const e in t.headers)Object.prototype.hasOwnProperty.call(t.headers,e)&&i.setRequestHeader(e,t.headers[e]);i.send(e.body)})})}const UNKNOWN_FUNCTION="?",CHROME_PRIORITY=30,WINJS_PRIORITY=40,GECKO_PRIORITY=50;function createFrame(t,e,n,r){const i={filename:t,function:e,in_app:!0};return void 0!==n&&(i.lineno=n),void 0!==r&&(i.colno=r),i}const chromeRegex=/^\s*at (?:(.*\).*?|.*?) ?\((?:address at )?)?((?:file|https?|blob|chrome-extension|address|native|eval|webpack|<anonymous>|[-a-z]+:|.*bundle|\/)?.*?)(?::(\d+))?(?::(\d+))?\)?\s*$/i,chromeEvalRegex=/\((\S*)(?::(\d+))(?::(\d+))\)/,chrome=t=>{const e=chromeRegex.exec(t);if(e){if(e[2]&&0===e[2].indexOf("eval")){const t=chromeEvalRegex.exec(e[2]);t&&(e[2]=t[1],e[3]=t[2],e[4]=t[3])}const[t,n]=extractSafariExtensionDetails(e[1]||"?",e[2]);return createFrame(n,t,e[3]?+e[3]:void 0,e[4]?+e[4]:void 0)}},chromeStackLineParser=[30,chrome],geckoREgex=/^\s*(.*?)(?:\((.*?)\))?(?:^|@)?((?:file|https?|blob|chrome|webpack|resource|moz-extension|safari-extension|safari-web-extension|capacitor)?:\/.*?|\[native code\]|[^@]*(?:bundle|\d+\.js)|\/[\w\-. /=]+)(?::(\d+))?(?::(\d+))?\s*$/i,geckoEvalRegex=/(\S+) line (\d+)(?: > eval line \d+)* > eval/i,gecko=t=>{const e=geckoREgex.exec(t);if(e){if(e[3]&&e[3].indexOf(" > eval")>-1){const t=geckoEvalRegex.exec(e[3]);t&&(e[1]=e[1]||"eval",e[3]=t[1],e[4]=t[2],e[5]="")}let t=e[3],n=e[1]||"?";return[n,t]=extractSafariExtensionDetails(n,t),createFrame(t,n,e[4]?+e[4]:void 0,e[5]?+e[5]:void 0)}},geckoStackLineParser=[50,gecko],winjsRegex=/^\s*at (?:((?:\[object object\])?.+) )?\(?((?:file|ms-appx|https?|webpack|blob):.*?):(\d+)(?::(\d+))?\)?\s*$/i,winjs=t=>{const e=winjsRegex.exec(t);return e?createFrame(e[2],e[1]||"?",+e[3],e[4]?+e[4]:void 0):void 0},winjsStackLineParser=[40,winjs],defaultStackLineParsers=[chromeStackLineParser,geckoStackLineParser,winjsStackLineParser],defaultStackParser=createStackParser(...defaultStackLineParsers),extractSafariExtensionDetails=(t,e)=>{const n=-1!==t.indexOf("safari-extension"),r=-1!==t.indexOf("safari-web-extension");return n||r?[-1!==t.indexOf("@")?t.split("@")[0]:"?",n?`safari-extension:${e}`:`safari-web-extension:${e}`]:[t,e]};class GlobalHandlers{static __initStatic(){this.id="GlobalHandlers"}__init(){this.name=GlobalHandlers.id}__init2(){this.ft={onerror:_installGlobalOnErrorHandler,onunhandledrejection:_installGlobalOnUnhandledRejectionHandler}}constructor(t){GlobalHandlers.prototype.__init.call(this),GlobalHandlers.prototype.__init2.call(this),this.q={onerror:!0,onunhandledrejection:!0,...t}}setupOnce(){Error.stackTraceLimit=50;const t=this.q;for(const e in t){const n=this.ft[e];n&&t[e]&&(globalHandlerLog(e),n(),this.ft[e]=void 0)}}}function _installGlobalOnErrorHandler(){addInstrumentationHandler("error",t=>{const[e,n,r]=getHubAndOptions();if(!e.getIntegration(GlobalHandlers))return;const{msg:i,url:a,line:s,column:o,error:c}=t;if(shouldIgnoreOnError()||c&&c.__sentry_own_request__)return;const u=void 0===c&&isString(i)?_eventFromIncompleteOnError(i,a,s,o):_enhanceEventWithInitialFrame(eventFromUnknownInput(n,c||i,void 0,r,!1),a,s,o);u.level="error",addMechanismAndCapture(e,c,u,"onerror")})}function _installGlobalOnUnhandledRejectionHandler(){addInstrumentationHandler("unhandledrejection",t=>{const[e,n,r]=getHubAndOptions();if(!e.getIntegration(GlobalHandlers))return;let i=t;try{"reason"in t?i=t.reason:"detail"in t&&"reason"in t.detail&&(i=t.detail.reason)}catch(t){}if(shouldIgnoreOnError()||i&&i.__sentry_own_request__)return!0;const a=isPrimitive(i)?_eventFromRejectionWithPrimitive(i):eventFromUnknownInput(n,i,void 0,r,!0);a.level="error",addMechanismAndCapture(e,i,a,"onunhandledrejection")})}function _eventFromRejectionWithPrimitive(t){return{exception:{values:[{type:"UnhandledRejection",value:`Non-Error promise rejection captured with value: ${String(t)}`}]}}}function _eventFromIncompleteOnError(t,e,n,r){let i=isErrorEvent(t)?t.message:t,a="Error";const s=i.match(/^(?:[Uu]ncaught (?:exception: )?)?(?:((?:Eval|Internal|Range|Reference|Syntax|Type|URI|)Error): )?(.*)$/i);return s&&(a=s[1],i=s[2]),_enhanceEventWithInitialFrame({exception:{values:[{type:a,value:i}]}},e,n,r)}function _enhanceEventWithInitialFrame(t,e,n,r){const i=t.exception=t.exception||{},a=i.values=i.values||[],s=a[0]=a[0]||{},o=s.stacktrace=s.stacktrace||{},c=o.frames=o.frames||[],u=isNaN(parseInt(r,10))?void 0:r,l=isNaN(parseInt(n,10))?void 0:n,d=isString(e)&&e.length>0?e:getLocationHref();return 0===c.length&&c.push({colno:u,filename:d,function:"?",in_app:!0,lineno:l}),t}function globalHandlerLog(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log(`Global Handler attached: ${t}`)}function addMechanismAndCapture(t,e,n,r){addExceptionMechanism(n,{handled:!1,type:r}),t.captureEvent(n,{originalException:e})}function getHubAndOptions(){const t=getCurrentHub(),e=t.getClient(),n=e&&e.getOptions()||{stackParser:()=>[],attachStacktrace:!1};return[t,n.stackParser,n.attachStacktrace]}GlobalHandlers.__initStatic();const DEFAULT_EVENT_TARGET=["EventTarget","Window","Node","ApplicationCache","AudioTrackList","ChannelMergerNode","CryptoOperation","EventSource","FileReader","HTMLUnknownElement","IDBDatabase","IDBRequest","IDBTransaction","KeyOperation","MediaController","MessagePort","ModalWindow","Notification","SVGElementInstance","Screen","TextTrack","TextTrackCue","TextTrackList","WebSocket","WebSocketWorker","Worker","XMLHttpRequest","XMLHttpRequestEventTarget","XMLHttpRequestUpload"];class TryCatch{static __initStatic(){this.id="TryCatch"}__init(){this.name=TryCatch.id}constructor(t){TryCatch.prototype.__init.call(this),this.q={XMLHttpRequest:!0,eventTarget:!0,requestAnimationFrame:!0,setInterval:!0,setTimeout:!0,...t}}setupOnce(){this.q.setTimeout&&fill(WINDOW$4,"setTimeout",_wrapTimeFunction),this.q.setInterval&&fill(WINDOW$4,"setInterval",_wrapTimeFunction),this.q.requestAnimationFrame&&fill(WINDOW$4,"requestAnimationFrame",_wrapRAF),this.q.XMLHttpRequest&&"XMLHttpRequest"in WINDOW$4&&fill(XMLHttpRequest.prototype,"send",_wrapXHR);const t=this.q.eventTarget;if(t){(Array.isArray(t)?t:DEFAULT_EVENT_TARGET).forEach(_wrapEventTarget)}}}function _wrapTimeFunction(t){return function(...e){const n=e[0];return e[0]=wrap(n,{mechanism:{data:{function:getFunctionName(t)},handled:!0,type:"instrument"}}),t.apply(this,e)}}function _wrapRAF(t){return function(e){return t.apply(this,[wrap(e,{mechanism:{data:{function:"requestAnimationFrame",handler:getFunctionName(t)},handled:!0,type:"instrument"}})])}}function _wrapXHR(t){return function(...e){const n=this;return["onload","onerror","onprogress","onreadystatechange"].forEach(t=>{t in n&&"function"==typeof n[t]&&fill(n,t,function(e){const n={mechanism:{data:{function:t,handler:getFunctionName(e)},handled:!0,type:"instrument"}},r=getOriginalFunction(e);return r&&(n.mechanism.data.handler=getFunctionName(r)),wrap(e,n)})}),t.apply(this,e)}}function _wrapEventTarget(t){const e=WINDOW$4,n=e[t]&&e[t].prototype;n&&n.hasOwnProperty&&n.hasOwnProperty("addEventListener")&&(fill(n,"addEventListener",function(e){return function(n,r,i){try{"function"==typeof r.handleEvent&&(r.handleEvent=wrap(r.handleEvent,{mechanism:{data:{function:"handleEvent",handler:getFunctionName(r),target:t},handled:!0,type:"instrument"}}))}catch(t){}return e.apply(this,[n,wrap(r,{mechanism:{data:{function:"addEventListener",handler:getFunctionName(r),target:t},handled:!0,type:"instrument"}}),i])}}),fill(n,"removeEventListener",function(t){return function(e,n,r){const i=n;try{const n=i&&i.__sentry_wrapped__;n&&t.call(this,e,n,r)}catch(t){}return t.call(this,e,i,r)}}))}TryCatch.__initStatic();const DEFAULT_KEY="cause",DEFAULT_LIMIT=5;class LinkedErrors{static __initStatic(){this.id="LinkedErrors"}__init(){this.name=LinkedErrors.id}constructor(t={}){LinkedErrors.prototype.__init.call(this),this._t=t.key||DEFAULT_KEY,this.pt=t.limit||DEFAULT_LIMIT}setupOnce(){const t=getCurrentHub().getClient();t&&addGlobalEventProcessor((e,n)=>{const r=getCurrentHub().getIntegration(LinkedErrors);return r?_handler(t.getOptions().stackParser,r._t,r.pt,e,n):e})}}function _handler(t,e,n,r,i){if(!(r.exception&&r.exception.values&&i&&isInstanceOf(i.originalException,Error)))return r;const a=_walkErrorTree(t,n,i.originalException,e);return r.exception.values=[...a,...r.exception.values],r}function _walkErrorTree(t,e,n,r,i=[]){if(!isInstanceOf(n[r],Error)||i.length+1>=e)return i;const a=exceptionFromError(t,n[r]);return _walkErrorTree(t,e,n[r],r,[a,...i])}LinkedErrors.__initStatic();class HttpContext{constructor(){HttpContext.prototype.__init.call(this)}static __initStatic(){this.id="HttpContext"}__init(){this.name=HttpContext.id}setupOnce(){addGlobalEventProcessor(t=>{if(getCurrentHub().getIntegration(HttpContext)){if(!WINDOW$4.navigator&&!WINDOW$4.location&&!WINDOW$4.document)return t;const e=t.request&&t.request.url||WINDOW$4.location&&WINDOW$4.location.href,{referrer:n}=WINDOW$4.document||{},{userAgent:r}=WINDOW$4.navigator||{},i={...t.request&&t.request.headers,...n&&{Referer:n},...r&&{"User-Agent":r}},a={...t.request,...e&&{url:e},headers:i};return{...t,request:a}}return t})}}HttpContext.__initStatic();class Dedupe{constructor(){Dedupe.prototype.__init.call(this)}static __initStatic(){this.id="Dedupe"}__init(){this.name=Dedupe.id}setupOnce(t,e){const n=t=>{const n=e().getIntegration(Dedupe);if(n){try{if(_shouldDropEvent$1(t,n.vt))return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("Event dropped due to being a duplicate of previously captured event."),null}catch(e){return n.vt=t}return n.vt=t}return t};n.id=this.name,t(n)}}function _shouldDropEvent$1(t,e){return!!e&&(!!_isSameMessageEvent(t,e)||!!_isSameExceptionEvent(t,e))}function _isSameMessageEvent(t,e){const n=t.message,r=e.message;return!(!n&&!r)&&(!(n&&!r||!n&&r)&&(n===r&&(!!_isSameFingerprint(t,e)&&!!_isSameStacktrace(t,e))))}function _isSameExceptionEvent(t,e){const n=_getExceptionFromEvent(e),r=_getExceptionFromEvent(t);return!(!n||!r)&&(n.type===r.type&&n.value===r.value&&(!!_isSameFingerprint(t,e)&&!!_isSameStacktrace(t,e)))}function _isSameStacktrace(t,e){let n=_getFramesFromEvent(t),r=_getFramesFromEvent(e);if(!n&&!r)return!0;if(n&&!r||!n&&r)return!1;if(n=n,(r=r).length!==n.length)return!1;for(let t=0;t<r.length;t++){const e=r[t],i=n[t];if(e.filename!==i.filename||e.lineno!==i.lineno||e.colno!==i.colno||e.function!==i.function)return!1}return!0}function _isSameFingerprint(t,e){let n=t.fingerprint,r=e.fingerprint;if(!n&&!r)return!0;if(n&&!r||!n&&r)return!1;n=n,r=r;try{return!(n.join("")!==r.join(""))}catch(t){return!1}}function _getExceptionFromEvent(t){return t.exception&&t.exception.values&&t.exception.values[0]}function _getFramesFromEvent(t){const e=t.exception;if(e)try{return e.values[0].stacktrace.frames}catch(t){return}}Dedupe.__initStatic();const defaultIntegrations=[new InboundFilters,new FunctionToString,new TryCatch,new Breadcrumbs,new GlobalHandlers,new LinkedErrors,new Dedupe,new HttpContext];function init(t={}){void 0===t.defaultIntegrations&&(t.defaultIntegrations=defaultIntegrations),void 0===t.release&&("string"==typeof __SENTRY_RELEASE__&&(t.release=__SENTRY_RELEASE__),WINDOW$4.SENTRY_RELEASE&&WINDOW$4.SENTRY_RELEASE.id&&(t.release=WINDOW$4.SENTRY_RELEASE.id)),void 0===t.autoSessionTracking&&(t.autoSessionTracking=!0),void 0===t.sendClientReports&&(t.sendClientReports=!0);const e={...t,stackParser:stackParserFromStackParserOptions(t.stackParser||defaultStackParser),integrations:getIntegrationsToSetup(t),transport:t.transport||(supportsFetch()?makeFetchTransport:makeXHRTransport)};initAndBind(BrowserClient,e),t.autoSessionTracking&&startSessionTracking()}function startSessionOnHub(t){t.startSession({ignoreDuration:!0}),t.captureSession()}function startSessionTracking(){if(void 0===WINDOW$4.document)return void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("Session tracking in non-browser environment with @sentry/browser is not supported."));const t=getCurrentHub();t.captureSession&&(startSessionOnHub(t),addInstrumentationHandler("history",({from:t,to:e})=>{void 0!==t&&t!==e&&startSessionOnHub(getCurrentHub())}))}var index=Object.freeze({__proto__:null,GlobalHandlers:GlobalHandlers,TryCatch:TryCatch,Breadcrumbs:Breadcrumbs,LinkedErrors:LinkedErrors,HttpContext:HttpContext,Dedupe:Dedupe});const WINDOW$5=GLOBAL_OBJ,REPLAY_SESSION_KEY="sentryReplaySession",REPLAY_EVENT_NAME="replay_event",UNABLE_TO_SEND_REPLAY="Unable to send Replay",SESSION_IDLE_DURATION=3e5,VISIBILITY_CHANGE_TIMEOUT=SESSION_IDLE_DURATION,MAX_SESSION_LIFE=36e5,MASK_ALL_TEXT_SELECTOR="body *:not(style), body *:not(script)",DEFAULT_FLUSH_MIN_DELAY=5e3,DEFAULT_FLUSH_MAX_DELAY=5e3,ERROR_CHECKOUT_TIME=6e4,RETRY_BASE_INTERVAL=5e3,RETRY_MAX_COUNT=3;var NodeType,__assign=function(){return(__assign=Object.assign||function(t){for(var e,n=1,r=arguments.length;n<r;n++)for(var i in e=arguments[n])Object.prototype.hasOwnProperty.call(e,i)&&(t[i]=e[i]);return t}).apply(this,arguments)};function __rest(t,e){var n={};for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&e.indexOf(r)<0&&(n[r]=t[r]);if(null!=t&&"function"==typeof Object.getOwnPropertySymbols){var i=0;for(r=Object.getOwnPropertySymbols(t);i<r.length;i++)e.indexOf(r[i])<0&&Object.prototype.propertyIsEnumerable.call(t,r[i])&&(n[r[i]]=t[r[i]])}return n}function __values(t){var e="function"==typeof Symbol&&Symbol.iterator,n=e&&t[e],r=0;if(n)return n.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&r>=t.length&&(t=void 0),{value:t&&t[r++],done:!t}}};throw new TypeError(e?"Object is not iterable.":"Symbol.iterator is not defined.")}function __read(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,i,a=n.call(t),s=[];try{for(;(void 0===e||e-- >0)&&!(r=a.next()).done;)s.push(r.value)}catch(t){i={error:t}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return s}function __spreadArray(t,e,n){if(n||2===arguments.length)for(var r,i=0,a=e.length;i<a;i++)!r&&i in e||(r||(r=Array.prototype.slice.call(e,0,i)),r[i]=e[i]);return t.concat(r||Array.prototype.slice.call(e))}function isElement$1(t){return t.nodeType===t.ELEMENT_NODE}function isShadowRoot(t){var e,n=null===(e=t)||void 0===e?void 0:e.host;return Boolean(n&&n.shadowRoot&&n.shadowRoot===t)}function maskInputValue(t){var e=t.input,n=t.maskInputSelector,r=t.unmaskInputSelector,i=t.maskInputOptions,a=t.tagName,s=t.type,o=t.value,c=t.maskInputFn,u=o||"";return r&&e.matches(r)?u:((i[a.toLowerCase()]||i[s]||n&&e.matches(n))&&(u=c?c(u):"*".repeat(u.length)),u)}!function(t){t[t.Document=0]="Document",t[t.DocumentType=1]="DocumentType",t[t.Element=2]="Element",t[t.Text=3]="Text",t[t.CDATA=4]="CDATA",t[t.Comment=5]="Comment"}(NodeType||(NodeType={}));var ORIGINAL_ATTRIBUTE_NAME="__rrweb_original__";function is2DCanvasBlank(t){var e=t.getContext("2d");if(!e)return!0;for(var n=0;n<t.width;n+=50)for(var r=0;r<t.height;r+=50){var i=e.getImageData,a=ORIGINAL_ATTRIBUTE_NAME in i?i[ORIGINAL_ATTRIBUTE_NAME]:i;if(new Uint32Array(a.call(e,n,r,Math.min(50,t.width-n),Math.min(50,t.height-r)).data.buffer).some(function(t){return 0!==t}))return!1}return!0}var canvasService,canvasCtx,_id=1,tagNameRegex=new RegExp("[^a-z0-9-_:]"),IGNORED_NODE=-2;function genId(){return _id++}function getValidTagName(t){if(t instanceof HTMLFormElement)return"form";var e=t.tagName.toLowerCase().trim();return tagNameRegex.test(e)?"div":e}function getCssRulesString(t){try{var e=t.rules||t.cssRules;return e?Array.from(e).map(getCssRuleString).join(""):null}catch(t){return null}}function getCssRuleString(t){var e=t.cssText;if(isCSSImportRule(t))try{e=getCssRulesString(t.styleSheet)||e}catch(t){}return e}function isCSSImportRule(t){return"styleSheet"in t}function stringifyStyleSheet(t){return t.cssRules?Array.from(t.cssRules).map(function(t){return t.cssText||""}).join(""):""}function extractOrigin(t){return(t.indexOf("//")>-1?t.split("/").slice(0,3).join("/"):t.split("/")[0]).split("?")[0]}var URL_IN_CSS_REF=/url\((?:(')([^']*)'|(")(.*?)"|([^)]*))\)/gm,RELATIVE_PATH=/^(?!www\.|(?:http|ftp)s?:\/\/|[A-Za-z]:\\|\/\/|#).*/,DATA_URI=/^(data:)([^,]*),(.*)/i;function absoluteToStylesheet(t,e){return(t||"").replace(URL_IN_CSS_REF,function(t,n,r,i,a,s){var o=r||a||s,c=n||i||"";if(!o)return t;if(!RELATIVE_PATH.test(o))return"url("+c+o+c+")";if(DATA_URI.test(o))return"url("+c+o+c+")";if("/"===o[0])return"url("+c+(extractOrigin(e)+o)+c+")";var u=e.split("/"),l=o.split("/");u.pop();for(var d=0,h=l;d<h.length;d++){var f=h[d];"."!==f&&(".."===f?u.pop():u.push(f))}return"url("+c+u.join("/")+c+")"})}var EventType,IncrementalSource,MouseInteractions,CanvasContext,MediaInteractions,ReplayerEvents,SRCSET_NOT_SPACES=/^[^ \t\n\r\u000c]+/,SRCSET_COMMAS_OR_SPACES=/^[, \t\n\r\u000c]+/;function getAbsoluteSrcsetString(t,e){if(""===e.trim())return e;var n=0;function r(t){var r,i=t.exec(e.substring(n));return i?(r=i[0],n+=r.length,r):""}for(var i=[];r(SRCSET_COMMAS_OR_SPACES),!(n>=e.length);){var a=r(SRCSET_NOT_SPACES);if(","===a.slice(-1))a=absoluteToDoc(t,a.substring(0,a.length-1)),i.push(a);else{var s="";a=absoluteToDoc(t,a);for(var o=!1;;){var c=e.charAt(n);if(""===c){i.push((a+s).trim());break}if(o)")"===c&&(o=!1);else{if(","===c){n+=1,i.push((a+s).trim());break}"("===c&&(o=!0)}s+=c,n+=1}}}return i.join(", ")}function absoluteToDoc(t,e){if(!e||""===e.trim())return e;var n=t.createElement("a");return n.href=e,n.href}function isSVGElement(t){return Boolean("svg"===t.tagName||t.ownerSVGElement)}function getHref(){var t=document.createElement("a");return t.href="",t.href}function transformAttribute(t,e,n,r){return"src"===n||"href"===n&&r?absoluteToDoc(t,r):"xlink:href"===n&&r&&"#"!==r[0]?absoluteToDoc(t,r):"background"!==n||!r||"table"!==e&&"td"!==e&&"th"!==e?"srcset"===n&&r?getAbsoluteSrcsetString(t,r):"style"===n&&r?absoluteToStylesheet(r,getHref()):"object"===e&&"data"===n&&r?absoluteToDoc(t,r):r:absoluteToDoc(t,r)}function _isBlockedElement(t,e,n,r){if(r&&t.matches(r))return!1;if("string"==typeof e){if(t.classList.contains(e))return!0}else for(var i=0;i<t.classList.length;i++){var a=t.classList[i];if(e.test(a))return!0}return!!n&&t.matches(n)}function needMaskingText(t,e,n,r){if(!t)return!1;if(t.nodeType===t.ELEMENT_NODE){if(r&&(t.matches(r)||t.closest(r)))return!1;if("string"==typeof e){if(t.classList.contains(e))return!0}else for(var i=0;i<t.classList.length;i++){var a=t.classList[i];if(e.test(a))return!0}return!(!n||!t.matches(n))||needMaskingText(t.parentNode,e,n,r)}return t.nodeType,t.TEXT_NODE,needMaskingText(t.parentNode,e,n,r)}function onceIframeLoaded(t,e,n){var r=t.contentWindow;if(r){var i,a=!1;try{i=r.document.readyState}catch(t){return}if("complete"===i){"about:blank"===r.location.href&&"about:blank"!==t.src&&""!==t.src?t.addEventListener("load",e):setTimeout(e,0)}else{var s=setTimeout(function(){a||(e(),a=!0)},n);t.addEventListener("load",function(){clearTimeout(s),a=!0,e()})}}}function serializeNode(t,e){var n,r,i=e.doc,a=e.blockClass,s=e.blockSelector,o=e.unblockSelector,c=e.maskTextClass,u=e.maskTextSelector,l=e.unmaskTextSelector,d=e.inlineStylesheet,h=e.maskInputSelector,f=e.unmaskInputSelector,_=e.maskInputOptions,p=void 0===_?{}:_,m=e.maskTextFn,v=e.maskInputFn,g=e.dataURLOptions,E=void 0===g?{}:g,y=e.inlineImages,S=e.recordCanvas,b=e.keepIframeSrcFn;if(i.__sn){var w=i.__sn.id;r=1===w?void 0:w}switch(t.nodeType){case t.DOCUMENT_NODE:return"CSS1Compat"!==t.compatMode?{type:NodeType.Document,childNodes:[],compatMode:t.compatMode,rootId:r}:{type:NodeType.Document,childNodes:[],rootId:r};case t.DOCUMENT_TYPE_NODE:return{type:NodeType.DocumentType,name:t.name,publicId:t.publicId,systemId:t.systemId,rootId:r};case t.ELEMENT_NODE:for(var T=_isBlockedElement(t,a,s,o),k=getValidTagName(t),R={},I=0,N=Array.from(t.attributes);I<N.length;I++){var O=N[I],D=O.name,x=O.value;R[D]=transformAttribute(i,k,D,x)}if("link"===k&&d){var A=Array.from(i.styleSheets).find(function(e){return e.href===t.href}),C=null;A&&(C=getCssRulesString(A)),C&&(delete R.rel,delete R.href,R.gt=absoluteToStylesheet(C,A.href))}if("style"===k&&t.sheet&&!(t.innerText||t.textContent||"").trim().length)(C=getCssRulesString(t.sheet))&&(R.gt=absoluteToStylesheet(C,getHref()));if("input"===k||"textarea"===k||"select"===k){x=t.value;"radio"!==R.type&&"checkbox"!==R.type&&"submit"!==R.type&&"button"!==R.type&&x?R.value=maskInputValue({input:t,type:R.type,tagName:k,value:x,maskInputSelector:h,unmaskInputSelector:f,maskInputOptions:p,maskInputFn:v}):t.checked&&(R.checked=t.checked)}if("option"===k&&(t.selected&&!p.select?R.selected=!0:delete R.selected),"canvas"===k&&S)if("2d"===t.__context)is2DCanvasBlank(t)||(R.rr_dataURL=t.toDataURL(E.type,E.quality));else if(!("__context"in t)){var B=t.toDataURL(E.type,E.quality),L=document.createElement("canvas");L.width=t.width,L.height=t.height,B!==L.toDataURL(E.type,E.quality)&&(R.rr_dataURL=B)}if("img"===k&&y){canvasService||(canvasService=i.createElement("canvas"),canvasCtx=canvasService.getContext("2d"));var U=t,F=U.crossOrigin;U.crossOrigin="anonymous";var M=function(){try{canvasService.width=U.naturalWidth,canvasService.height=U.naturalHeight,canvasCtx.drawImage(U,0,0),R.rr_dataURL=canvasService.toDataURL(E.type,E.quality)}catch(t){console.warn("Cannot inline img src="+U.currentSrc+"! Error: "+t)}F?R.crossOrigin=F:delete R.crossOrigin};U.complete&&0!==U.naturalWidth?M():U.onload=M}if("audio"!==k&&"video"!==k||(R.rr_mediaState=t.paused?"paused":"played",R.rr_mediaCurrentTime=t.currentTime),t.scrollLeft&&(R.rr_scrollLeft=t.scrollLeft),t.scrollTop&&(R.rr_scrollTop=t.scrollTop),T){var W=t.getBoundingClientRect(),z=W.width,G=W.height;R={class:R.class,rr_width:z+"px",rr_height:G+"px"}}return"iframe"!==k||b(R.src)||(t.contentDocument||(R.rr_src=R.src),delete R.src),{type:NodeType.Element,tagName:k,attributes:R,childNodes:[],isSVG:isSVGElement(t)||void 0,needBlock:T,rootId:r};case t.TEXT_NODE:var P=t.parentNode&&t.parentNode.tagName,H=t.textContent,$="STYLE"===P||void 0,Y="SCRIPT"===P||void 0;if($&&H){try{t.nextSibling||t.previousSibling||(null===(n=t.parentNode.sheet)||void 0===n?void 0:n.cssRules)&&(H=stringifyStyleSheet(t.parentNode.sheet))}catch(e){console.warn("Cannot get CSS styles from text's parentNode. Error: "+e,t)}H=absoluteToStylesheet(H,getHref())}return Y&&(H="SCRIPT_PLACEHOLDER"),!$&&!Y&&needMaskingText(t,c,u,l)&&H&&(H=m?m(H):H.replace(/[\S]/g,"*")),{type:NodeType.Text,textContent:H||"",isStyle:$,rootId:r};case t.CDATA_SECTION_NODE:return{type:NodeType.CDATA,textContent:"",rootId:r};case t.COMMENT_NODE:return{type:NodeType.Comment,textContent:t.textContent||"",rootId:r};default:return!1}}function lowerIfExists(t){return void 0===t?"":t.toLowerCase()}function slimDOMExcluded(t,e){if(e.comment&&t.type===NodeType.Comment)return!0;if(t.type===NodeType.Element){if(e.script&&("script"===t.tagName||"link"===t.tagName&&"preload"===t.attributes.rel&&"script"===t.attributes.as||"link"===t.tagName&&"prefetch"===t.attributes.rel&&"string"==typeof t.attributes.href&&t.attributes.href.endsWith(".js")))return!0;if(e.headFavicon&&("link"===t.tagName&&"shortcut icon"===t.attributes.rel||"meta"===t.tagName&&(lowerIfExists(t.attributes.name).match(/^msapplication-tile(image|color)$/)||"application-name"===lowerIfExists(t.attributes.name)||"icon"===lowerIfExists(t.attributes.rel)||"apple-touch-icon"===lowerIfExists(t.attributes.rel)||"shortcut icon"===lowerIfExists(t.attributes.rel))))return!0;if("meta"===t.tagName){if(e.headMetaDescKeywords&&lowerIfExists(t.attributes.name).match(/^description|keywords$/))return!0;if(e.headMetaSocial&&(lowerIfExists(t.attributes.property).match(/^(og|twitter|fb):/)||lowerIfExists(t.attributes.name).match(/^(og|twitter):/)||"pinterest"===lowerIfExists(t.attributes.name)))return!0;if(e.headMetaRobots&&("robots"===lowerIfExists(t.attributes.name)||"googlebot"===lowerIfExists(t.attributes.name)||"bingbot"===lowerIfExists(t.attributes.name)))return!0;if(e.headMetaHttpEquiv&&void 0!==t.attributes["http-equiv"])return!0;if(e.headMetaAuthorship&&("author"===lowerIfExists(t.attributes.name)||"generator"===lowerIfExists(t.attributes.name)||"framework"===lowerIfExists(t.attributes.name)||"publisher"===lowerIfExists(t.attributes.name)||"progid"===lowerIfExists(t.attributes.name)||lowerIfExists(t.attributes.property).match(/^article:/)||lowerIfExists(t.attributes.property).match(/^product:/)))return!0;if(e.headMetaVerification&&("google-site-verification"===lowerIfExists(t.attributes.name)||"yandex-verification"===lowerIfExists(t.attributes.name)||"csrf-token"===lowerIfExists(t.attributes.name)||"p:domain_verify"===lowerIfExists(t.attributes.name)||"verify-v1"===lowerIfExists(t.attributes.name)||"verification"===lowerIfExists(t.attributes.name)||"shopify-checkout-api-token"===lowerIfExists(t.attributes.name)))return!0}}return!1}function serializeNodeWithId(t,e){var n,r=e.doc,i=e.map,a=e.blockClass,s=e.blockSelector,o=e.unblockSelector,c=e.maskTextClass,u=e.maskTextSelector,l=e.unmaskTextSelector,d=e.skipChild,h=void 0!==d&&d,f=e.inlineStylesheet,_=void 0===f||f,p=e.maskInputSelector,m=e.unmaskInputSelector,v=e.maskInputOptions,g=void 0===v?{}:v,E=e.maskTextFn,y=e.maskInputFn,S=e.slimDOMOptions,b=e.dataURLOptions,w=void 0===b?{}:b,T=e.inlineImages,k=void 0!==T&&T,R=e.recordCanvas,I=void 0!==R&&R,N=e.onSerialize,O=e.onIframeLoad,D=e.iframeLoadTimeout,x=void 0===D?5e3:D,A=e.keepIframeSrcFn,C=void 0===A?function(){return!1}:A,B=e.preserveWhiteSpace,L=void 0===B||B,U=serializeNode(t,{doc:r,blockClass:a,blockSelector:s,unblockSelector:o,maskTextClass:c,maskTextSelector:u,unmaskTextSelector:l,inlineStylesheet:_,maskInputSelector:p,unmaskInputSelector:m,maskInputOptions:g,maskTextFn:E,maskInputFn:y,dataURLOptions:w,inlineImages:k,recordCanvas:I,keepIframeSrcFn:C});if(!U)return console.warn(t,"not serialized"),null;n="__sn"in t?t.__sn.id:slimDOMExcluded(U,S)||!L&&U.type===NodeType.Text&&!U.isStyle&&!U.textContent.replace(/^\s+|\s+$/gm,"").length?IGNORED_NODE:genId();var F=Object.assign(U,{id:n});if(t.__sn=F,n===IGNORED_NODE)return null;i[n]=t,N&&N(t);var M=!h;if(F.type===NodeType.Element&&(M=M&&!F.needBlock,delete F.needBlock,t.shadowRoot&&(F.isShadowHost=!0)),(F.type===NodeType.Document||F.type===NodeType.Element)&&M){S.headWhitespace&&U.type===NodeType.Element&&"head"===U.tagName&&(L=!1);for(var W={doc:r,map:i,blockClass:a,blockSelector:s,unblockSelector:o,maskTextClass:c,maskTextSelector:u,unmaskTextSelector:l,skipChild:h,inlineStylesheet:_,maskInputSelector:p,unmaskInputSelector:m,maskInputOptions:g,maskTextFn:E,maskInputFn:y,slimDOMOptions:S,dataURLOptions:w,inlineImages:k,recordCanvas:I,preserveWhiteSpace:L,onSerialize:N,onIframeLoad:O,iframeLoadTimeout:x,keepIframeSrcFn:C},z=0,G=Array.from(t.childNodes);z<G.length;z++){($=serializeNodeWithId(G[z],W))&&F.childNodes.push($)}if(isElement$1(t)&&t.shadowRoot)for(var P=0,H=Array.from(t.shadowRoot.childNodes);P<H.length;P++){var $;($=serializeNodeWithId(H[P],W))&&($.isShadow=!0,F.childNodes.push($))}}return t.parentNode&&isShadowRoot(t.parentNode)&&(F.isShadow=!0),F.type===NodeType.Element&&"iframe"===F.tagName&&onceIframeLoaded(t,function(){var e=t.contentDocument;if(e&&O){var n=serializeNodeWithId(e,{doc:e,map:i,blockClass:a,blockSelector:s,unblockSelector:o,maskTextClass:c,maskTextSelector:u,unmaskTextSelector:l,skipChild:!1,inlineStylesheet:_,maskInputSelector:p,unmaskInputSelector:m,maskInputOptions:g,maskTextFn:E,maskInputFn:y,slimDOMOptions:S,dataURLOptions:w,inlineImages:k,recordCanvas:I,preserveWhiteSpace:L,onSerialize:N,onIframeLoad:O,iframeLoadTimeout:x,keepIframeSrcFn:C});n&&O(t,n)}},x),F}function snapshot(t,e){var n=e||{},r=n.blockClass,i=void 0===r?"rr-block":r,a=n.blockSelector,s=void 0===a?null:a,o=n.unblockSelector,c=void 0===o?null:o,u=n.maskTextClass,l=void 0===u?"rr-mask":u,d=n.maskTextSelector,h=void 0===d?null:d,f=n.unmaskTextSelector,_=void 0===f?null:f,p=n.inlineStylesheet,m=void 0===p||p,v=n.inlineImages,g=void 0!==v&&v,E=n.recordCanvas,y=void 0!==E&&E,S=n.maskInputSelector,b=void 0===S?null:S,w=n.unmaskInputSelector,T=void 0===w?null:w,k=n.maskAllInputs,R=void 0!==k&&k,I=n.maskTextFn,N=n.maskInputFn,O=n.slimDOM,D=void 0!==O&&O,x=n.dataURLOptions,A=n.preserveWhiteSpace,C=n.onSerialize,B=n.onIframeLoad,L=n.iframeLoadTimeout,U=n.keepIframeSrcFn,F={};return[serializeNodeWithId(t,{doc:t,map:F,blockClass:i,blockSelector:s,unblockSelector:c,maskTextClass:l,maskTextSelector:h,unmaskTextSelector:_,skipChild:!1,inlineStylesheet:m,maskInputSelector:b,unmaskInputSelector:T,maskInputOptions:!0===R?{color:!0,date:!0,"datetime-local":!0,email:!0,month:!0,number:!0,range:!0,search:!0,tel:!0,text:!0,time:!0,url:!0,week:!0,textarea:!0,select:!0,password:!0}:!1===R?{password:!0}:R,maskTextFn:I,maskInputFn:N,slimDOMOptions:!0===D||"all"===D?{script:!0,comment:!0,headFavicon:!0,headWhitespace:!0,headMetaDescKeywords:"all"===D,headMetaSocial:!0,headMetaRobots:!0,headMetaHttpEquiv:!0,headMetaAuthorship:!0,headMetaVerification:!0}:!1===D?{}:D,dataURLOptions:x,inlineImages:g,recordCanvas:y,preserveWhiteSpace:A,onSerialize:C,onIframeLoad:B,iframeLoadTimeout:L,keepIframeSrcFn:void 0===U?function(){return!1}:U}),F]}function on(t,e,n){void 0===n&&(n=document);var r={capture:!0,passive:!0};return n.addEventListener(t,e,r),function(){return n.removeEventListener(t,e,r)}}function createMirror(){return{map:{},getId:function(t){return t&&t.__sn?t.__sn.id:-1},getNode:function(t){return this.map[t]||null},removeNodeFromMap:function(t){var e=this,n=t.__sn&&t.__sn.id;delete this.map[n],t.childNodes&&t.childNodes.forEach(function(t){return e.removeNodeFromMap(t)})},has:function(t){return this.map.hasOwnProperty(t)},reset:function(){this.map={}}}}!function(t){t[t.DomContentLoaded=0]="DomContentLoaded",t[t.Load=1]="Load",t[t.FullSnapshot=2]="FullSnapshot",t[t.IncrementalSnapshot=3]="IncrementalSnapshot",t[t.Meta=4]="Meta",t[t.Custom=5]="Custom",t[t.Plugin=6]="Plugin"}(EventType||(EventType={})),function(t){t[t.Mutation=0]="Mutation",t[t.MouseMove=1]="MouseMove",t[t.MouseInteraction=2]="MouseInteraction",t[t.Scroll=3]="Scroll",t[t.ViewportResize=4]="ViewportResize",t[t.Input=5]="Input",t[t.TouchMove=6]="TouchMove",t[t.MediaInteraction=7]="MediaInteraction",t[t.StyleSheetRule=8]="StyleSheetRule",t[t.CanvasMutation=9]="CanvasMutation",t[t.Font=10]="Font",t[t.Log=11]="Log",t[t.Drag=12]="Drag",t[t.StyleDeclaration=13]="StyleDeclaration"}(IncrementalSource||(IncrementalSource={})),function(t){t[t.MouseUp=0]="MouseUp",t[t.MouseDown=1]="MouseDown",t[t.Click=2]="Click",t[t.ContextMenu=3]="ContextMenu",t[t.DblClick=4]="DblClick",t[t.Focus=5]="Focus",t[t.Blur=6]="Blur",t[t.TouchStart=7]="TouchStart",t[t.TouchMove_Departed=8]="TouchMove_Departed",t[t.TouchEnd=9]="TouchEnd",t[t.TouchCancel=10]="TouchCancel"}(MouseInteractions||(MouseInteractions={})),function(t){t[t["2D"]=0]="2D",t[t.WebGL=1]="WebGL",t[t.WebGL2=2]="WebGL2"}(CanvasContext||(CanvasContext={})),function(t){t[t.Play=0]="Play",t[t.Pause=1]="Pause",t[t.Seeked=2]="Seeked",t[t.VolumeChange=3]="VolumeChange"}(MediaInteractions||(MediaInteractions={})),function(t){t.Start="start",t.Pause="pause",t.Resume="resume",t.Resize="resize",t.Finish="finish",t.FullsnapshotRebuilded="fullsnapshot-rebuilded",t.LoadStylesheetStart="load-stylesheet-start",t.LoadStylesheetEnd="load-stylesheet-end",t.SkipStart="skip-start",t.SkipEnd="skip-end",t.MouseInteraction="mouse-interaction",t.EventCast="event-cast",t.CustomEvent="custom-event",t.Flush="flush",t.StateChange="state-change",t.PlayBack="play-back"}(ReplayerEvents||(ReplayerEvents={}));var DEPARTED_MIRROR_ACCESS_WARNING="Please stop import mirror directly. Instead of that,\r\nnow you can use replayer.getMirror() to access the mirror instance of a replayer,\r\nor you can use record.mirror to access the mirror instance during recording.",_mirror={map:{},getId:function(){return console.error(DEPARTED_MIRROR_ACCESS_WARNING),-1},getNode:function(){return console.error(DEPARTED_MIRROR_ACCESS_WARNING),null},removeNodeFromMap:function(){console.error(DEPARTED_MIRROR_ACCESS_WARNING)},has:function(){return console.error(DEPARTED_MIRROR_ACCESS_WARNING),!1},reset:function(){console.error(DEPARTED_MIRROR_ACCESS_WARNING)}};function throttle(t,e,n){void 0===n&&(n={});var r=null,i=0;return function(a){var s=Date.now();i||!1!==n.leading||(i=s);var o=e-(s-i),c=this,u=arguments;o<=0||o>e?(r&&(clearTimeout(r),r=null),i=s,t.apply(c,u)):r||!1===n.trailing||(r=setTimeout(function(){i=!1===n.leading?0:Date.now(),r=null,t.apply(c,u)},o))}}function hookSetter(t,e,n,r,i){void 0===i&&(i=window);var a=i.Object.getOwnPropertyDescriptor(t,e);return i.Object.defineProperty(t,e,r?n:{set:function(t){var e=this;setTimeout(function(){n.set.call(e,t)},0),a&&a.set&&a.set.call(this,t)}}),function(){return hookSetter(t,e,a||{},!0)}}function patch(t,e,n){try{if(!(e in t))return function(){};var r=t[e],i=n(r);return"function"==typeof i&&(i.prototype=i.prototype||{},Object.defineProperties(i,{__rrweb_original__:{enumerable:!1,value:r}})),t[e]=i,function(){t[e]=r}}catch(t){return function(){}}}function getWindowHeight(){return window.innerHeight||document.documentElement&&document.documentElement.clientHeight||document.body&&document.body.clientHeight}function getWindowWidth(){return window.innerWidth||document.documentElement&&document.documentElement.clientWidth||document.body&&document.body.clientWidth}function isBlocked(t,e){if(!t)return!1;if(t.nodeType===t.ELEMENT_NODE){var n=!1;if("string"==typeof e){if(void 0!==t.closest)return null!==t.closest("."+e);n=t.classList.contains(e)}else t.classList.forEach(function(t){e.test(t)&&(n=!0)});return n||isBlocked(t.parentNode,e)}return t.nodeType,t.TEXT_NODE,isBlocked(t.parentNode,e)}function isIgnored(t){return"__sn"in t&&t.__sn.id===IGNORED_NODE}function isAncestorRemoved(t,e){if(isShadowRoot(t))return!1;var n=e.getId(t);return!e.has(n)||(!t.parentNode||t.parentNode.nodeType!==t.DOCUMENT_NODE)&&(!t.parentNode||isAncestorRemoved(t.parentNode,e))}function isTouchEvent(t){return Boolean(t.changedTouches)}function polyfill(t){void 0===t&&(t=window),"NodeList"in t&&!t.NodeList.prototype.forEach&&(t.NodeList.prototype.forEach=Array.prototype.forEach),"DOMTokenList"in t&&!t.DOMTokenList.prototype.forEach&&(t.DOMTokenList.prototype.forEach=Array.prototype.forEach),Node.prototype.contains||(Node.prototype.contains=function(t){if(!(0 in arguments))throw new TypeError("1 argument is required");do{if(this===t)return!0}while(t=t&&t.parentNode);return!1})}function isIframeINode(t){return"__sn"in t&&(t.__sn.type===NodeType.Element&&"iframe"===t.__sn.tagName)}function hasShadowRoot(t){return Boolean(null==t?void 0:t.shadowRoot)}function isNodeInLinkedList(t){return"__ln"in t}"undefined"!=typeof window&&window.Proxy&&window.Reflect&&(_mirror=new Proxy(_mirror,{get:function(t,e,n){return"map"===e&&console.error(DEPARTED_MIRROR_ACCESS_WARNING),Reflect.get(t,e,n)}}));var DoubleLinkedList=function(){function t(){this.length=0,this.head=null}return t.prototype.get=function(t){if(t>=this.length)throw new Error("Position outside of list range");for(var e=this.head,n=0;n<t;n++)e=(null==e?void 0:e.next)||null;return e},t.prototype.addNode=function(t){var e={value:t,previous:null,next:null};if(t.__ln=e,t.previousSibling&&isNodeInLinkedList(t.previousSibling)){var n=t.previousSibling.__ln.next;e.next=n,e.previous=t.previousSibling.__ln,t.previousSibling.__ln.next=e,n&&(n.previous=e)}else if(t.nextSibling&&isNodeInLinkedList(t.nextSibling)&&t.nextSibling.__ln.previous){n=t.nextSibling.__ln.previous;e.previous=n,e.next=t.nextSibling.__ln,t.nextSibling.__ln.previous=e,n&&(n.next=e)}else this.head&&(this.head.previous=e),e.next=this.head,this.head=e;this.length++},t.prototype.removeNode=function(t){var e=t.__ln;this.head&&(e.previous?(e.previous.next=e.next,e.next&&(e.next.previous=e.previous)):(this.head=e.next,this.head&&(this.head.previous=null)),t.__ln&&delete t.__ln,this.length--)},t}(),moveKey=function(t,e){return"".concat(t,"@").concat(e)};function isINode(t){return"__sn"in t}var MutationBuffer=function(){function t(){var t=this;this.frozen=!1,this.locked=!1,this.texts=[],this.attributes=[],this.removes=[],this.mapRemoves=[],this.movedMap={},this.addedSet=new Set,this.movedSet=new Set,this.droppedSet=new Set,this.processMutations=function(e){e.forEach(t.processMutation),t.emit()},this.emit=function(){var e,n,r,i;if(!t.frozen&&!t.locked){for(var a=[],s=new DoubleLinkedList,o=function(e){for(var n=e,r=IGNORED_NODE;r===IGNORED_NODE;)r=(n=n&&n.nextSibling)&&t.mirror.getId(n);return r},c=function(e){for(var n,r,i,c,u,l=e.getRootNode?null===(n=e.getRootNode())||void 0===n?void 0:n.host:null,d=l;null===(i=null===(r=null==d?void 0:d.getRootNode)||void 0===r?void 0:r.call(d))||void 0===i?void 0:i.host;)d=(null===(u=null===(c=null==d?void 0:d.getRootNode)||void 0===c?void 0:c.call(d))||void 0===u?void 0:u.host)||null;var h=!(t.doc.contains(e)||null!==d&&t.doc.contains(d));if(e.parentNode&&!h){var f=isShadowRoot(e.parentNode)?t.mirror.getId(l):t.mirror.getId(e.parentNode),_=o(e);if(-1===f||-1===_)return s.addNode(e);var p=serializeNodeWithId(e,{doc:t.doc,map:t.mirror.map,blockClass:t.blockClass,blockSelector:t.blockSelector,unblockSelector:t.unblockSelector,maskTextClass:t.maskTextClass,maskTextSelector:t.maskTextSelector,unmaskTextSelector:t.unmaskTextSelector,maskInputSelector:t.maskInputSelector,unmaskInputSelector:t.unmaskInputSelector,skipChild:!0,inlineStylesheet:t.inlineStylesheet,maskInputOptions:t.maskInputOptions,maskTextFn:t.maskTextFn,maskInputFn:t.maskInputFn,slimDOMOptions:t.slimDOMOptions,recordCanvas:t.recordCanvas,inlineImages:t.inlineImages,onSerialize:function(n){isIframeINode(n)&&t.iframeManager.addIframe(n),hasShadowRoot(e)&&t.shadowDomManager.addShadowRoot(e.shadowRoot,document)},onIframeLoad:function(e,n){t.iframeManager.attachIframe(e,n),t.shadowDomManager.observeAttachShadow(e)}});p&&a.push({parentId:f,nextId:_,node:p})}};t.mapRemoves.length;)t.mirror.removeNodeFromMap(t.mapRemoves.shift());try{for(var u=__values(t.movedSet),l=u.next();!l.done;l=u.next()){var d=l.value;isParentRemoved(t.removes,d,t.mirror)&&!t.movedSet.has(d.parentNode)||c(d)}}catch(t){e={error:t}}finally{try{l&&!l.done&&(n=u.return)&&n.call(u)}finally{if(e)throw e.error}}try{for(var h=__values(t.addedSet),f=h.next();!f.done;f=h.next()){d=f.value;isAncestorInSet(t.droppedSet,d)||isParentRemoved(t.removes,d,t.mirror)?isAncestorInSet(t.movedSet,d)?c(d):t.droppedSet.add(d):c(d)}}catch(t){r={error:t}}finally{try{f&&!f.done&&(i=h.return)&&i.call(h)}finally{if(r)throw r.error}}for(var _=null;s.length;){var p=null;if(_){var m=t.mirror.getId(_.value.parentNode),v=o(_.value);-1!==m&&-1!==v&&(p=_)}if(!p)for(var g=s.length-1;g>=0;g--){var E=s.get(g);if(E){m=t.mirror.getId(E.value.parentNode),v=o(E.value);if(-1!==m&&-1!==v){p=E;break}}}if(!p){for(;s.head;)s.removeNode(s.head.value);break}_=p.previous,s.removeNode(p.value),c(p.value)}var y={texts:t.texts.map(function(e){return{id:t.mirror.getId(e.node),value:e.value}}).filter(function(e){return t.mirror.has(e.id)}),attributes:t.attributes.map(function(e){return{id:t.mirror.getId(e.node),attributes:e.attributes}}).filter(function(e){return t.mirror.has(e.id)}),removes:t.removes,adds:a};(y.texts.length||y.attributes.length||y.removes.length||y.adds.length)&&(t.texts=[],t.attributes=[],t.removes=[],t.addedSet=new Set,t.movedSet=new Set,t.droppedSet=new Set,t.movedMap={},t.mutationCb(y))}},this.processMutation=function(e){var n,r,i,a;if(!isIgnored(e.target))switch(e.type){case"characterData":var s=e.target.textContent;isBlocked(e.target,t.blockClass)||s===e.oldValue||t.texts.push({value:needMaskingText(e.target,t.maskTextClass,t.maskTextSelector,t.unmaskTextSelector)&&s?t.maskTextFn?t.maskTextFn(s):s.replace(/[\S]/g,"*"):s,node:e.target});break;case"attributes":var o=e.target;s=e.target.getAttribute(e.attributeName);if("value"===e.attributeName&&(s=maskInputValue({input:o,maskInputSelector:t.maskInputSelector,unmaskInputSelector:t.unmaskInputSelector,maskInputOptions:t.maskInputOptions,tagName:e.target.tagName,type:e.target.getAttribute("type"),value:s,maskInputFn:t.maskInputFn})),isBlocked(e.target,t.blockClass)||s===e.oldValue)return;var c=t.attributes.find(function(t){return t.node===e.target});if(c||(c={node:e.target,attributes:{}},t.attributes.push(c)),"style"===e.attributeName){var u=t.doc.createElement("span");e.oldValue&&u.setAttribute("style",e.oldValue),void 0!==c.attributes.style&&null!==c.attributes.style||(c.attributes.style={});var l=c.attributes.style;try{for(var d=__values(Array.from(o.style)),h=d.next();!h.done;h=d.next()){var f=h.value,_=o.style.getPropertyValue(f),p=o.style.getPropertyPriority(f);_===u.style.getPropertyValue(f)&&p===u.style.getPropertyPriority(f)||(l[f]=""===p?_:[_,p])}}catch(t){n={error:t}}finally{try{h&&!h.done&&(r=d.return)&&r.call(d)}finally{if(n)throw n.error}}try{for(var m=__values(Array.from(u.style)),v=m.next();!v.done;v=m.next()){f=v.value;""===o.style.getPropertyValue(f)&&(l[f]=!1)}}catch(t){i={error:t}}finally{try{v&&!v.done&&(a=m.return)&&a.call(m)}finally{if(i)throw i.error}}}else c.attributes[e.attributeName]=transformAttribute(t.doc,e.target.tagName,e.attributeName,s);break;case"childList":e.addedNodes.forEach(function(n){return t.genAdds(n,e.target)}),e.removedNodes.forEach(function(n){var r=t.mirror.getId(n),i=isShadowRoot(e.target)?t.mirror.getId(e.target.host):t.mirror.getId(e.target);isBlocked(e.target,t.blockClass)||isIgnored(n)||(t.addedSet.has(n)?(deepDelete(t.addedSet,n),t.droppedSet.add(n)):t.addedSet.has(e.target)&&-1===r||isAncestorRemoved(e.target,t.mirror)||(t.movedSet.has(n)&&t.movedMap[moveKey(r,i)]?deepDelete(t.movedSet,n):t.removes.push({parentId:i,id:r,isShadow:!!isShadowRoot(e.target)||void 0})),t.mapRemoves.push(n))})}},this.genAdds=function(e,n){if(!n||!isBlocked(n,t.blockClass)){if(isINode(e)){if(isIgnored(e))return;t.movedSet.add(e);var r=null;n&&isINode(n)&&(r=n.__sn.id),r&&(t.movedMap[moveKey(e.__sn.id,r)]=!0)}else t.addedSet.add(e),t.droppedSet.delete(e);isBlocked(e,t.blockClass)||e.childNodes.forEach(function(e){return t.genAdds(e)})}}}return t.prototype.init=function(t){var e=this;["mutationCb","blockClass","blockSelector","unblockSelector","maskTextClass","maskTextSelector","unmaskTextSelector","maskInputSelector","unmaskInputSelector","inlineStylesheet","maskInputOptions","maskTextFn","maskInputFn","recordCanvas","inlineImages","slimDOMOptions","doc","mirror","iframeManager","shadowDomManager","canvasManager"].forEach(function(n){e[n]=t[n]})},t.prototype.freeze=function(){this.frozen=!0,this.canvasManager.freeze()},t.prototype.unfreeze=function(){this.frozen=!1,this.canvasManager.unfreeze(),this.emit()},t.prototype.isFrozen=function(){return this.frozen},t.prototype.lock=function(){this.locked=!0,this.canvasManager.lock()},t.prototype.unlock=function(){this.locked=!1,this.canvasManager.unlock(),this.emit()},t.prototype.reset=function(){this.shadowDomManager.reset(),this.canvasManager.reset()},t}();function deepDelete(t,e){t.delete(e),e.childNodes.forEach(function(e){return deepDelete(t,e)})}function isParentRemoved(t,e,n){var r=e.parentNode;if(!r)return!1;var i=n.getId(r);return!!t.some(function(t){return t.id===i})||isParentRemoved(t,r,n)}function isAncestorInSet(t,e){var n=e.parentNode;return!!n&&(!!t.has(n)||isAncestorInSet(t,n))}const MutationBuffer$1=MutationBuffer;var mutationBuffers=[],isCSSGroupingRuleSupported="undefined"!=typeof CSSGroupingRule,isCSSMediaRuleSupported="undefined"!=typeof CSSMediaRule,isCSSSupportsRuleSupported="undefined"!=typeof CSSSupportsRule,isCSSConditionRuleSupported="undefined"!=typeof CSSConditionRule;function getEventTarget(t){try{if("composedPath"in t){var e=t.composedPath();if(e.length)return e[0]}else if("path"in t&&t.path.length)return t.path[0];return t.target}catch(e){return t.target}}function initMutationObserver(t,e){var n,r,i=new MutationBuffer$1;mutationBuffers.push(i),i.init(t);var a=window.MutationObserver||window.__rrMutationObserver,s=null===(r=null===(n=null===window||void 0===window?void 0:window.Zone)||void 0===n?void 0:n.__symbol__)||void 0===r?void 0:r.call(n,"MutationObserver");s&&window[s]&&(a=window[s]);var o=new a(i.processMutations.bind(i));return o.observe(e,{attributes:!0,attributeOldValue:!0,characterData:!0,characterDataOldValue:!0,childList:!0,subtree:!0}),o}function initMoveObserver(t){var e=t.mousemoveCb,n=t.sampling,r=t.doc,i=t.mirror;if(!1===n.mousemove)return function(){};var a,s="number"==typeof n.mousemove?n.mousemove:50,o="number"==typeof n.mousemoveCallback?n.mousemoveCallback:500,c=[],u=throttle(function(t){var n=Date.now()-a;e(c.map(function(t){return t.timeOffset-=n,t}),t),c=[],a=null},o),l=throttle(function(t){var e=getEventTarget(t),n=isTouchEvent(t)?t.changedTouches[0]:t,r=n.clientX,s=n.clientY;a||(a=Date.now()),c.push({x:r,y:s,id:i.getId(e),timeOffset:Date.now()-a}),u("undefined"!=typeof DragEvent&&t instanceof DragEvent?IncrementalSource.Drag:t instanceof MouseEvent?IncrementalSource.MouseMove:IncrementalSource.TouchMove)},s,{trailing:!1}),d=[on("mousemove",l,r),on("touchmove",l,r),on("drag",l,r)];return function(){d.forEach(function(t){return t()})}}function initMouseInteractionObserver(t){var e=t.mouseInteractionCb,n=t.doc,r=t.mirror,i=t.blockClass,a=t.sampling;if(!1===a.mouseInteraction)return function(){};var s=!0===a.mouseInteraction||void 0===a.mouseInteraction?{}:a.mouseInteraction,o=[];return Object.keys(MouseInteractions).filter(function(t){return Number.isNaN(Number(t))&&!t.endsWith("_Departed")&&!1!==s[t]}).forEach(function(t){var a=t.toLowerCase(),s=function(t){return function(n){var a=getEventTarget(n);if(!isBlocked(a,i)){var s=isTouchEvent(n)?n.changedTouches[0]:n;if(s){var o=r.getId(a),c=s.clientX,u=s.clientY;e({type:MouseInteractions[t],id:o,x:c,y:u})}}}}(t);o.push(on(a,s,n))}),function(){o.forEach(function(t){return t()})}}function initScrollObserver(t){var e=t.scrollCb,n=t.doc,r=t.mirror,i=t.blockClass;return on("scroll",throttle(function(t){var a=getEventTarget(t);if(a&&!isBlocked(a,i)){var s=r.getId(a);if(a===n){var o=n.scrollingElement||n.documentElement;e({id:s,x:o.scrollLeft,y:o.scrollTop})}else e({id:s,x:a.scrollLeft,y:a.scrollTop})}},t.sampling.scroll||100),n)}function initViewportResizeObserver(t){var e=t.viewportResizeCb,n=-1,r=-1;return on("resize",throttle(function(){var t=getWindowHeight(),i=getWindowWidth();n===t&&r===i||(e({width:Number(i),height:Number(t)}),n=t,r=i)},200),window)}function wrapEventWithUserTriggeredFlag(t,e){var n=__assign({},t);return e||delete n.userTriggered,n}var INPUT_TAGS=["INPUT","TEXTAREA","SELECT"],lastInputValueMap=new WeakMap;function initInputObserver(t){var e=t.inputCb,n=t.doc,r=t.mirror,i=t.blockClass,a=t.ignoreClass,s=t.ignoreSelector,o=t.maskInputSelector,c=t.unmaskInputSelector,u=t.maskInputOptions,l=t.maskInputFn,d=t.sampling,h=t.userTriggeredOnInput;function f(t){var e=getEventTarget(t),r=t.isTrusted;if(e&&"OPTION"===e.tagName&&(e=e.parentElement),e&&e.tagName&&!(INPUT_TAGS.indexOf(e.tagName)<0)&&!isBlocked(e,i)){var d=e.type;if(!(e.classList.contains(a)||s&&e.matches(s))){var f=e.value,p=!1;"radio"===d||"checkbox"===d?p=e.checked:(u[e.tagName.toLowerCase()]||u[d])&&(f=maskInputValue({input:e,maskInputOptions:u,maskInputSelector:o,unmaskInputSelector:c,tagName:e.tagName,type:d,value:f,maskInputFn:l})),_(e,wrapEventWithUserTriggeredFlag({text:f,isChecked:p,userTriggered:r},h));var m=e.name;"radio"===d&&m&&p&&n.querySelectorAll('input[type="radio"][name="'.concat(m,'"]')).forEach(function(t){t!==e&&_(t,wrapEventWithUserTriggeredFlag({text:t.value,isChecked:!p,userTriggered:!1},h))})}}}function _(t,n){var i=lastInputValueMap.get(t);if(!i||i.text!==n.text||i.isChecked!==n.isChecked){lastInputValueMap.set(t,n);var a=r.getId(t);e(__assign(__assign({},n),{id:a}))}}var p=("last"===d.input?["change"]:["input","change"]).map(function(t){return on(t,f,n)}),m=Object.getOwnPropertyDescriptor(HTMLInputElement.prototype,"value"),v=[[HTMLInputElement.prototype,"value"],[HTMLInputElement.prototype,"checked"],[HTMLSelectElement.prototype,"value"],[HTMLTextAreaElement.prototype,"value"],[HTMLSelectElement.prototype,"selectedIndex"],[HTMLOptionElement.prototype,"selected"]];return m&&m.set&&p.push.apply(p,__spreadArray([],__read(v.map(function(t){return hookSetter(t[0],t[1],{set:function(){f({target:this})}})})),!1)),function(){p.forEach(function(t){return t()})}}function getNestedCSSRulePositions(t){return function(t,e){if(isCSSGroupingRuleSupported&&t.parentRule instanceof CSSGroupingRule||isCSSMediaRuleSupported&&t.parentRule instanceof CSSMediaRule||isCSSSupportsRuleSupported&&t.parentRule instanceof CSSSupportsRule||isCSSConditionRuleSupported&&t.parentRule instanceof CSSConditionRule){var n=Array.from(t.parentRule.cssRules).indexOf(t);e.unshift(n)}else n=Array.from(t.parentStyleSheet.cssRules).indexOf(t),e.unshift(n);return e}(t,[])}function initStyleSheetObserver(t,e){var n=t.styleSheetRuleCb,r=t.mirror,i=e.win;if(!i.CSSStyleSheet||!i.CSSStyleSheet.prototype)return function(){};var a=i.CSSStyleSheet.prototype.insertRule;i.CSSStyleSheet.prototype.insertRule=function(t,e){var i=r.getId(this.ownerNode);return-1!==i&&n({id:i,adds:[{rule:t,index:e}]}),a.apply(this,arguments)};var s=i.CSSStyleSheet.prototype.deleteRule;i.CSSStyleSheet.prototype.deleteRule=function(t){var e=r.getId(this.ownerNode);return-1!==e&&n({id:e,removes:[{index:t}]}),s.apply(this,arguments)};var o={};isCSSGroupingRuleSupported?o.CSSGroupingRule=i.CSSGroupingRule:(isCSSMediaRuleSupported&&(o.CSSMediaRule=i.CSSMediaRule),isCSSConditionRuleSupported&&(o.CSSConditionRule=i.CSSConditionRule),isCSSSupportsRuleSupported&&(o.CSSSupportsRule=i.CSSSupportsRule));var c={};return Object.entries(o).forEach(function(t){var e=__read(t,2),i=e[0],a=e[1];c[i]={insertRule:a.prototype.insertRule,deleteRule:a.prototype.deleteRule},a.prototype.insertRule=function(t,e){var a=r.getId(this.parentStyleSheet.ownerNode);return-1!==a&&n({id:a,adds:[{rule:t,index:__spreadArray(__spreadArray([],__read(getNestedCSSRulePositions(this)),!1),[e||0],!1)}]}),c[i].insertRule.apply(this,arguments)},a.prototype.deleteRule=function(t){var e=r.getId(this.parentStyleSheet.ownerNode);return-1!==e&&n({id:e,removes:[{index:__spreadArray(__spreadArray([],__read(getNestedCSSRulePositions(this)),!1),[t],!1)}]}),c[i].deleteRule.apply(this,arguments)}}),function(){i.CSSStyleSheet.prototype.insertRule=a,i.CSSStyleSheet.prototype.deleteRule=s,Object.entries(o).forEach(function(t){var e=__read(t,2),n=e[0],r=e[1];r.prototype.insertRule=c[n].insertRule,r.prototype.deleteRule=c[n].deleteRule})}}function initStyleDeclarationObserver(t,e){var n=t.styleDeclarationCb,r=t.mirror,i=e.win,a=i.CSSStyleDeclaration.prototype.setProperty;i.CSSStyleDeclaration.prototype.setProperty=function(t,e,i){var s,o,c=r.getId(null===(o=null===(s=this.parentRule)||void 0===s?void 0:s.parentStyleSheet)||void 0===o?void 0:o.ownerNode);return-1!==c&&n({id:c,set:{property:t,value:e,priority:i},index:getNestedCSSRulePositions(this.parentRule)}),a.apply(this,arguments)};var s=i.CSSStyleDeclaration.prototype.removeProperty;return i.CSSStyleDeclaration.prototype.removeProperty=function(t){var e,i,a=r.getId(null===(i=null===(e=this.parentRule)||void 0===e?void 0:e.parentStyleSheet)||void 0===i?void 0:i.ownerNode);return-1!==a&&n({id:a,remove:{property:t},index:getNestedCSSRulePositions(this.parentRule)}),s.apply(this,arguments)},function(){i.CSSStyleDeclaration.prototype.setProperty=a,i.CSSStyleDeclaration.prototype.removeProperty=s}}function initMediaInteractionObserver(t){var e=t.mediaInteractionCb,n=t.blockClass,r=t.mirror,i=t.sampling,a=function(t){return throttle(function(i){var a=getEventTarget(i);if(a&&!isBlocked(a,n)){var s=a,o=s.currentTime,c=s.volume,u=s.muted;e({type:t,id:r.getId(a),currentTime:o,volume:c,muted:u})}},i.media||500)},s=[on("play",a(0)),on("pause",a(1)),on("seeked",a(2)),on("volumechange",a(3))];return function(){s.forEach(function(t){return t()})}}function initFontObserver(t){var e=t.fontCb,n=t.doc,r=n.defaultView;if(!r)return function(){};var i=[],a=new WeakMap,s=r.FontFace;r.FontFace=function(t,e,n){var r=new s(t,e,n);return a.set(r,{family:t,buffer:"string"!=typeof e,descriptors:n,fontSource:"string"==typeof e?e:JSON.stringify(Array.from(new Uint8Array(e)))}),r};var o=patch(n.fonts,"add",function(t){return function(n){return setTimeout(function(){var t=a.get(n);t&&(e(t),a.delete(n))},0),t.apply(this,[n])}});return i.push(function(){r.FontFace=s}),i.push(o),function(){i.forEach(function(t){return t()})}}function mergeHooks(t,e){var n=t.mutationCb,r=t.mousemoveCb,i=t.mouseInteractionCb,a=t.scrollCb,s=t.viewportResizeCb,o=t.inputCb,c=t.mediaInteractionCb,u=t.styleSheetRuleCb,l=t.styleDeclarationCb,d=t.canvasMutationCb,h=t.fontCb;t.mutationCb=function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];e.mutation&&e.mutation.apply(e,__spreadArray([],__read(t),!1)),n.apply(void 0,__spreadArray([],__read(t),!1))},t.mousemoveCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.mousemove&&e.mousemove.apply(e,__spreadArray([],__read(t),!1)),r.apply(void 0,__spreadArray([],__read(t),!1))},t.mouseInteractionCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.mouseInteraction&&e.mouseInteraction.apply(e,__spreadArray([],__read(t),!1)),i.apply(void 0,__spreadArray([],__read(t),!1))},t.scrollCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.scroll&&e.scroll.apply(e,__spreadArray([],__read(t),!1)),a.apply(void 0,__spreadArray([],__read(t),!1))},t.viewportResizeCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.viewportResize&&e.viewportResize.apply(e,__spreadArray([],__read(t),!1)),s.apply(void 0,__spreadArray([],__read(t),!1))},t.inputCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.input&&e.input.apply(e,__spreadArray([],__read(t),!1)),o.apply(void 0,__spreadArray([],__read(t),!1))},t.mediaInteractionCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.mediaInteaction&&e.mediaInteaction.apply(e,__spreadArray([],__read(t),!1)),c.apply(void 0,__spreadArray([],__read(t),!1))},t.styleSheetRuleCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.styleSheetRule&&e.styleSheetRule.apply(e,__spreadArray([],__read(t),!1)),u.apply(void 0,__spreadArray([],__read(t),!1))},t.styleDeclarationCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.styleDeclaration&&e.styleDeclaration.apply(e,__spreadArray([],__read(t),!1)),l.apply(void 0,__spreadArray([],__read(t),!1))},t.canvasMutationCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.canvasMutation&&e.canvasMutation.apply(e,__spreadArray([],__read(t),!1)),d.apply(void 0,__spreadArray([],__read(t),!1))},t.fontCb=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];e.font&&e.font.apply(e,__spreadArray([],__read(t),!1)),h.apply(void 0,__spreadArray([],__read(t),!1))}}function initObservers(t,e){var n,r;void 0===e&&(e={});var i=t.doc.defaultView;if(!i)return function(){};mergeHooks(t,e);var a=initMutationObserver(t,t.doc),s=initMoveObserver(t),o=initMouseInteractionObserver(t),c=initScrollObserver(t),u=initViewportResizeObserver(t),l=initInputObserver(t),d=initMediaInteractionObserver(t),h=initStyleSheetObserver(t,{win:i}),f=initStyleDeclarationObserver(t,{win:i}),_=t.collectFonts?initFontObserver(t):function(){},p=[];try{for(var m=__values(t.plugins),v=m.next();!v.done;v=m.next()){var g=v.value;p.push(g.observer(g.callback,i,g.options))}}catch(t){n={error:t}}finally{try{v&&!v.done&&(r=m.return)&&r.call(m)}finally{if(n)throw n.error}}return function(){mutationBuffers.forEach(function(t){return t.reset()}),a.disconnect(),s(),o(),c(),u(),l(),d();try{h(),f()}catch(t){}_(),p.forEach(function(t){return t()})}}var IframeManager=function(){function t(t){this.iframes=new WeakMap,this.mutationCb=t.mutationCb}return t.prototype.addIframe=function(t){this.iframes.set(t,!0)},t.prototype.addLoadListener=function(t){this.loadListener=t},t.prototype.attachIframe=function(t,e){var n;this.mutationCb({adds:[{parentId:t.__sn.id,nextId:null,node:e}],removes:[],texts:[],attributes:[],isAttachIframe:!0}),null===(n=this.loadListener)||void 0===n||n.call(this,t)},t}(),ShadowDomManager=function(){function t(t){this.restorePatches=[],this.mutationCb=t.mutationCb,this.scrollCb=t.scrollCb,this.bypassOptions=t.bypassOptions,this.mirror=t.mirror;var e=this;this.restorePatches.push(patch(HTMLElement.prototype,"attachShadow",function(t){return function(){var n=t.apply(this,arguments);return this.shadowRoot&&e.addShadowRoot(this.shadowRoot,this.ownerDocument),n}}))}return t.prototype.addShadowRoot=function(t,e){initMutationObserver(__assign(__assign({},this.bypassOptions),{doc:e,mutationCb:this.mutationCb,mirror:this.mirror,shadowDomManager:this}),t),initScrollObserver(__assign(__assign({},this.bypassOptions),{scrollCb:this.scrollCb,doc:t,mirror:this.mirror}))},t.prototype.observeAttachShadow=function(t){if(t.contentWindow){var e=this;this.restorePatches.push(patch(t.contentWindow.HTMLElement.prototype,"attachShadow",function(n){return function(){var r=n.apply(this,arguments);return this.shadowRoot&&e.addShadowRoot(this.shadowRoot,t.contentDocument),r}}))}},t.prototype.reset=function(){this.restorePatches.forEach(function(t){return t()})},t}();function initCanvas2DMutationObserver(t,e,n,r){var i,a,s=[],o=Object.getOwnPropertyNames(e.CanvasRenderingContext2D.prototype),c=function(r){try{if("function"!=typeof e.CanvasRenderingContext2D.prototype[r])return"continue";var i=patch(e.CanvasRenderingContext2D.prototype,r,function(e){return function(){for(var i=this,a=[],s=0;s<arguments.length;s++)a[s]=arguments[s];return isBlocked(this.canvas,n)||setTimeout(function(){var e=__spreadArray([],__read(a),!1);if("drawImage"===r&&e[0]&&e[0]instanceof HTMLCanvasElement){var n=e[0],s=n.getContext("2d"),o=null==s?void 0:s.getImageData(0,0,n.width,n.height),c=null==o?void 0:o.data;e[0]=JSON.stringify(c)}t(i.canvas,{type:CanvasContext["2D"],property:r,args:e})},0),e.apply(this,a)}});s.push(i)}catch(n){var a=hookSetter(e.CanvasRenderingContext2D.prototype,r,{set:function(e){t(this.canvas,{type:CanvasContext["2D"],property:r,args:[e],setter:!0})}});s.push(a)}};try{for(var u=__values(o),l=u.next();!l.done;l=u.next()){c(l.value)}}catch(t){i={error:t}}finally{try{l&&!l.done&&(a=u.return)&&a.call(u)}finally{if(i)throw i.error}}return function(){s.forEach(function(t){return t()})}}function initCanvasContextObserver(t,e){var n=[];try{var r=patch(t.HTMLCanvasElement.prototype,"getContext",function(t){return function(n){for(var r=[],i=1;i<arguments.length;i++)r[i-1]=arguments[i];return isBlocked(this,e)||"__context"in this||(this.__context=n),t.apply(this,__spreadArray([n],__read(r),!1))}});n.push(r)}catch(t){console.error("failed to patch HTMLCanvasElement.prototype.getContext")}return function(){n.forEach(function(t){return t()})}}for(var chars="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",lookup="undefined"==typeof Uint8Array?[]:new Uint8Array(256),i=0;i<chars.length;i++)lookup[chars.charCodeAt(i)]=i;var encode=function(t){var e,n=new Uint8Array(t),r=n.length,i="";for(e=0;e<r;e+=3)i+=chars[n[e]>>2],i+=chars[(3&n[e])<<4|n[e+1]>>4],i+=chars[(15&n[e+1])<<2|n[e+2]>>6],i+=chars[63&n[e+2]];return r%3==2?i=i.substring(0,i.length-1)+"=":r%3==1&&(i=i.substring(0,i.length-2)+"=="),i},webGLVarMap=new Map;function variableListFor(t,e){var n=webGLVarMap.get(t);return n||(n=new Map,webGLVarMap.set(t,n)),n.has(e)||n.set(e,[]),n.get(e)}var saveWebGLVar=function(t,e,n){if(t&&(isInstanceOfWebGLObject(t,e)||"object"==typeof t)){var r=variableListFor(n,t.constructor.name),i=r.indexOf(t);return-1===i&&(i=r.length,r.push(t)),i}};function serializeArg(t,e,n){return t instanceof Array?t.map(function(t){return serializeArg(t,e,n)}):null===t?t:t instanceof Float32Array||t instanceof Float64Array||t instanceof Int32Array||t instanceof Uint32Array||t instanceof Uint8Array||t instanceof Uint16Array||t instanceof Int16Array||t instanceof Int8Array||t instanceof Uint8ClampedArray?{rr_type:t.constructor.name,args:[Object.values(t)]}:t instanceof ArrayBuffer?{rr_type:t.constructor.name,base64:encode(t)}:t instanceof DataView?{rr_type:t.constructor.name,args:[serializeArg(t.buffer,e,n),t.byteOffset,t.byteLength]}:t instanceof HTMLImageElement?{rr_type:t.constructor.name,src:t.src}:t instanceof ImageData?{rr_type:t.constructor.name,args:[serializeArg(t.data,e,n),t.width,t.height]}:isInstanceOfWebGLObject(t,e)||"object"==typeof t?{rr_type:t.constructor.name,index:saveWebGLVar(t,e,n)}:t}var serializeArgs=function(t,e,n){return __spreadArray([],__read(t),!1).map(function(t){return serializeArg(t,e,n)})},isInstanceOfWebGLObject=function(t,e){var n=["WebGLActiveInfo","WebGLBuffer","WebGLFramebuffer","WebGLProgram","WebGLRenderbuffer","WebGLShader","WebGLShaderPrecisionFormat","WebGLTexture","WebGLUniformLocation","WebGLVertexArrayObject","WebGLVertexArrayObjectOES"].filter(function(t){return"function"==typeof e[t]});return Boolean(n.find(function(n){return t instanceof e[n]}))};function patchGLPrototype(t,e,n,r,i,a){var s,o,c=[],u=Object.getOwnPropertyNames(t),l=function(s){try{if("function"!=typeof t[s])return"continue";var o=patch(t,s,function(o){return function(){for(var c=[],u=0;u<arguments.length;u++)c[u]=arguments[u];var l=o.apply(this,c);if(saveWebGLVar(l,a,t),!isBlocked(this.canvas,r)){i.getId(this.canvas);var d=serializeArgs(__spreadArray([],__read(c),!1),a,t),h={type:e,property:s,args:d};n(this.canvas,h)}return l}});c.push(o)}catch(r){var u=hookSetter(t,s,{set:function(t){n(this.canvas,{type:e,property:s,args:[t],setter:!0})}});c.push(u)}};try{for(var d=__values(u),h=d.next();!h.done;h=d.next()){l(h.value)}}catch(t){s={error:t}}finally{try{h&&!h.done&&(o=d.return)&&o.call(d)}finally{if(s)throw s.error}}return c}function initCanvasWebGLMutationObserver(t,e,n,r){var i=[];return i.push.apply(i,__spreadArray([],__read(patchGLPrototype(e.WebGLRenderingContext.prototype,CanvasContext.WebGL,t,n,r,e)),!1)),void 0!==e.WebGL2RenderingContext&&i.push.apply(i,__spreadArray([],__read(patchGLPrototype(e.WebGL2RenderingContext.prototype,CanvasContext.WebGL2,t,n,r,e)),!1)),function(){i.forEach(function(t){return t()})}}var wrappedEmit,takeFullSnapshot,CanvasManager=function(){function t(t){this.pendingCanvasMutations=new Map,this.rafStamps={latestId:0,invokeId:null},this.frozen=!1,this.locked=!1,this.processMutation=function(t,e){!(this.rafStamps.invokeId&&this.rafStamps.latestId!==this.rafStamps.invokeId)&&this.rafStamps.invokeId||(this.rafStamps.invokeId=this.rafStamps.latestId),this.pendingCanvasMutations.has(t)||this.pendingCanvasMutations.set(t,[]),this.pendingCanvasMutations.get(t).push(e)},this.mutationCb=t.mutationCb,this.mirror=t.mirror,!0===t.recordCanvas&&this.initCanvasMutationObserver(t.win,t.blockClass)}return t.prototype.reset=function(){this.pendingCanvasMutations.clear(),this.resetObservers&&this.resetObservers()},t.prototype.freeze=function(){this.frozen=!0},t.prototype.unfreeze=function(){this.frozen=!1},t.prototype.lock=function(){this.locked=!0},t.prototype.unlock=function(){this.locked=!1},t.prototype.initCanvasMutationObserver=function(t,e){this.startRAFTimestamping(),this.startPendingCanvasMutationFlusher();var n=initCanvasContextObserver(t,e),r=initCanvas2DMutationObserver(this.processMutation.bind(this),t,e,this.mirror),i=initCanvasWebGLMutationObserver(this.processMutation.bind(this),t,e,this.mirror);this.resetObservers=function(){n(),r(),i()}},t.prototype.startPendingCanvasMutationFlusher=function(){var t=this;requestAnimationFrame(function(){return t.flushPendingCanvasMutations()})},t.prototype.startRAFTimestamping=function(){var t=this,e=function(n){t.rafStamps.latestId=n,requestAnimationFrame(e)};requestAnimationFrame(e)},t.prototype.flushPendingCanvasMutations=function(){var t=this;this.pendingCanvasMutations.forEach(function(e,n){var r=t.mirror.getId(n);t.flushPendingCanvasMutationFor(n,r)}),requestAnimationFrame(function(){return t.flushPendingCanvasMutations()})},t.prototype.flushPendingCanvasMutationFor=function(t,e){if(!this.frozen&&!this.locked){var n=this.pendingCanvasMutations.get(t);if(n&&-1!==e){var r=n.map(function(t){return t.type,__rest(t,["type"])}),i=n[0].type;this.mutationCb({id:e,type:i,commands:r}),this.pendingCanvasMutations.delete(t)}}},t}();function wrapEvent(t){return __assign(__assign({},t),{timestamp:Date.now()})}var mirror=createMirror();function record(t){void 0===t&&(t={});var e=t.emit,n=t.checkoutEveryNms,r=t.checkoutEveryNth,i=t.blockClass,a=void 0===i?"rr-block":i,s=t.blockSelector,o=void 0===s?null:s,c=t.unblockSelector,u=void 0===c?null:c,l=t.ignoreClass,d=void 0===l?"rr-ignore":l,h=t.ignoreSelector,f=void 0===h?null:h,_=t.maskTextClass,p=void 0===_?"rr-mask":_,m=t.maskTextSelector,v=void 0===m?null:m,g=t.maskInputSelector,E=void 0===g?null:g,y=t.unmaskTextSelector,S=void 0===y?null:y,b=t.unmaskInputSelector,w=void 0===b?null:b,T=t.inlineStylesheet,k=void 0===T||T,R=t.maskAllInputs,I=t.maskInputOptions,N=t.slimDOMOptions,O=t.maskInputFn,D=t.maskTextFn,x=t.hooks,A=t.packFn,C=t.sampling,B=void 0===C?{}:C,L=t.mousemoveWait,U=t.recordCanvas,F=void 0!==U&&U,M=t.userTriggeredOnInput,W=void 0!==M&&M,z=t.collectFonts,G=void 0!==z&&z,P=t.inlineImages,H=void 0!==P&&P,$=t.plugins,Y=t.keepIframeSrcFn,j=void 0===Y?function(){return!1}:Y;if(!e)throw new Error("emit function is required");void 0!==L&&void 0===B.mousemove&&(B.mousemove=L);var V,Z=!0===R?{color:!0,date:!0,"datetime-local":!0,email:!0,month:!0,number:!0,range:!0,search:!0,tel:!0,text:!0,time:!0,url:!0,week:!0,textarea:!0,select:!0,password:!0}:void 0!==I?I:{password:!0},K=!0===N||"all"===N?{script:!0,comment:!0,headFavicon:!0,headWhitespace:!0,headMetaSocial:!0,headMetaRobots:!0,headMetaHttpEquiv:!0,headMetaVerification:!0,headMetaAuthorship:"all"===N,headMetaDescKeywords:"all"===N}:N||{};polyfill();var X=0;wrappedEmit=function(t,i){var a;if((null===(a=mutationBuffers[0])||void 0===a?void 0:a.isFrozen())&&t.type!==EventType.FullSnapshot&&(t.type!==EventType.IncrementalSnapshot||t.data.source!==IncrementalSource.Mutation)&&mutationBuffers.forEach(function(t){return t.unfreeze()}),e(function(t){var e,n;try{for(var r=__values($||[]),i=r.next();!i.done;i=r.next()){var a=i.value;a.eventProcessor&&(t=a.eventProcessor(t))}}catch(t){e={error:t}}finally{try{i&&!i.done&&(n=r.return)&&n.call(r)}finally{if(e)throw e.error}}return A&&(t=A(t)),t}(t),i),t.type===EventType.FullSnapshot)V=t,X=0;else if(t.type===EventType.IncrementalSnapshot){if(t.data.source===IncrementalSource.Mutation&&t.data.isAttachIframe)return;X++;var s=r&&X>=r,o=n&&t.timestamp-V.timestamp>n;(s||o)&&takeFullSnapshot(!0)}};var J=function(t){wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.Mutation},t)}))},q=function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.Scroll},t)}))},Q=function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.CanvasMutation},t)}))},tt=new IframeManager({mutationCb:J}),et=new CanvasManager({recordCanvas:F,mutationCb:Q,win:window,blockClass:a,mirror:mirror}),nt=new ShadowDomManager({mutationCb:J,scrollCb:q,bypassOptions:{blockClass:a,blockSelector:o,unblockSelector:u,maskTextClass:p,maskTextSelector:v,unmaskTextSelector:S,maskInputSelector:E,unmaskInputSelector:w,inlineStylesheet:k,maskInputOptions:Z,maskTextFn:D,maskInputFn:O,recordCanvas:F,inlineImages:H,sampling:B,slimDOMOptions:K,iframeManager:tt,canvasManager:et},mirror:mirror});takeFullSnapshot=function(t){var e,n,r,i;void 0===t&&(t=!1),wrappedEmit(wrapEvent({type:EventType.Meta,data:{href:window.location.href,width:getWindowWidth(),height:getWindowHeight()}}),t),mutationBuffers.forEach(function(t){return t.lock()});var s=__read(snapshot(document,{blockClass:a,blockSelector:o,unblockSelector:u,maskTextClass:p,maskTextSelector:v,unmaskTextSelector:S,maskInputSelector:E,unmaskInputSelector:w,inlineStylesheet:k,maskAllInputs:Z,maskTextFn:D,slimDOM:K,recordCanvas:F,inlineImages:H,onSerialize:function(t){isIframeINode(t)&&tt.addIframe(t),hasShadowRoot(t)&&nt.addShadowRoot(t.shadowRoot,document)},onIframeLoad:function(t,e){tt.attachIframe(t,e),nt.observeAttachShadow(t)},keepIframeSrcFn:j}),2),c=s[0],l=s[1];if(!c)return console.warn("Failed to snapshot the document");mirror.map=l,wrappedEmit(wrapEvent({type:EventType.FullSnapshot,data:{node:c,initialOffset:{left:void 0!==window.pageXOffset?window.pageXOffset:(null===document||void 0===document?void 0:document.documentElement.scrollLeft)||(null===(n=null===(e=null===document||void 0===document?void 0:document.body)||void 0===e?void 0:e.parentElement)||void 0===n?void 0:n.scrollLeft)||(null===document||void 0===document?void 0:document.body.scrollLeft)||0,top:void 0!==window.pageYOffset?window.pageYOffset:(null===document||void 0===document?void 0:document.documentElement.scrollTop)||(null===(i=null===(r=null===document||void 0===document?void 0:document.body)||void 0===r?void 0:r.parentElement)||void 0===i?void 0:i.scrollTop)||(null===document||void 0===document?void 0:document.body.scrollTop)||0}}})),mutationBuffers.forEach(function(t){return t.unlock()})};try{var rt=[];rt.push(on("DOMContentLoaded",function(){wrappedEmit(wrapEvent({type:EventType.DomContentLoaded,data:{}}))}));var it=function(t){var e;return initObservers({mutationCb:J,mousemoveCb:function(t,e){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:{source:e,positions:t}}))},mouseInteractionCb:function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.MouseInteraction},t)}))},scrollCb:q,viewportResizeCb:function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.ViewportResize},t)}))},inputCb:function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.Input},t)}))},mediaInteractionCb:function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.MediaInteraction},t)}))},styleSheetRuleCb:function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.StyleSheetRule},t)}))},styleDeclarationCb:function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.StyleDeclaration},t)}))},canvasMutationCb:Q,fontCb:function(t){return wrappedEmit(wrapEvent({type:EventType.IncrementalSnapshot,data:__assign({source:IncrementalSource.Font},t)}))},blockClass:a,ignoreClass:d,ignoreSelector:f,maskTextClass:p,maskTextSelector:v,unmaskTextSelector:S,maskInputSelector:E,unmaskInputSelector:w,maskInputOptions:Z,inlineStylesheet:k,sampling:B,recordCanvas:F,inlineImages:H,userTriggeredOnInput:W,collectFonts:G,doc:t,maskInputFn:O,maskTextFn:D,blockSelector:o,unblockSelector:u,slimDOMOptions:K,mirror:mirror,iframeManager:tt,shadowDomManager:nt,canvasManager:et,plugins:(null===(e=null==$?void 0:$.filter(function(t){return t.observer}))||void 0===e?void 0:e.map(function(t){return{observer:t.observer,options:t.options,callback:function(e){return wrappedEmit(wrapEvent({type:EventType.Plugin,data:{plugin:t.name,payload:e}}))}}}))||[]},x)};tt.addLoadListener(function(t){try{rt.push(it(t.contentDocument))}catch(t){console.warn(t)}});var at=function(){takeFullSnapshot(),rt.push(it(document))};return"interactive"===document.readyState||"complete"===document.readyState?at():rt.push(on("load",function(){wrappedEmit(wrapEvent({type:EventType.Load,data:{}})),at()},window)),function(){rt.forEach(function(t){return t()})}}catch(t){console.warn(t)}}record.addCustomEvent=function(t,e){if(!wrappedEmit)throw new Error("please add custom event after start recording");wrappedEmit(wrapEvent({type:EventType.Custom,data:{tag:t,payload:e}}))},record.freezePage=function(){mutationBuffers.forEach(function(t){return t.freeze()})},record.takeFullSnapshot=function(t){if(!takeFullSnapshot)throw new Error("please take full snapshot after start recording");takeFullSnapshot(t)},record.mirror=mirror;const NAVIGATION_ENTRY_KEYS=["name","type","startTime","transferSize","duration"];function isNavigationEntryEqual(t){return function(e){return NAVIGATION_ENTRY_KEYS.every(n=>t[n]===e[n])}}function dedupePerformanceEntries(t,e){const[n,r,i]=t.reduce((t,e)=>("navigation"===e.entryType?t[0].push(e):"largest-contentful-paint"===e.entryType?t[1].push(e):t[2].push(e),t),[[],[],[]]),a=[],s=[];let o=r.length?r[r.length-1]:void 0;return e.forEach(t=>{if("largest-contentful-paint"!==t.entryType)if("navigation"!==t.entryType)a.push(t);else{const e=t;t.duration>0&&!n.find(isNavigationEntryEqual(e))&&!s.find(isNavigationEntryEqual(e))&&s.push(e)}else(!o||o.startTime<t.startTime)&&(o=t)}),[...o?[o]:[],...n,...i,...a,...s].sort((t,e)=>t.startTime-e.startTime)}function setupPerformanceObserver(t){const e=new PerformanceObserver(e=>{const n=dedupePerformanceEntries(t.performanceEvents,e.getEntries());t.performanceEvents=n});return["element","event","first-input","largest-contentful-paint","layout-shift","longtask","navigation","paint","resource"].forEach(t=>{try{e.observe({type:t,buffered:!0})}catch(t){}}),e}const workerString='/*! pako 2.1.0 https://github.com/nodeca/pako @license (MIT AND Zlib) */\nfunction t(t){let e=t.length;for(;--e>=0;)t[e]=0}const e=new Uint8Array([0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0]),a=new Uint8Array([0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13]),i=new Uint8Array([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7]),n=new Uint8Array([16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15]),s=new Array(576);t(s);const r=new Array(60);t(r);const o=new Array(512);t(o);const l=new Array(256);t(l);const h=new Array(29);t(h);const d=new Array(30);function _(t,e,a,i,n){this.static_tree=t,this.extra_bits=e,this.extra_base=a,this.elems=i,this.max_length=n,this.has_stree=t&&t.length}let f,c,u;function w(t,e){this.dyn_tree=t,this.max_code=0,this.stat_desc=e}t(d);const m=t=>t<256?o[t]:o[256+(t>>>7)],b=(t,e)=>{t.pending_buf[t.pending++]=255&e,t.pending_buf[t.pending++]=e>>>8&255},g=(t,e,a)=>{t.bi_valid>16-a?(t.bi_buf|=e<<t.bi_valid&65535,b(t,t.bi_buf),t.bi_buf=e>>16-t.bi_valid,t.bi_valid+=a-16):(t.bi_buf|=e<<t.bi_valid&65535,t.bi_valid+=a)},p=(t,e,a)=>{g(t,a[2*e],a[2*e+1])},k=(t,e)=>{let a=0;do{a|=1&t,t>>>=1,a<<=1}while(--e>0);return a>>>1},v=(t,e,a)=>{const i=new Array(16);let n,s,r=0;for(n=1;n<=15;n++)r=r+a[n-1]<<1,i[n]=r;for(s=0;s<=e;s++){let e=t[2*s+1];0!==e&&(t[2*s]=k(i[e]++,e))}},y=t=>{let e;for(e=0;e<286;e++)t.dyn_ltree[2*e]=0;for(e=0;e<30;e++)t.dyn_dtree[2*e]=0;for(e=0;e<19;e++)t.bl_tree[2*e]=0;t.dyn_ltree[512]=1,t.opt_len=t.static_len=0,t.sym_next=t.matches=0},x=t=>{t.bi_valid>8?b(t,t.bi_buf):t.bi_valid>0&&(t.pending_buf[t.pending++]=t.bi_buf),t.bi_buf=0,t.bi_valid=0},z=(t,e,a,i)=>{const n=2*e,s=2*a;return t[n]<t[s]||t[n]===t[s]&&i[e]<=i[a]},A=(t,e,a)=>{const i=t.heap[a];let n=a<<1;for(;n<=t.heap_len&&(n<t.heap_len&&z(e,t.heap[n+1],t.heap[n],t.depth)&&n++,!z(e,i,t.heap[n],t.depth));)t.heap[a]=t.heap[n],a=n,n<<=1;t.heap[a]=i},E=(t,i,n)=>{let s,r,o,_,f=0;if(0!==t.sym_next)do{s=255&t.pending_buf[t.sym_buf+f++],s+=(255&t.pending_buf[t.sym_buf+f++])<<8,r=t.pending_buf[t.sym_buf+f++],0===s?p(t,r,i):(o=l[r],p(t,o+256+1,i),_=e[o],0!==_&&(r-=h[o],g(t,r,_)),s--,o=m(s),p(t,o,n),_=a[o],0!==_&&(s-=d[o],g(t,s,_)))}while(f<t.sym_next);p(t,256,i)},R=(t,e)=>{const a=e.dyn_tree,i=e.stat_desc.static_tree,n=e.stat_desc.has_stree,s=e.stat_desc.elems;let r,o,l,h=-1;for(t.heap_len=0,t.heap_max=573,r=0;r<s;r++)0!==a[2*r]?(t.heap[++t.heap_len]=h=r,t.depth[r]=0):a[2*r+1]=0;for(;t.heap_len<2;)l=t.heap[++t.heap_len]=h<2?++h:0,a[2*l]=1,t.depth[l]=0,t.opt_len--,n&&(t.static_len-=i[2*l+1]);for(e.max_code=h,r=t.heap_len>>1;r>=1;r--)A(t,a,r);l=s;do{r=t.heap[1],t.heap[1]=t.heap[t.heap_len--],A(t,a,1),o=t.heap[1],t.heap[--t.heap_max]=r,t.heap[--t.heap_max]=o,a[2*l]=a[2*r]+a[2*o],t.depth[l]=(t.depth[r]>=t.depth[o]?t.depth[r]:t.depth[o])+1,a[2*r+1]=a[2*o+1]=l,t.heap[1]=l++,A(t,a,1)}while(t.heap_len>=2);t.heap[--t.heap_max]=t.heap[1],((t,e)=>{const a=e.dyn_tree,i=e.max_code,n=e.stat_desc.static_tree,s=e.stat_desc.has_stree,r=e.stat_desc.extra_bits,o=e.stat_desc.extra_base,l=e.stat_desc.max_length;let h,d,_,f,c,u,w=0;for(f=0;f<=15;f++)t.bl_count[f]=0;for(a[2*t.heap[t.heap_max]+1]=0,h=t.heap_max+1;h<573;h++)d=t.heap[h],f=a[2*a[2*d+1]+1]+1,f>l&&(f=l,w++),a[2*d+1]=f,d>i||(t.bl_count[f]++,c=0,d>=o&&(c=r[d-o]),u=a[2*d],t.opt_len+=u*(f+c),s&&(t.static_len+=u*(n[2*d+1]+c)));if(0!==w){do{for(f=l-1;0===t.bl_count[f];)f--;t.bl_count[f]--,t.bl_count[f+1]+=2,t.bl_count[l]--,w-=2}while(w>0);for(f=l;0!==f;f--)for(d=t.bl_count[f];0!==d;)_=t.heap[--h],_>i||(a[2*_+1]!==f&&(t.opt_len+=(f-a[2*_+1])*a[2*_],a[2*_+1]=f),d--)}})(t,e),v(a,h,t.bl_count)},Z=(t,e,a)=>{let i,n,s=-1,r=e[1],o=0,l=7,h=4;for(0===r&&(l=138,h=3),e[2*(a+1)+1]=65535,i=0;i<=a;i++)n=r,r=e[2*(i+1)+1],++o<l&&n===r||(o<h?t.bl_tree[2*n]+=o:0!==n?(n!==s&&t.bl_tree[2*n]++,t.bl_tree[32]++):o<=10?t.bl_tree[34]++:t.bl_tree[36]++,o=0,s=n,0===r?(l=138,h=3):n===r?(l=6,h=3):(l=7,h=4))},S=(t,e,a)=>{let i,n,s=-1,r=e[1],o=0,l=7,h=4;for(0===r&&(l=138,h=3),i=0;i<=a;i++)if(n=r,r=e[2*(i+1)+1],!(++o<l&&n===r)){if(o<h)do{p(t,n,t.bl_tree)}while(0!=--o);else 0!==n?(n!==s&&(p(t,n,t.bl_tree),o--),p(t,16,t.bl_tree),g(t,o-3,2)):o<=10?(p(t,17,t.bl_tree),g(t,o-3,3)):(p(t,18,t.bl_tree),g(t,o-11,7));o=0,s=n,0===r?(l=138,h=3):n===r?(l=6,h=3):(l=7,h=4)}};let U=!1;const D=(t,e,a,i)=>{g(t,0+(i?1:0),3),x(t),b(t,a),b(t,~a),a&&t.pending_buf.set(t.window.subarray(e,e+a),t.pending),t.pending+=a};var O=(t,e,a,i)=>{let o,l,h=0;t.level>0?(2===t.strm.data_type&&(t.strm.data_type=(t=>{let e,a=4093624447;for(e=0;e<=31;e++,a>>>=1)if(1&a&&0!==t.dyn_ltree[2*e])return 0;if(0!==t.dyn_ltree[18]||0!==t.dyn_ltree[20]||0!==t.dyn_ltree[26])return 1;for(e=32;e<256;e++)if(0!==t.dyn_ltree[2*e])return 1;return 0})(t)),R(t,t.l_desc),R(t,t.d_desc),h=(t=>{let e;for(Z(t,t.dyn_ltree,t.l_desc.max_code),Z(t,t.dyn_dtree,t.d_desc.max_code),R(t,t.bl_desc),e=18;e>=3&&0===t.bl_tree[2*n[e]+1];e--);return t.opt_len+=3*(e+1)+5+5+4,e})(t),o=t.opt_len+3+7>>>3,l=t.static_len+3+7>>>3,l<=o&&(o=l)):o=l=a+5,a+4<=o&&-1!==e?D(t,e,a,i):4===t.strategy||l===o?(g(t,2+(i?1:0),3),E(t,s,r)):(g(t,4+(i?1:0),3),((t,e,a,i)=>{let s;for(g(t,e-257,5),g(t,a-1,5),g(t,i-4,4),s=0;s<i;s++)g(t,t.bl_tree[2*n[s]+1],3);S(t,t.dyn_ltree,e-1),S(t,t.dyn_dtree,a-1)})(t,t.l_desc.max_code+1,t.d_desc.max_code+1,h+1),E(t,t.dyn_ltree,t.dyn_dtree)),y(t),i&&x(t)},T={_tr_init:t=>{U||((()=>{let t,n,w,m,b;const g=new Array(16);for(w=0,m=0;m<28;m++)for(h[m]=w,t=0;t<1<<e[m];t++)l[w++]=m;for(l[w-1]=m,b=0,m=0;m<16;m++)for(d[m]=b,t=0;t<1<<a[m];t++)o[b++]=m;for(b>>=7;m<30;m++)for(d[m]=b<<7,t=0;t<1<<a[m]-7;t++)o[256+b++]=m;for(n=0;n<=15;n++)g[n]=0;for(t=0;t<=143;)s[2*t+1]=8,t++,g[8]++;for(;t<=255;)s[2*t+1]=9,t++,g[9]++;for(;t<=279;)s[2*t+1]=7,t++,g[7]++;for(;t<=287;)s[2*t+1]=8,t++,g[8]++;for(v(s,287,g),t=0;t<30;t++)r[2*t+1]=5,r[2*t]=k(t,5);f=new _(s,e,257,286,15),c=new _(r,a,0,30,15),u=new _(new Array(0),i,0,19,7)})(),U=!0),t.l_desc=new w(t.dyn_ltree,f),t.d_desc=new w(t.dyn_dtree,c),t.bl_desc=new w(t.bl_tree,u),t.bi_buf=0,t.bi_valid=0,y(t)},_tr_stored_block:D,_tr_flush_block:O,_tr_tally:(t,e,a)=>(t.pending_buf[t.sym_buf+t.sym_next++]=e,t.pending_buf[t.sym_buf+t.sym_next++]=e>>8,t.pending_buf[t.sym_buf+t.sym_next++]=a,0===e?t.dyn_ltree[2*a]++:(t.matches++,e--,t.dyn_ltree[2*(l[a]+256+1)]++,t.dyn_dtree[2*m(e)]++),t.sym_next===t.sym_end),_tr_align:t=>{g(t,2,3),p(t,256,s),(t=>{16===t.bi_valid?(b(t,t.bi_buf),t.bi_buf=0,t.bi_valid=0):t.bi_valid>=8&&(t.pending_buf[t.pending++]=255&t.bi_buf,t.bi_buf>>=8,t.bi_valid-=8)})(t)}};var N=(t,e,a,i)=>{let n=65535&t|0,s=t>>>16&65535|0,r=0;for(;0!==a;){r=a>2e3?2e3:a,a-=r;do{n=n+e[i++]|0,s=s+n|0}while(--r);n%=65521,s%=65521}return n|s<<16|0};const F=new Uint32Array((()=>{let t,e=[];for(var a=0;a<256;a++){t=a;for(var i=0;i<8;i++)t=1&t?3988292384^t>>>1:t>>>1;e[a]=t}return e})());var L=(t,e,a,i)=>{const n=F,s=i+a;t^=-1;for(let a=i;a<s;a++)t=t>>>8^n[255&(t^e[a])];return-1^t},I={2:"need dictionary",1:"stream end",0:"","-1":"file error","-2":"stream error","-3":"data error","-4":"insufficient memory","-5":"buffer error","-6":"incompatible version"},B={Z_NO_FLUSH:0,Z_PARTIAL_FLUSH:1,Z_SYNC_FLUSH:2,Z_FULL_FLUSH:3,Z_FINISH:4,Z_BLOCK:5,Z_TREES:6,Z_OK:0,Z_STREAM_END:1,Z_NEED_DICT:2,Z_ERRNO:-1,Z_STREAM_ERROR:-2,Z_DATA_ERROR:-3,Z_MEM_ERROR:-4,Z_BUF_ERROR:-5,Z_NO_COMPRESSION:0,Z_BEST_SPEED:1,Z_BEST_COMPRESSION:9,Z_DEFAULT_COMPRESSION:-1,Z_FILTERED:1,Z_HUFFMAN_ONLY:2,Z_RLE:3,Z_FIXED:4,Z_DEFAULT_STRATEGY:0,Z_BINARY:0,Z_TEXT:1,Z_UNKNOWN:2,Z_DEFLATED:8};const{_tr_init:C,_tr_stored_block:H,_tr_flush_block:M,_tr_tally:j,_tr_align:K}=T,{Z_NO_FLUSH:P,Z_PARTIAL_FLUSH:Y,Z_FULL_FLUSH:G,Z_FINISH:X,Z_BLOCK:J,Z_OK:W,Z_STREAM_END:q,Z_STREAM_ERROR:Q,Z_DATA_ERROR:V,Z_BUF_ERROR:$,Z_DEFAULT_COMPRESSION:tt,Z_FILTERED:et,Z_HUFFMAN_ONLY:at,Z_RLE:it,Z_FIXED:nt,Z_DEFAULT_STRATEGY:st,Z_UNKNOWN:rt,Z_DEFLATED:ot}=B,lt=(t,e)=>(t.msg=I[e],e),ht=t=>2*t-(t>4?9:0),dt=t=>{let e=t.length;for(;--e>=0;)t[e]=0},_t=t=>{let e,a,i,n=t.w_size;e=t.hash_size,i=e;do{a=t.head[--i],t.head[i]=a>=n?a-n:0}while(--e);e=n,i=e;do{a=t.prev[--i],t.prev[i]=a>=n?a-n:0}while(--e)};let ft=(t,e,a)=>(e<<t.hash_shift^a)&t.hash_mask;const ct=t=>{const e=t.state;let a=e.pending;a>t.avail_out&&(a=t.avail_out),0!==a&&(t.output.set(e.pending_buf.subarray(e.pending_out,e.pending_out+a),t.next_out),t.next_out+=a,e.pending_out+=a,t.total_out+=a,t.avail_out-=a,e.pending-=a,0===e.pending&&(e.pending_out=0))},ut=(t,e)=>{M(t,t.block_start>=0?t.block_start:-1,t.strstart-t.block_start,e),t.block_start=t.strstart,ct(t.strm)},wt=(t,e)=>{t.pending_buf[t.pending++]=e},mt=(t,e)=>{t.pending_buf[t.pending++]=e>>>8&255,t.pending_buf[t.pending++]=255&e},bt=(t,e,a,i)=>{let n=t.avail_in;return n>i&&(n=i),0===n?0:(t.avail_in-=n,e.set(t.input.subarray(t.next_in,t.next_in+n),a),1===t.state.wrap?t.adler=N(t.adler,e,n,a):2===t.state.wrap&&(t.adler=L(t.adler,e,n,a)),t.next_in+=n,t.total_in+=n,n)},gt=(t,e)=>{let a,i,n=t.max_chain_length,s=t.strstart,r=t.prev_length,o=t.nice_match;const l=t.strstart>t.w_size-262?t.strstart-(t.w_size-262):0,h=t.window,d=t.w_mask,_=t.prev,f=t.strstart+258;let c=h[s+r-1],u=h[s+r];t.prev_length>=t.good_match&&(n>>=2),o>t.lookahead&&(o=t.lookahead);do{if(a=e,h[a+r]===u&&h[a+r-1]===c&&h[a]===h[s]&&h[++a]===h[s+1]){s+=2,a++;do{}while(h[++s]===h[++a]&&h[++s]===h[++a]&&h[++s]===h[++a]&&h[++s]===h[++a]&&h[++s]===h[++a]&&h[++s]===h[++a]&&h[++s]===h[++a]&&h[++s]===h[++a]&&s<f);if(i=258-(f-s),s=f-258,i>r){if(t.match_start=e,r=i,i>=o)break;c=h[s+r-1],u=h[s+r]}}}while((e=_[e&d])>l&&0!=--n);return r<=t.lookahead?r:t.lookahead},pt=t=>{const e=t.w_size;let a,i,n;do{if(i=t.window_size-t.lookahead-t.strstart,t.strstart>=e+(e-262)&&(t.window.set(t.window.subarray(e,e+e-i),0),t.match_start-=e,t.strstart-=e,t.block_start-=e,t.insert>t.strstart&&(t.insert=t.strstart),_t(t),i+=e),0===t.strm.avail_in)break;if(a=bt(t.strm,t.window,t.strstart+t.lookahead,i),t.lookahead+=a,t.lookahead+t.insert>=3)for(n=t.strstart-t.insert,t.ins_h=t.window[n],t.ins_h=ft(t,t.ins_h,t.window[n+1]);t.insert&&(t.ins_h=ft(t,t.ins_h,t.window[n+3-1]),t.prev[n&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=n,n++,t.insert--,!(t.lookahead+t.insert<3)););}while(t.lookahead<262&&0!==t.strm.avail_in)},kt=(t,e)=>{let a,i,n,s=t.pending_buf_size-5>t.w_size?t.w_size:t.pending_buf_size-5,r=0,o=t.strm.avail_in;do{if(a=65535,n=t.bi_valid+42>>3,t.strm.avail_out<n)break;if(n=t.strm.avail_out-n,i=t.strstart-t.block_start,a>i+t.strm.avail_in&&(a=i+t.strm.avail_in),a>n&&(a=n),a<s&&(0===a&&e!==X||e===P||a!==i+t.strm.avail_in))break;r=e===X&&a===i+t.strm.avail_in?1:0,H(t,0,0,r),t.pending_buf[t.pending-4]=a,t.pending_buf[t.pending-3]=a>>8,t.pending_buf[t.pending-2]=~a,t.pending_buf[t.pending-1]=~a>>8,ct(t.strm),i&&(i>a&&(i=a),t.strm.output.set(t.window.subarray(t.block_start,t.block_start+i),t.strm.next_out),t.strm.next_out+=i,t.strm.avail_out-=i,t.strm.total_out+=i,t.block_start+=i,a-=i),a&&(bt(t.strm,t.strm.output,t.strm.next_out,a),t.strm.next_out+=a,t.strm.avail_out-=a,t.strm.total_out+=a)}while(0===r);return o-=t.strm.avail_in,o&&(o>=t.w_size?(t.matches=2,t.window.set(t.strm.input.subarray(t.strm.next_in-t.w_size,t.strm.next_in),0),t.strstart=t.w_size,t.insert=t.strstart):(t.window_size-t.strstart<=o&&(t.strstart-=t.w_size,t.window.set(t.window.subarray(t.w_size,t.w_size+t.strstart),0),t.matches<2&&t.matches++,t.insert>t.strstart&&(t.insert=t.strstart)),t.window.set(t.strm.input.subarray(t.strm.next_in-o,t.strm.next_in),t.strstart),t.strstart+=o,t.insert+=o>t.w_size-t.insert?t.w_size-t.insert:o),t.block_start=t.strstart),t.high_water<t.strstart&&(t.high_water=t.strstart),r?4:e!==P&&e!==X&&0===t.strm.avail_in&&t.strstart===t.block_start?2:(n=t.window_size-t.strstart,t.strm.avail_in>n&&t.block_start>=t.w_size&&(t.block_start-=t.w_size,t.strstart-=t.w_size,t.window.set(t.window.subarray(t.w_size,t.w_size+t.strstart),0),t.matches<2&&t.matches++,n+=t.w_size,t.insert>t.strstart&&(t.insert=t.strstart)),n>t.strm.avail_in&&(n=t.strm.avail_in),n&&(bt(t.strm,t.window,t.strstart,n),t.strstart+=n,t.insert+=n>t.w_size-t.insert?t.w_size-t.insert:n),t.high_water<t.strstart&&(t.high_water=t.strstart),n=t.bi_valid+42>>3,n=t.pending_buf_size-n>65535?65535:t.pending_buf_size-n,s=n>t.w_size?t.w_size:n,i=t.strstart-t.block_start,(i>=s||(i||e===X)&&e!==P&&0===t.strm.avail_in&&i<=n)&&(a=i>n?n:i,r=e===X&&0===t.strm.avail_in&&a===i?1:0,H(t,t.block_start,a,r),t.block_start+=a,ct(t.strm)),r?3:1)},vt=(t,e)=>{let a,i;for(;;){if(t.lookahead<262){if(pt(t),t.lookahead<262&&e===P)return 1;if(0===t.lookahead)break}if(a=0,t.lookahead>=3&&(t.ins_h=ft(t,t.ins_h,t.window[t.strstart+3-1]),a=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart),0!==a&&t.strstart-a<=t.w_size-262&&(t.match_length=gt(t,a)),t.match_length>=3)if(i=j(t,t.strstart-t.match_start,t.match_length-3),t.lookahead-=t.match_length,t.match_length<=t.max_lazy_match&&t.lookahead>=3){t.match_length--;do{t.strstart++,t.ins_h=ft(t,t.ins_h,t.window[t.strstart+3-1]),a=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart}while(0!=--t.match_length);t.strstart++}else t.strstart+=t.match_length,t.match_length=0,t.ins_h=t.window[t.strstart],t.ins_h=ft(t,t.ins_h,t.window[t.strstart+1]);else i=j(t,0,t.window[t.strstart]),t.lookahead--,t.strstart++;if(i&&(ut(t,!1),0===t.strm.avail_out))return 1}return t.insert=t.strstart<2?t.strstart:2,e===X?(ut(t,!0),0===t.strm.avail_out?3:4):t.sym_next&&(ut(t,!1),0===t.strm.avail_out)?1:2},yt=(t,e)=>{let a,i,n;for(;;){if(t.lookahead<262){if(pt(t),t.lookahead<262&&e===P)return 1;if(0===t.lookahead)break}if(a=0,t.lookahead>=3&&(t.ins_h=ft(t,t.ins_h,t.window[t.strstart+3-1]),a=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart),t.prev_length=t.match_length,t.prev_match=t.match_start,t.match_length=2,0!==a&&t.prev_length<t.max_lazy_match&&t.strstart-a<=t.w_size-262&&(t.match_length=gt(t,a),t.match_length<=5&&(t.strategy===et||3===t.match_length&&t.strstart-t.match_start>4096)&&(t.match_length=2)),t.prev_length>=3&&t.match_length<=t.prev_length){n=t.strstart+t.lookahead-3,i=j(t,t.strstart-1-t.prev_match,t.prev_length-3),t.lookahead-=t.prev_length-1,t.prev_length-=2;do{++t.strstart<=n&&(t.ins_h=ft(t,t.ins_h,t.window[t.strstart+3-1]),a=t.prev[t.strstart&t.w_mask]=t.head[t.ins_h],t.head[t.ins_h]=t.strstart)}while(0!=--t.prev_length);if(t.match_available=0,t.match_length=2,t.strstart++,i&&(ut(t,!1),0===t.strm.avail_out))return 1}else if(t.match_available){if(i=j(t,0,t.window[t.strstart-1]),i&&ut(t,!1),t.strstart++,t.lookahead--,0===t.strm.avail_out)return 1}else t.match_available=1,t.strstart++,t.lookahead--}return t.match_available&&(i=j(t,0,t.window[t.strstart-1]),t.match_available=0),t.insert=t.strstart<2?t.strstart:2,e===X?(ut(t,!0),0===t.strm.avail_out?3:4):t.sym_next&&(ut(t,!1),0===t.strm.avail_out)?1:2};function xt(t,e,a,i,n){this.good_length=t,this.max_lazy=e,this.nice_length=a,this.max_chain=i,this.func=n}const zt=[new xt(0,0,0,0,kt),new xt(4,4,8,4,vt),new xt(4,5,16,8,vt),new xt(4,6,32,32,vt),new xt(4,4,16,16,yt),new xt(8,16,32,32,yt),new xt(8,16,128,128,yt),new xt(8,32,128,256,yt),new xt(32,128,258,1024,yt),new xt(32,258,258,4096,yt)];function At(){this.strm=null,this.status=0,this.pending_buf=null,this.pending_buf_size=0,this.pending_out=0,this.pending=0,this.wrap=0,this.gzhead=null,this.gzindex=0,this.method=ot,this.last_flush=-1,this.w_size=0,this.w_bits=0,this.w_mask=0,this.window=null,this.window_size=0,this.prev=null,this.head=null,this.ins_h=0,this.hash_size=0,this.hash_bits=0,this.hash_mask=0,this.hash_shift=0,this.block_start=0,this.match_length=0,this.prev_match=0,this.match_available=0,this.strstart=0,this.match_start=0,this.lookahead=0,this.prev_length=0,this.max_chain_length=0,this.max_lazy_match=0,this.level=0,this.strategy=0,this.good_match=0,this.nice_match=0,this.dyn_ltree=new Uint16Array(1146),this.dyn_dtree=new Uint16Array(122),this.bl_tree=new Uint16Array(78),dt(this.dyn_ltree),dt(this.dyn_dtree),dt(this.bl_tree),this.l_desc=null,this.d_desc=null,this.bl_desc=null,this.bl_count=new Uint16Array(16),this.heap=new Uint16Array(573),dt(this.heap),this.heap_len=0,this.heap_max=0,this.depth=new Uint16Array(573),dt(this.depth),this.sym_buf=0,this.lit_bufsize=0,this.sym_next=0,this.sym_end=0,this.opt_len=0,this.static_len=0,this.matches=0,this.insert=0,this.bi_buf=0,this.bi_valid=0}const Et=t=>{if(!t)return 1;const e=t.state;return!e||e.strm!==t||42!==e.status&&57!==e.status&&69!==e.status&&73!==e.status&&91!==e.status&&103!==e.status&&113!==e.status&&666!==e.status?1:0},Rt=t=>{if(Et(t))return lt(t,Q);t.total_in=t.total_out=0,t.data_type=rt;const e=t.state;return e.pending=0,e.pending_out=0,e.wrap<0&&(e.wrap=-e.wrap),e.status=2===e.wrap?57:e.wrap?42:113,t.adler=2===e.wrap?0:1,e.last_flush=-2,C(e),W},Zt=t=>{const e=Rt(t);var a;return e===W&&((a=t.state).window_size=2*a.w_size,dt(a.head),a.max_lazy_match=zt[a.level].max_lazy,a.good_match=zt[a.level].good_length,a.nice_match=zt[a.level].nice_length,a.max_chain_length=zt[a.level].max_chain,a.strstart=0,a.block_start=0,a.lookahead=0,a.insert=0,a.match_length=a.prev_length=2,a.match_available=0,a.ins_h=0),e},St=(t,e,a,i,n,s)=>{if(!t)return Q;let r=1;if(e===tt&&(e=6),i<0?(r=0,i=-i):i>15&&(r=2,i-=16),n<1||n>9||a!==ot||i<8||i>15||e<0||e>9||s<0||s>nt||8===i&&1!==r)return lt(t,Q);8===i&&(i=9);const o=new At;return t.state=o,o.strm=t,o.status=42,o.wrap=r,o.gzhead=null,o.w_bits=i,o.w_size=1<<o.w_bits,o.w_mask=o.w_size-1,o.hash_bits=n+7,o.hash_size=1<<o.hash_bits,o.hash_mask=o.hash_size-1,o.hash_shift=~~((o.hash_bits+3-1)/3),o.window=new Uint8Array(2*o.w_size),o.head=new Uint16Array(o.hash_size),o.prev=new Uint16Array(o.w_size),o.lit_bufsize=1<<n+6,o.pending_buf_size=4*o.lit_bufsize,o.pending_buf=new Uint8Array(o.pending_buf_size),o.sym_buf=o.lit_bufsize,o.sym_end=3*(o.lit_bufsize-1),o.level=e,o.strategy=s,o.method=a,Zt(t)};var Ut={deflateInit:(t,e)=>St(t,e,ot,15,8,st),deflateInit2:St,deflateReset:Zt,deflateResetKeep:Rt,deflateSetHeader:(t,e)=>Et(t)||2!==t.state.wrap?Q:(t.state.gzhead=e,W),deflate:(t,e)=>{if(Et(t)||e>J||e<0)return t?lt(t,Q):Q;const a=t.state;if(!t.output||0!==t.avail_in&&!t.input||666===a.status&&e!==X)return lt(t,0===t.avail_out?$:Q);const i=a.last_flush;if(a.last_flush=e,0!==a.pending){if(ct(t),0===t.avail_out)return a.last_flush=-1,W}else if(0===t.avail_in&&ht(e)<=ht(i)&&e!==X)return lt(t,$);if(666===a.status&&0!==t.avail_in)return lt(t,$);if(42===a.status&&0===a.wrap&&(a.status=113),42===a.status){let e=ot+(a.w_bits-8<<4)<<8,i=-1;if(i=a.strategy>=at||a.level<2?0:a.level<6?1:6===a.level?2:3,e|=i<<6,0!==a.strstart&&(e|=32),e+=31-e%31,mt(a,e),0!==a.strstart&&(mt(a,t.adler>>>16),mt(a,65535&t.adler)),t.adler=1,a.status=113,ct(t),0!==a.pending)return a.last_flush=-1,W}if(57===a.status)if(t.adler=0,wt(a,31),wt(a,139),wt(a,8),a.gzhead)wt(a,(a.gzhead.text?1:0)+(a.gzhead.hcrc?2:0)+(a.gzhead.extra?4:0)+(a.gzhead.name?8:0)+(a.gzhead.comment?16:0)),wt(a,255&a.gzhead.time),wt(a,a.gzhead.time>>8&255),wt(a,a.gzhead.time>>16&255),wt(a,a.gzhead.time>>24&255),wt(a,9===a.level?2:a.strategy>=at||a.level<2?4:0),wt(a,255&a.gzhead.os),a.gzhead.extra&&a.gzhead.extra.length&&(wt(a,255&a.gzhead.extra.length),wt(a,a.gzhead.extra.length>>8&255)),a.gzhead.hcrc&&(t.adler=L(t.adler,a.pending_buf,a.pending,0)),a.gzindex=0,a.status=69;else if(wt(a,0),wt(a,0),wt(a,0),wt(a,0),wt(a,0),wt(a,9===a.level?2:a.strategy>=at||a.level<2?4:0),wt(a,3),a.status=113,ct(t),0!==a.pending)return a.last_flush=-1,W;if(69===a.status){if(a.gzhead.extra){let e=a.pending,i=(65535&a.gzhead.extra.length)-a.gzindex;for(;a.pending+i>a.pending_buf_size;){let n=a.pending_buf_size-a.pending;if(a.pending_buf.set(a.gzhead.extra.subarray(a.gzindex,a.gzindex+n),a.pending),a.pending=a.pending_buf_size,a.gzhead.hcrc&&a.pending>e&&(t.adler=L(t.adler,a.pending_buf,a.pending-e,e)),a.gzindex+=n,ct(t),0!==a.pending)return a.last_flush=-1,W;e=0,i-=n}let n=new Uint8Array(a.gzhead.extra);a.pending_buf.set(n.subarray(a.gzindex,a.gzindex+i),a.pending),a.pending+=i,a.gzhead.hcrc&&a.pending>e&&(t.adler=L(t.adler,a.pending_buf,a.pending-e,e)),a.gzindex=0}a.status=73}if(73===a.status){if(a.gzhead.name){let e,i=a.pending;do{if(a.pending===a.pending_buf_size){if(a.gzhead.hcrc&&a.pending>i&&(t.adler=L(t.adler,a.pending_buf,a.pending-i,i)),ct(t),0!==a.pending)return a.last_flush=-1,W;i=0}e=a.gzindex<a.gzhead.name.length?255&a.gzhead.name.charCodeAt(a.gzindex++):0,wt(a,e)}while(0!==e);a.gzhead.hcrc&&a.pending>i&&(t.adler=L(t.adler,a.pending_buf,a.pending-i,i)),a.gzindex=0}a.status=91}if(91===a.status){if(a.gzhead.comment){let e,i=a.pending;do{if(a.pending===a.pending_buf_size){if(a.gzhead.hcrc&&a.pending>i&&(t.adler=L(t.adler,a.pending_buf,a.pending-i,i)),ct(t),0!==a.pending)return a.last_flush=-1,W;i=0}e=a.gzindex<a.gzhead.comment.length?255&a.gzhead.comment.charCodeAt(a.gzindex++):0,wt(a,e)}while(0!==e);a.gzhead.hcrc&&a.pending>i&&(t.adler=L(t.adler,a.pending_buf,a.pending-i,i))}a.status=103}if(103===a.status){if(a.gzhead.hcrc){if(a.pending+2>a.pending_buf_size&&(ct(t),0!==a.pending))return a.last_flush=-1,W;wt(a,255&t.adler),wt(a,t.adler>>8&255),t.adler=0}if(a.status=113,ct(t),0!==a.pending)return a.last_flush=-1,W}if(0!==t.avail_in||0!==a.lookahead||e!==P&&666!==a.status){let i=0===a.level?kt(a,e):a.strategy===at?((t,e)=>{let a;for(;;){if(0===t.lookahead&&(pt(t),0===t.lookahead)){if(e===P)return 1;break}if(t.match_length=0,a=j(t,0,t.window[t.strstart]),t.lookahead--,t.strstart++,a&&(ut(t,!1),0===t.strm.avail_out))return 1}return t.insert=0,e===X?(ut(t,!0),0===t.strm.avail_out?3:4):t.sym_next&&(ut(t,!1),0===t.strm.avail_out)?1:2})(a,e):a.strategy===it?((t,e)=>{let a,i,n,s;const r=t.window;for(;;){if(t.lookahead<=258){if(pt(t),t.lookahead<=258&&e===P)return 1;if(0===t.lookahead)break}if(t.match_length=0,t.lookahead>=3&&t.strstart>0&&(n=t.strstart-1,i=r[n],i===r[++n]&&i===r[++n]&&i===r[++n])){s=t.strstart+258;do{}while(i===r[++n]&&i===r[++n]&&i===r[++n]&&i===r[++n]&&i===r[++n]&&i===r[++n]&&i===r[++n]&&i===r[++n]&&n<s);t.match_length=258-(s-n),t.match_length>t.lookahead&&(t.match_length=t.lookahead)}if(t.match_length>=3?(a=j(t,1,t.match_length-3),t.lookahead-=t.match_length,t.strstart+=t.match_length,t.match_length=0):(a=j(t,0,t.window[t.strstart]),t.lookahead--,t.strstart++),a&&(ut(t,!1),0===t.strm.avail_out))return 1}return t.insert=0,e===X?(ut(t,!0),0===t.strm.avail_out?3:4):t.sym_next&&(ut(t,!1),0===t.strm.avail_out)?1:2})(a,e):zt[a.level].func(a,e);if(3!==i&&4!==i||(a.status=666),1===i||3===i)return 0===t.avail_out&&(a.last_flush=-1),W;if(2===i&&(e===Y?K(a):e!==J&&(H(a,0,0,!1),e===G&&(dt(a.head),0===a.lookahead&&(a.strstart=0,a.block_start=0,a.insert=0))),ct(t),0===t.avail_out))return a.last_flush=-1,W}return e!==X?W:a.wrap<=0?q:(2===a.wrap?(wt(a,255&t.adler),wt(a,t.adler>>8&255),wt(a,t.adler>>16&255),wt(a,t.adler>>24&255),wt(a,255&t.total_in),wt(a,t.total_in>>8&255),wt(a,t.total_in>>16&255),wt(a,t.total_in>>24&255)):(mt(a,t.adler>>>16),mt(a,65535&t.adler)),ct(t),a.wrap>0&&(a.wrap=-a.wrap),0!==a.pending?W:q)},deflateEnd:t=>{if(Et(t))return Q;const e=t.state.status;return t.state=null,113===e?lt(t,V):W},deflateSetDictionary:(t,e)=>{let a=e.length;if(Et(t))return Q;const i=t.state,n=i.wrap;if(2===n||1===n&&42!==i.status||i.lookahead)return Q;if(1===n&&(t.adler=N(t.adler,e,a,0)),i.wrap=0,a>=i.w_size){0===n&&(dt(i.head),i.strstart=0,i.block_start=0,i.insert=0);let t=new Uint8Array(i.w_size);t.set(e.subarray(a-i.w_size,a),0),e=t,a=i.w_size}const s=t.avail_in,r=t.next_in,o=t.input;for(t.avail_in=a,t.next_in=0,t.input=e,pt(i);i.lookahead>=3;){let t=i.strstart,e=i.lookahead-2;do{i.ins_h=ft(i,i.ins_h,i.window[t+3-1]),i.prev[t&i.w_mask]=i.head[i.ins_h],i.head[i.ins_h]=t,t++}while(--e);i.strstart=t,i.lookahead=2,pt(i)}return i.strstart+=i.lookahead,i.block_start=i.strstart,i.insert=i.lookahead,i.lookahead=0,i.match_length=i.prev_length=2,i.match_available=0,t.next_in=r,t.input=o,t.avail_in=s,i.wrap=n,W},deflateInfo:"pako deflate (from Nodeca project)"};const Dt=(t,e)=>Object.prototype.hasOwnProperty.call(t,e);var Ot=function(t){const e=Array.prototype.slice.call(arguments,1);for(;e.length;){const a=e.shift();if(a){if("object"!=typeof a)throw new TypeError(a+"must be non-object");for(const e in a)Dt(a,e)&&(t[e]=a[e])}}return t},Tt=t=>{let e=0;for(let a=0,i=t.length;a<i;a++)e+=t[a].length;const a=new Uint8Array(e);for(let e=0,i=0,n=t.length;e<n;e++){let n=t[e];a.set(n,i),i+=n.length}return a};let Nt=!0;try{String.fromCharCode.apply(null,new Uint8Array(1))}catch(t){Nt=!1}const Ft=new Uint8Array(256);for(let t=0;t<256;t++)Ft[t]=t>=252?6:t>=248?5:t>=240?4:t>=224?3:t>=192?2:1;Ft[254]=Ft[254]=1;var Lt=t=>{if("function"==typeof TextEncoder&&TextEncoder.prototype.encode)return(new TextEncoder).encode(t);let e,a,i,n,s,r=t.length,o=0;for(n=0;n<r;n++)a=t.charCodeAt(n),55296==(64512&a)&&n+1<r&&(i=t.charCodeAt(n+1),56320==(64512&i)&&(a=65536+(a-55296<<10)+(i-56320),n++)),o+=a<128?1:a<2048?2:a<65536?3:4;for(e=new Uint8Array(o),s=0,n=0;s<o;n++)a=t.charCodeAt(n),55296==(64512&a)&&n+1<r&&(i=t.charCodeAt(n+1),56320==(64512&i)&&(a=65536+(a-55296<<10)+(i-56320),n++)),a<128?e[s++]=a:a<2048?(e[s++]=192|a>>>6,e[s++]=128|63&a):a<65536?(e[s++]=224|a>>>12,e[s++]=128|a>>>6&63,e[s++]=128|63&a):(e[s++]=240|a>>>18,e[s++]=128|a>>>12&63,e[s++]=128|a>>>6&63,e[s++]=128|63&a);return e},It=(t,e)=>{const a=e||t.length;if("function"==typeof TextDecoder&&TextDecoder.prototype.decode)return(new TextDecoder).decode(t.subarray(0,e));let i,n;const s=new Array(2*a);for(n=0,i=0;i<a;){let e=t[i++];if(e<128){s[n++]=e;continue}let r=Ft[e];if(r>4)s[n++]=65533,i+=r-1;else{for(e&=2===r?31:3===r?15:7;r>1&&i<a;)e=e<<6|63&t[i++],r--;r>1?s[n++]=65533:e<65536?s[n++]=e:(e-=65536,s[n++]=55296|e>>10&1023,s[n++]=56320|1023&e)}}return((t,e)=>{if(e<65534&&t.subarray&&Nt)return String.fromCharCode.apply(null,t.length===e?t:t.subarray(0,e));let a="";for(let i=0;i<e;i++)a+=String.fromCharCode(t[i]);return a})(s,n)},Bt=(t,e)=>{(e=e||t.length)>t.length&&(e=t.length);let a=e-1;for(;a>=0&&128==(192&t[a]);)a--;return a<0||0===a?e:a+Ft[t[a]]>e?a:e};var Ct=function(){this.input=null,this.next_in=0,this.avail_in=0,this.total_in=0,this.output=null,this.next_out=0,this.avail_out=0,this.total_out=0,this.msg="",this.state=null,this.data_type=2,this.adler=0};const Ht=Object.prototype.toString,{Z_NO_FLUSH:Mt,Z_SYNC_FLUSH:jt,Z_FULL_FLUSH:Kt,Z_FINISH:Pt,Z_OK:Yt,Z_STREAM_END:Gt,Z_DEFAULT_COMPRESSION:Xt,Z_DEFAULT_STRATEGY:Jt,Z_DEFLATED:Wt}=B;function qt(t){this.options=Ot({level:Xt,method:Wt,chunkSize:16384,windowBits:15,memLevel:8,strategy:Jt},t||{});let e=this.options;e.raw&&e.windowBits>0?e.windowBits=-e.windowBits:e.gzip&&e.windowBits>0&&e.windowBits<16&&(e.windowBits+=16),this.err=0,this.msg="",this.ended=!1,this.chunks=[],this.strm=new Ct,this.strm.avail_out=0;let a=Ut.deflateInit2(this.strm,e.level,e.method,e.windowBits,e.memLevel,e.strategy);if(a!==Yt)throw new Error(I[a]);if(e.header&&Ut.deflateSetHeader(this.strm,e.header),e.dictionary){let t;if(t="string"==typeof e.dictionary?Lt(e.dictionary):"[object ArrayBuffer]"===Ht.call(e.dictionary)?new Uint8Array(e.dictionary):e.dictionary,a=Ut.deflateSetDictionary(this.strm,t),a!==Yt)throw new Error(I[a]);this._dict_set=!0}}function Qt(t,e){const a=new qt(e);if(a.push(t,!0),a.err)throw a.msg||I[a.err];return a.result}qt.prototype.push=function(t,e){const a=this.strm,i=this.options.chunkSize;let n,s;if(this.ended)return!1;for(s=e===~~e?e:!0===e?Pt:Mt,"string"==typeof t?a.input=Lt(t):"[object ArrayBuffer]"===Ht.call(t)?a.input=new Uint8Array(t):a.input=t,a.next_in=0,a.avail_in=a.input.length;;)if(0===a.avail_out&&(a.output=new Uint8Array(i),a.next_out=0,a.avail_out=i),(s===jt||s===Kt)&&a.avail_out<=6)this.onData(a.output.subarray(0,a.next_out)),a.avail_out=0;else{if(n=Ut.deflate(a,s),n===Gt)return a.next_out>0&&this.onData(a.output.subarray(0,a.next_out)),n=Ut.deflateEnd(this.strm),this.onEnd(n),this.ended=!0,n===Yt;if(0!==a.avail_out){if(s>0&&a.next_out>0)this.onData(a.output.subarray(0,a.next_out)),a.avail_out=0;else if(0===a.avail_in)break}else this.onData(a.output)}return!0},qt.prototype.onData=function(t){this.chunks.push(t)},qt.prototype.onEnd=function(t){t===Yt&&(this.result=Tt(this.chunks)),this.chunks=[],this.err=t,this.msg=this.strm.msg};var Vt={Deflate:qt,deflate:Qt,deflateRaw:function(t,e){return(e=e||{}).raw=!0,Qt(t,e)},gzip:function(t,e){return(e=e||{}).gzip=!0,Qt(t,e)},constants:B};var $t=function(t,e){let a,i,n,s,r,o,l,h,d,_,f,c,u,w,m,b,g,p,k,v,y,x,z,A;const E=t.state;a=t.next_in,z=t.input,i=a+(t.avail_in-5),n=t.next_out,A=t.output,s=n-(e-t.avail_out),r=n+(t.avail_out-257),o=E.dmax,l=E.wsize,h=E.whave,d=E.wnext,_=E.window,f=E.hold,c=E.bits,u=E.lencode,w=E.distcode,m=(1<<E.lenbits)-1,b=(1<<E.distbits)-1;t:do{c<15&&(f+=z[a++]<<c,c+=8,f+=z[a++]<<c,c+=8),g=u[f&m];e:for(;;){if(p=g>>>24,f>>>=p,c-=p,p=g>>>16&255,0===p)A[n++]=65535&g;else{if(!(16&p)){if(0==(64&p)){g=u[(65535&g)+(f&(1<<p)-1)];continue e}if(32&p){E.mode=16191;break t}t.msg="invalid literal/length code",E.mode=16209;break t}k=65535&g,p&=15,p&&(c<p&&(f+=z[a++]<<c,c+=8),k+=f&(1<<p)-1,f>>>=p,c-=p),c<15&&(f+=z[a++]<<c,c+=8,f+=z[a++]<<c,c+=8),g=w[f&b];a:for(;;){if(p=g>>>24,f>>>=p,c-=p,p=g>>>16&255,!(16&p)){if(0==(64&p)){g=w[(65535&g)+(f&(1<<p)-1)];continue a}t.msg="invalid distance code",E.mode=16209;break t}if(v=65535&g,p&=15,c<p&&(f+=z[a++]<<c,c+=8,c<p&&(f+=z[a++]<<c,c+=8)),v+=f&(1<<p)-1,v>o){t.msg="invalid distance too far back",E.mode=16209;break t}if(f>>>=p,c-=p,p=n-s,v>p){if(p=v-p,p>h&&E.sane){t.msg="invalid distance too far back",E.mode=16209;break t}if(y=0,x=_,0===d){if(y+=l-p,p<k){k-=p;do{A[n++]=_[y++]}while(--p);y=n-v,x=A}}else if(d<p){if(y+=l+d-p,p-=d,p<k){k-=p;do{A[n++]=_[y++]}while(--p);if(y=0,d<k){p=d,k-=p;do{A[n++]=_[y++]}while(--p);y=n-v,x=A}}}else if(y+=d-p,p<k){k-=p;do{A[n++]=_[y++]}while(--p);y=n-v,x=A}for(;k>2;)A[n++]=x[y++],A[n++]=x[y++],A[n++]=x[y++],k-=3;k&&(A[n++]=x[y++],k>1&&(A[n++]=x[y++]))}else{y=n-v;do{A[n++]=A[y++],A[n++]=A[y++],A[n++]=A[y++],k-=3}while(k>2);k&&(A[n++]=A[y++],k>1&&(A[n++]=A[y++]))}break}}break}}while(a<i&&n<r);k=c>>3,a-=k,c-=k<<3,f&=(1<<c)-1,t.next_in=a,t.next_out=n,t.avail_in=a<i?i-a+5:5-(a-i),t.avail_out=n<r?r-n+257:257-(n-r),E.hold=f,E.bits=c};const te=new Uint16Array([3,4,5,6,7,8,9,10,11,13,15,17,19,23,27,31,35,43,51,59,67,83,99,115,131,163,195,227,258,0,0]),ee=new Uint8Array([16,16,16,16,16,16,16,16,17,17,17,17,18,18,18,18,19,19,19,19,20,20,20,20,21,21,21,21,16,72,78]),ae=new Uint16Array([1,2,3,4,5,7,9,13,17,25,33,49,65,97,129,193,257,385,513,769,1025,1537,2049,3073,4097,6145,8193,12289,16385,24577,0,0]),ie=new Uint8Array([16,16,16,16,17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,29,64,64]);var ne=(t,e,a,i,n,s,r,o)=>{const l=o.bits;let h,d,_,f,c,u,w=0,m=0,b=0,g=0,p=0,k=0,v=0,y=0,x=0,z=0,A=null;const E=new Uint16Array(16),R=new Uint16Array(16);let Z,S,U,D=null;for(w=0;w<=15;w++)E[w]=0;for(m=0;m<i;m++)E[e[a+m]]++;for(p=l,g=15;g>=1&&0===E[g];g--);if(p>g&&(p=g),0===g)return n[s++]=20971520,n[s++]=20971520,o.bits=1,0;for(b=1;b<g&&0===E[b];b++);for(p<b&&(p=b),y=1,w=1;w<=15;w++)if(y<<=1,y-=E[w],y<0)return-1;if(y>0&&(0===t||1!==g))return-1;for(R[1]=0,w=1;w<15;w++)R[w+1]=R[w]+E[w];for(m=0;m<i;m++)0!==e[a+m]&&(r[R[e[a+m]]++]=m);if(0===t?(A=D=r,u=20):1===t?(A=te,D=ee,u=257):(A=ae,D=ie,u=0),z=0,m=0,w=b,c=s,k=p,v=0,_=-1,x=1<<p,f=x-1,1===t&&x>852||2===t&&x>592)return 1;for(;;){Z=w-v,r[m]+1<u?(S=0,U=r[m]):r[m]>=u?(S=D[r[m]-u],U=A[r[m]-u]):(S=96,U=0),h=1<<w-v,d=1<<k,b=d;do{d-=h,n[c+(z>>v)+d]=Z<<24|S<<16|U|0}while(0!==d);for(h=1<<w-1;z&h;)h>>=1;if(0!==h?(z&=h-1,z+=h):z=0,m++,0==--E[w]){if(w===g)break;w=e[a+r[m]]}if(w>p&&(z&f)!==_){for(0===v&&(v=p),c+=b,k=w-v,y=1<<k;k+v<g&&(y-=E[k+v],!(y<=0));)k++,y<<=1;if(x+=1<<k,1===t&&x>852||2===t&&x>592)return 1;_=z&f,n[_]=p<<24|k<<16|c-s|0}}return 0!==z&&(n[c+z]=w-v<<24|64<<16|0),o.bits=p,0};const{Z_FINISH:se,Z_BLOCK:re,Z_TREES:oe,Z_OK:le,Z_STREAM_END:he,Z_NEED_DICT:de,Z_STREAM_ERROR:_e,Z_DATA_ERROR:fe,Z_MEM_ERROR:ce,Z_BUF_ERROR:ue,Z_DEFLATED:we}=B,me=16209,be=t=>(t>>>24&255)+(t>>>8&65280)+((65280&t)<<8)+((255&t)<<24);function ge(){this.strm=null,this.mode=0,this.last=!1,this.wrap=0,this.havedict=!1,this.flags=0,this.dmax=0,this.check=0,this.total=0,this.head=null,this.wbits=0,this.wsize=0,this.whave=0,this.wnext=0,this.window=null,this.hold=0,this.bits=0,this.length=0,this.offset=0,this.extra=0,this.lencode=null,this.distcode=null,this.lenbits=0,this.distbits=0,this.ncode=0,this.nlen=0,this.ndist=0,this.have=0,this.next=null,this.lens=new Uint16Array(320),this.work=new Uint16Array(288),this.lendyn=null,this.distdyn=null,this.sane=0,this.back=0,this.was=0}const pe=t=>{if(!t)return 1;const e=t.state;return!e||e.strm!==t||e.mode<16180||e.mode>16211?1:0},ke=t=>{if(pe(t))return _e;const e=t.state;return t.total_in=t.total_out=e.total=0,t.msg="",e.wrap&&(t.adler=1&e.wrap),e.mode=16180,e.last=0,e.havedict=0,e.flags=-1,e.dmax=32768,e.head=null,e.hold=0,e.bits=0,e.lencode=e.lendyn=new Int32Array(852),e.distcode=e.distdyn=new Int32Array(592),e.sane=1,e.back=-1,le},ve=t=>{if(pe(t))return _e;const e=t.state;return e.wsize=0,e.whave=0,e.wnext=0,ke(t)},ye=(t,e)=>{let a;if(pe(t))return _e;const i=t.state;return e<0?(a=0,e=-e):(a=5+(e>>4),e<48&&(e&=15)),e&&(e<8||e>15)?_e:(null!==i.window&&i.wbits!==e&&(i.window=null),i.wrap=a,i.wbits=e,ve(t))},xe=(t,e)=>{if(!t)return _e;const a=new ge;t.state=a,a.strm=t,a.window=null,a.mode=16180;const i=ye(t,e);return i!==le&&(t.state=null),i};let ze,Ae,Ee=!0;const Re=t=>{if(Ee){ze=new Int32Array(512),Ae=new Int32Array(32);let e=0;for(;e<144;)t.lens[e++]=8;for(;e<256;)t.lens[e++]=9;for(;e<280;)t.lens[e++]=7;for(;e<288;)t.lens[e++]=8;for(ne(1,t.lens,0,288,ze,0,t.work,{bits:9}),e=0;e<32;)t.lens[e++]=5;ne(2,t.lens,0,32,Ae,0,t.work,{bits:5}),Ee=!1}t.lencode=ze,t.lenbits=9,t.distcode=Ae,t.distbits=5},Ze=(t,e,a,i)=>{let n;const s=t.state;return null===s.window&&(s.wsize=1<<s.wbits,s.wnext=0,s.whave=0,s.window=new Uint8Array(s.wsize)),i>=s.wsize?(s.window.set(e.subarray(a-s.wsize,a),0),s.wnext=0,s.whave=s.wsize):(n=s.wsize-s.wnext,n>i&&(n=i),s.window.set(e.subarray(a-i,a-i+n),s.wnext),(i-=n)?(s.window.set(e.subarray(a-i,a),0),s.wnext=i,s.whave=s.wsize):(s.wnext+=n,s.wnext===s.wsize&&(s.wnext=0),s.whave<s.wsize&&(s.whave+=n))),0};var Se={inflateReset:ve,inflateReset2:ye,inflateResetKeep:ke,inflateInit:t=>xe(t,15),inflateInit2:xe,inflate:(t,e)=>{let a,i,n,s,r,o,l,h,d,_,f,c,u,w,m,b,g,p,k,v,y,x,z=0;const A=new Uint8Array(4);let E,R;const Z=new Uint8Array([16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15]);if(pe(t)||!t.output||!t.input&&0!==t.avail_in)return _e;a=t.state,16191===a.mode&&(a.mode=16192),r=t.next_out,n=t.output,l=t.avail_out,s=t.next_in,i=t.input,o=t.avail_in,h=a.hold,d=a.bits,_=o,f=l,x=le;t:for(;;)switch(a.mode){case 16180:if(0===a.wrap){a.mode=16192;break}for(;d<16;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(2&a.wrap&&35615===h){0===a.wbits&&(a.wbits=15),a.check=0,A[0]=255&h,A[1]=h>>>8&255,a.check=L(a.check,A,2,0),h=0,d=0,a.mode=16181;break}if(a.head&&(a.head.done=!1),!(1&a.wrap)||(((255&h)<<8)+(h>>8))%31){t.msg="incorrect header check",a.mode=me;break}if((15&h)!==we){t.msg="unknown compression method",a.mode=me;break}if(h>>>=4,d-=4,y=8+(15&h),0===a.wbits&&(a.wbits=y),y>15||y>a.wbits){t.msg="invalid window size",a.mode=me;break}a.dmax=1<<a.wbits,a.flags=0,t.adler=a.check=1,a.mode=512&h?16189:16191,h=0,d=0;break;case 16181:for(;d<16;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(a.flags=h,(255&a.flags)!==we){t.msg="unknown compression method",a.mode=me;break}if(57344&a.flags){t.msg="unknown header flags set",a.mode=me;break}a.head&&(a.head.text=h>>8&1),512&a.flags&&4&a.wrap&&(A[0]=255&h,A[1]=h>>>8&255,a.check=L(a.check,A,2,0)),h=0,d=0,a.mode=16182;case 16182:for(;d<32;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}a.head&&(a.head.time=h),512&a.flags&&4&a.wrap&&(A[0]=255&h,A[1]=h>>>8&255,A[2]=h>>>16&255,A[3]=h>>>24&255,a.check=L(a.check,A,4,0)),h=0,d=0,a.mode=16183;case 16183:for(;d<16;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}a.head&&(a.head.xflags=255&h,a.head.os=h>>8),512&a.flags&&4&a.wrap&&(A[0]=255&h,A[1]=h>>>8&255,a.check=L(a.check,A,2,0)),h=0,d=0,a.mode=16184;case 16184:if(1024&a.flags){for(;d<16;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}a.length=h,a.head&&(a.head.extra_len=h),512&a.flags&&4&a.wrap&&(A[0]=255&h,A[1]=h>>>8&255,a.check=L(a.check,A,2,0)),h=0,d=0}else a.head&&(a.head.extra=null);a.mode=16185;case 16185:if(1024&a.flags&&(c=a.length,c>o&&(c=o),c&&(a.head&&(y=a.head.extra_len-a.length,a.head.extra||(a.head.extra=new Uint8Array(a.head.extra_len)),a.head.extra.set(i.subarray(s,s+c),y)),512&a.flags&&4&a.wrap&&(a.check=L(a.check,i,c,s)),o-=c,s+=c,a.length-=c),a.length))break t;a.length=0,a.mode=16186;case 16186:if(2048&a.flags){if(0===o)break t;c=0;do{y=i[s+c++],a.head&&y&&a.length<65536&&(a.head.name+=String.fromCharCode(y))}while(y&&c<o);if(512&a.flags&&4&a.wrap&&(a.check=L(a.check,i,c,s)),o-=c,s+=c,y)break t}else a.head&&(a.head.name=null);a.length=0,a.mode=16187;case 16187:if(4096&a.flags){if(0===o)break t;c=0;do{y=i[s+c++],a.head&&y&&a.length<65536&&(a.head.comment+=String.fromCharCode(y))}while(y&&c<o);if(512&a.flags&&4&a.wrap&&(a.check=L(a.check,i,c,s)),o-=c,s+=c,y)break t}else a.head&&(a.head.comment=null);a.mode=16188;case 16188:if(512&a.flags){for(;d<16;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(4&a.wrap&&h!==(65535&a.check)){t.msg="header crc mismatch",a.mode=me;break}h=0,d=0}a.head&&(a.head.hcrc=a.flags>>9&1,a.head.done=!0),t.adler=a.check=0,a.mode=16191;break;case 16189:for(;d<32;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}t.adler=a.check=be(h),h=0,d=0,a.mode=16190;case 16190:if(0===a.havedict)return t.next_out=r,t.avail_out=l,t.next_in=s,t.avail_in=o,a.hold=h,a.bits=d,de;t.adler=a.check=1,a.mode=16191;case 16191:if(e===re||e===oe)break t;case 16192:if(a.last){h>>>=7&d,d-=7&d,a.mode=16206;break}for(;d<3;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}switch(a.last=1&h,h>>>=1,d-=1,3&h){case 0:a.mode=16193;break;case 1:if(Re(a),a.mode=16199,e===oe){h>>>=2,d-=2;break t}break;case 2:a.mode=16196;break;case 3:t.msg="invalid block type",a.mode=me}h>>>=2,d-=2;break;case 16193:for(h>>>=7&d,d-=7&d;d<32;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if((65535&h)!=(h>>>16^65535)){t.msg="invalid stored block lengths",a.mode=me;break}if(a.length=65535&h,h=0,d=0,a.mode=16194,e===oe)break t;case 16194:a.mode=16195;case 16195:if(c=a.length,c){if(c>o&&(c=o),c>l&&(c=l),0===c)break t;n.set(i.subarray(s,s+c),r),o-=c,s+=c,l-=c,r+=c,a.length-=c;break}a.mode=16191;break;case 16196:for(;d<14;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(a.nlen=257+(31&h),h>>>=5,d-=5,a.ndist=1+(31&h),h>>>=5,d-=5,a.ncode=4+(15&h),h>>>=4,d-=4,a.nlen>286||a.ndist>30){t.msg="too many length or distance symbols",a.mode=me;break}a.have=0,a.mode=16197;case 16197:for(;a.have<a.ncode;){for(;d<3;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}a.lens[Z[a.have++]]=7&h,h>>>=3,d-=3}for(;a.have<19;)a.lens[Z[a.have++]]=0;if(a.lencode=a.lendyn,a.lenbits=7,E={bits:a.lenbits},x=ne(0,a.lens,0,19,a.lencode,0,a.work,E),a.lenbits=E.bits,x){t.msg="invalid code lengths set",a.mode=me;break}a.have=0,a.mode=16198;case 16198:for(;a.have<a.nlen+a.ndist;){for(;z=a.lencode[h&(1<<a.lenbits)-1],m=z>>>24,b=z>>>16&255,g=65535&z,!(m<=d);){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(g<16)h>>>=m,d-=m,a.lens[a.have++]=g;else{if(16===g){for(R=m+2;d<R;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(h>>>=m,d-=m,0===a.have){t.msg="invalid bit length repeat",a.mode=me;break}y=a.lens[a.have-1],c=3+(3&h),h>>>=2,d-=2}else if(17===g){for(R=m+3;d<R;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}h>>>=m,d-=m,y=0,c=3+(7&h),h>>>=3,d-=3}else{for(R=m+7;d<R;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}h>>>=m,d-=m,y=0,c=11+(127&h),h>>>=7,d-=7}if(a.have+c>a.nlen+a.ndist){t.msg="invalid bit length repeat",a.mode=me;break}for(;c--;)a.lens[a.have++]=y}}if(a.mode===me)break;if(0===a.lens[256]){t.msg="invalid code -- missing end-of-block",a.mode=me;break}if(a.lenbits=9,E={bits:a.lenbits},x=ne(1,a.lens,0,a.nlen,a.lencode,0,a.work,E),a.lenbits=E.bits,x){t.msg="invalid literal/lengths set",a.mode=me;break}if(a.distbits=6,a.distcode=a.distdyn,E={bits:a.distbits},x=ne(2,a.lens,a.nlen,a.ndist,a.distcode,0,a.work,E),a.distbits=E.bits,x){t.msg="invalid distances set",a.mode=me;break}if(a.mode=16199,e===oe)break t;case 16199:a.mode=16200;case 16200:if(o>=6&&l>=258){t.next_out=r,t.avail_out=l,t.next_in=s,t.avail_in=o,a.hold=h,a.bits=d,$t(t,f),r=t.next_out,n=t.output,l=t.avail_out,s=t.next_in,i=t.input,o=t.avail_in,h=a.hold,d=a.bits,16191===a.mode&&(a.back=-1);break}for(a.back=0;z=a.lencode[h&(1<<a.lenbits)-1],m=z>>>24,b=z>>>16&255,g=65535&z,!(m<=d);){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(b&&0==(240&b)){for(p=m,k=b,v=g;z=a.lencode[v+((h&(1<<p+k)-1)>>p)],m=z>>>24,b=z>>>16&255,g=65535&z,!(p+m<=d);){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}h>>>=p,d-=p,a.back+=p}if(h>>>=m,d-=m,a.back+=m,a.length=g,0===b){a.mode=16205;break}if(32&b){a.back=-1,a.mode=16191;break}if(64&b){t.msg="invalid literal/length code",a.mode=me;break}a.extra=15&b,a.mode=16201;case 16201:if(a.extra){for(R=a.extra;d<R;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}a.length+=h&(1<<a.extra)-1,h>>>=a.extra,d-=a.extra,a.back+=a.extra}a.was=a.length,a.mode=16202;case 16202:for(;z=a.distcode[h&(1<<a.distbits)-1],m=z>>>24,b=z>>>16&255,g=65535&z,!(m<=d);){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(0==(240&b)){for(p=m,k=b,v=g;z=a.distcode[v+((h&(1<<p+k)-1)>>p)],m=z>>>24,b=z>>>16&255,g=65535&z,!(p+m<=d);){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}h>>>=p,d-=p,a.back+=p}if(h>>>=m,d-=m,a.back+=m,64&b){t.msg="invalid distance code",a.mode=me;break}a.offset=g,a.extra=15&b,a.mode=16203;case 16203:if(a.extra){for(R=a.extra;d<R;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}a.offset+=h&(1<<a.extra)-1,h>>>=a.extra,d-=a.extra,a.back+=a.extra}if(a.offset>a.dmax){t.msg="invalid distance too far back",a.mode=me;break}a.mode=16204;case 16204:if(0===l)break t;if(c=f-l,a.offset>c){if(c=a.offset-c,c>a.whave&&a.sane){t.msg="invalid distance too far back",a.mode=me;break}c>a.wnext?(c-=a.wnext,u=a.wsize-c):u=a.wnext-c,c>a.length&&(c=a.length),w=a.window}else w=n,u=r-a.offset,c=a.length;c>l&&(c=l),l-=c,a.length-=c;do{n[r++]=w[u++]}while(--c);0===a.length&&(a.mode=16200);break;case 16205:if(0===l)break t;n[r++]=a.length,l--,a.mode=16200;break;case 16206:if(a.wrap){for(;d<32;){if(0===o)break t;o--,h|=i[s++]<<d,d+=8}if(f-=l,t.total_out+=f,a.total+=f,4&a.wrap&&f&&(t.adler=a.check=a.flags?L(a.check,n,f,r-f):N(a.check,n,f,r-f)),f=l,4&a.wrap&&(a.flags?h:be(h))!==a.check){t.msg="incorrect data check",a.mode=me;break}h=0,d=0}a.mode=16207;case 16207:if(a.wrap&&a.flags){for(;d<32;){if(0===o)break t;o--,h+=i[s++]<<d,d+=8}if(4&a.wrap&&h!==(4294967295&a.total)){t.msg="incorrect length check",a.mode=me;break}h=0,d=0}a.mode=16208;case 16208:x=he;break t;case me:x=fe;break t;case 16210:return ce;default:return _e}return t.next_out=r,t.avail_out=l,t.next_in=s,t.avail_in=o,a.hold=h,a.bits=d,(a.wsize||f!==t.avail_out&&a.mode<me&&(a.mode<16206||e!==se))&&Ze(t,t.output,t.next_out,f-t.avail_out),_-=t.avail_in,f-=t.avail_out,t.total_in+=_,t.total_out+=f,a.total+=f,4&a.wrap&&f&&(t.adler=a.check=a.flags?L(a.check,n,f,t.next_out-f):N(a.check,n,f,t.next_out-f)),t.data_type=a.bits+(a.last?64:0)+(16191===a.mode?128:0)+(16199===a.mode||16194===a.mode?256:0),(0===_&&0===f||e===se)&&x===le&&(x=ue),x},inflateEnd:t=>{if(pe(t))return _e;let e=t.state;return e.window&&(e.window=null),t.state=null,le},inflateGetHeader:(t,e)=>{if(pe(t))return _e;const a=t.state;return 0==(2&a.wrap)?_e:(a.head=e,e.done=!1,le)},inflateSetDictionary:(t,e)=>{const a=e.length;let i,n,s;return pe(t)?_e:(i=t.state,0!==i.wrap&&16190!==i.mode?_e:16190===i.mode&&(n=1,n=N(n,e,a,0),n!==i.check)?fe:(s=Ze(t,e,a,a),s?(i.mode=16210,ce):(i.havedict=1,le)))},inflateInfo:"pako inflate (from Nodeca project)"};var Ue=function(){this.text=0,this.time=0,this.xflags=0,this.os=0,this.extra=null,this.extra_len=0,this.name="",this.comment="",this.hcrc=0,this.done=!1};const De=Object.prototype.toString,{Z_NO_FLUSH:Oe,Z_FINISH:Te,Z_OK:Ne,Z_STREAM_END:Fe,Z_NEED_DICT:Le,Z_STREAM_ERROR:Ie,Z_DATA_ERROR:Be,Z_MEM_ERROR:Ce}=B;function He(t){this.options=Ot({chunkSize:65536,windowBits:15,to:""},t||{});const e=this.options;e.raw&&e.windowBits>=0&&e.windowBits<16&&(e.windowBits=-e.windowBits,0===e.windowBits&&(e.windowBits=-15)),!(e.windowBits>=0&&e.windowBits<16)||t&&t.windowBits||(e.windowBits+=32),e.windowBits>15&&e.windowBits<48&&0==(15&e.windowBits)&&(e.windowBits|=15),this.err=0,this.msg="",this.ended=!1,this.chunks=[],this.strm=new Ct,this.strm.avail_out=0;let a=Se.inflateInit2(this.strm,e.windowBits);if(a!==Ne)throw new Error(I[a]);if(this.header=new Ue,Se.inflateGetHeader(this.strm,this.header),e.dictionary&&("string"==typeof e.dictionary?e.dictionary=Lt(e.dictionary):"[object ArrayBuffer]"===De.call(e.dictionary)&&(e.dictionary=new Uint8Array(e.dictionary)),e.raw&&(a=Se.inflateSetDictionary(this.strm,e.dictionary),a!==Ne)))throw new Error(I[a])}He.prototype.push=function(t,e){const a=this.strm,i=this.options.chunkSize,n=this.options.dictionary;let s,r,o;if(this.ended)return!1;for(r=e===~~e?e:!0===e?Te:Oe,"[object ArrayBuffer]"===De.call(t)?a.input=new Uint8Array(t):a.input=t,a.next_in=0,a.avail_in=a.input.length;;){for(0===a.avail_out&&(a.output=new Uint8Array(i),a.next_out=0,a.avail_out=i),s=Se.inflate(a,r),s===Le&&n&&(s=Se.inflateSetDictionary(a,n),s===Ne?s=Se.inflate(a,r):s===Be&&(s=Le));a.avail_in>0&&s===Fe&&a.state.wrap>0&&0!==t[a.next_in];)Se.inflateReset(a),s=Se.inflate(a,r);switch(s){case Ie:case Be:case Le:case Ce:return this.onEnd(s),this.ended=!0,!1}if(o=a.avail_out,a.next_out&&(0===a.avail_out||s===Fe))if("string"===this.options.to){let t=Bt(a.output,a.next_out),e=a.next_out-t,n=It(a.output,t);a.next_out=e,a.avail_out=i-e,e&&a.output.set(a.output.subarray(t,t+e),0),this.onData(n)}else this.onData(a.output.length===a.next_out?a.output:a.output.subarray(0,a.next_out));if(s!==Ne||0!==o){if(s===Fe)return s=Se.inflateEnd(this.strm),this.onEnd(s),this.ended=!0,!0;if(0===a.avail_in)break}}return!0},He.prototype.onData=function(t){this.chunks.push(t)},He.prototype.onEnd=function(t){t===Ne&&("string"===this.options.to?this.result=this.chunks.join(""):this.result=Tt(this.chunks)),this.chunks=[],this.err=t,this.msg=this.strm.msg};const{Deflate:Me,deflate:je,deflateRaw:Ke,gzip:Pe}=Vt;var Ye=Me,Ge=B;const Xe=new class{constructor(){this.added=0,this.init()}init(){this.added=0,this.deflate=new Ye,this.deflate.push("[",Ge.Z_NO_FLUSH)}addEvent(t){if(!t)throw new Error("Adding invalid event");const e=this.added>0?",":"";this.deflate.push(e+JSON.stringify(t),Ge.Z_SYNC_FLUSH),this.added++}finish(){if(this.deflate.push("]",Ge.Z_FINISH),this.deflate.err)throw this.deflate.err;const t=this.deflate.result;return this.init(),t}},Je={init:()=>(Xe.init(),""),addEvent:t=>Xe.addEvent(t),finish:()=>Xe.finish()};addEventListener("message",(function(t){const e=t.data.method,a=t.data.id,[i]=t.data.args?JSON.parse(t.data.args):[];if(e in Je&&"function"==typeof Je[e])try{const t=Je[e](i);postMessage({id:a,method:e,success:!0,response:t})}catch(t){postMessage({id:a,method:e,success:!1,response:t.message}),console.error(t)}})),postMessage({id:void 0,method:"init",success:!0,response:void 0});';class EventBufferArray{constructor(){this.t=[]}get pendingLength(){return this.t.length}get pendingEvents(){return this.t}destroy(){this.t=[]}async addEvent(t,e){e?this.t=[t]:this.t.push(t)}finish(){return new Promise(t=>{const e=this.t;this.t=[],t(JSON.stringify(e))})}}class EventBufferCompressionWorker{__init(){this.Et=[]}__init2(){this.yt=0}__init3(){this.St=0}constructor(t){EventBufferCompressionWorker.prototype.__init.call(this),EventBufferCompressionWorker.prototype.__init2.call(this),EventBufferCompressionWorker.prototype.__init3.call(this),this.bt=t}get pendingLength(){return this.yt}get pendingEvents(){return this.Et}ensureReady(){return this.wt?this.wt:(this.wt=new Promise((t,e)=>{this.bt.addEventListener("message",({data:n})=>{n.success?t():e()},{once:!0}),this.bt.addEventListener("error",t=>{e(t)},{once:!0})}),this.wt)}destroy(){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Destroying compression worker"),this.bt.terminate()}async addEvent(t,e){return e&&await this.Tt({id:this.kt(),method:"init",args:[]}),e||this.Et.push(t),this.Rt(t)}async finish(){try{return await this.It(this.kt())}catch(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay] Error when trying to compress events",t);const e=this.pendingEvents;return JSON.stringify(e)}}Tt({id:t,method:e,args:n}){return new Promise((r,i)=>{const a=({data:n})=>{const s=n;if(s.method===e&&s.id===t){if(this.bt.removeEventListener("message",a),!s.success)return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay]",s.response),void i(new Error("Error in compression worker"));r(s.response)}};let s;try{s=JSON.stringify(n)}catch(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay] Error when trying to stringify args",t),s="[]"}this.bt.addEventListener("message",a),this.bt.postMessage({id:t,method:e,args:s})})}async Rt(t){const e=this.Tt({id:this.kt(),method:"addEvent",args:[t]});return this.yt++,e}async It(t){const e=this.Tt({id:t,method:"finish",args:[]});return this.yt=0,await e,this.Et=[],e}kt(){return this.St++}}class EventBufferProxy{constructor(t){this.Nt=new EventBufferArray,this.Ot=new EventBufferCompressionWorker(t),this.Dt=this.Nt,this.xt=this.At().catch(()=>{})}get pendingLength(){return this.Dt.pendingLength}get pendingEvents(){return this.Dt.pendingEvents}destroy(){this.Nt.destroy(),this.Ot.destroy()}addEvent(t,e){return this.Dt.addEvent(t,e)}async finish(){return await this.ensureWorkerIsLoaded(),this.Dt.finish()}ensureWorkerIsLoaded(){return this.xt}async At(){try{await this.Ot.ensureReady()}catch(t){return void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Failed to load the compression worker, falling back to simple buffer"))}const t=[];for(const e of this.Nt.pendingEvents)t.push(this.Ot.addEvent(e));this.Dt=this.Ot,await Promise.all(t)}}function createEventBuffer({useCompression:t}){if(t&&window.Worker)try{const t=new Blob([workerString]),e=URL.createObjectURL(t);("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Using compression worker");const n=new Worker(e);return new EventBufferProxy(n)}catch(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Failed to create compression worker")}return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Using simple buffer"),new EventBufferArray}function isExpired(t,e,n=+new Date){return null===t||void 0===e||e<0||0!==e&&t+e<=n}function isSessionExpired(t,e,n=+new Date){return isExpired(t.started,MAX_SESSION_LIFE,n)||isExpired(t.lastActivity,e,n)}function saveSession(t){if("sessionStorage"in WINDOW$5)try{WINDOW$5.sessionStorage.setItem(REPLAY_SESSION_KEY,JSON.stringify(t))}catch(t){}}function isSampled(t){return void 0!==t&&Math.random()<t}function makeSession$1(t){const e=(new Date).getTime();return{id:t.id||uuid4(),started:t.started||e,lastActivity:t.lastActivity||e,segmentId:t.segmentId||0,sampled:t.sampled}}function getSessionSampleType(t,e){return isSampled(t)?"session":!!isSampled(e)&&"error"}function createSession({sessionSampleRate:t,errorSampleRate:e,stickySession:n=!1}){const r=makeSession$1({sampled:getSessionSampleType(t,e)});return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log(`[Replay] Creating new session: ${r.id}`),n&&saveSession(r),r}function fetchSession(){if(!("sessionStorage"in WINDOW$5))return null;try{const t=WINDOW$5.sessionStorage.getItem(REPLAY_SESSION_KEY);return t?makeSession$1(JSON.parse(t)):null}catch(t){return null}}function getSession({expiry:t,currentSession:e,stickySession:n,sessionSampleRate:r,errorSampleRate:i}){const a=e||n&&fetchSession();if(a){if(!isSessionExpired(a,t))return{type:"saved",session:a};if("error"===a.sampled){return{type:"new",session:makeSession$1({sampled:!1})}}("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Session has expired")}return{type:"new",session:createSession({stickySession:n,sessionSampleRate:r,errorSampleRate:i})}}async function addEvent(t,e,n){if(!t.eventBuffer)return null;if(t.isPaused())return null;const r=e.timestamp>9999999999?e.timestamp:1e3*e.timestamp;if(r+SESSION_IDLE_DURATION<(new Date).getTime())return null;const i=t.getContext().earliestEvent;return t.session&&0===t.session.segmentId&&(!i||r<i)&&(t.getContext().earliestEvent=r),t.eventBuffer.addEvent(e,n)}function createBreadcrumb(t){return{timestamp:(new Date).getTime()/1e3,type:"default",...t}}function addBreadcrumbEvent(t,e){"sentry.transaction"!==e.category&&("ui.click"===e.category?t.triggerUserActivity():t.checkAndHandleExpiredSession(),t.addUpdate(()=>(addEvent(t,{type:EventType.Custom,timestamp:1e3*(e.timestamp||0),data:{tag:"breadcrumb",payload:e}}),"console"===e.category)))}const handleDomListener=t=>e=>{if(!t.isEnabled())return;const n=handleDom(e);n&&addBreadcrumbEvent(t,n)};function handleDom(t){let e,n;try{e=htmlTreeAsString(n=getTargetNode(t))}catch(t){e="<unknown>"}return 0===e.length?null:createBreadcrumb({category:`ui.${t.name}`,message:e,data:{...n?{nodeId:record.mirror.getId(n)}:{}}})}function getTargetNode(t){return isEventWithTarget(t.event)?t.event.target:t.event}function isEventWithTarget(t){return!!t.target}function createPerformanceSpans(t,e){return e.map(({type:e,start:n,end:r,name:i,data:a})=>addEvent(t,{type:EventType.Custom,timestamp:n,data:{tag:"performanceSpan",payload:{op:e,description:i,startTimestamp:n,endTimestamp:r,data:a}}}))}function shouldFilterRequest(t,e){return("undefined"!=typeof __SENTRY_DEBUG__&&!__SENTRY_DEBUG__||!t.getOptions().Ct.traceInternals)&&!_isSentryRequest(e)}function _isSentryRequest(t){const e=getCurrentHub().getClient(),n=e&&e.getDsn();return!!n&&t.includes(n.host)}function handleFetch(t){if(!t.endTimestamp)return null;const{startTimestamp:e,endTimestamp:n,fetchData:r,response:i}=t;return{type:"resource.fetch",start:e/1e3,end:n/1e3,name:r.url,data:{method:r.method,statusCode:i.status}}}function handleFetchSpanListener(t){return e=>{if(!t.isEnabled())return;const n=handleFetch(e);null!==n&&(shouldFilterRequest(t,n.name)||t.addUpdate(()=>(createPerformanceSpans(t,[n]),!0)))}}function isRrwebError(t){return!(t.type||!t.exception||!t.exception.values||!t.exception.values.length)&&t.exception.values.some(t=>!!(t.stacktrace&&t.stacktrace.frames&&t.stacktrace.frames.length)&&t.stacktrace.frames.some(t=>t.filename&&t.filename.includes("/rrweb/src/")))}function handleGlobalEventListener(t){return e=>{if(e.type===REPLAY_EVENT_NAME)return delete e.breadcrumbs,e;if(isRrwebError(e)&&!t.getOptions().Ct.captureExceptions)return("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Ignoring error from rrweb internals",e),null;if(e.type&&"session"!==t.recordingMode||(e.tags={...e.tags,replayId:t.getSessionId()}),"transaction"===e.type&&e.contexts&&e.contexts.trace&&e.contexts.trace.trace_id)return t.getContext().traceIds.add(e.contexts.trace.trace_id),e;if(e.type||t.getContext().errorIds.add(e.event_id),("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&t.getOptions().Ct.traceInternals){const t=getEventExceptionValues(e);addInternalBreadcrumb({message:`Tagging event (${e.event_id}) - ${e.message} - ${t.type}: ${t.value}`})}return"error"===t.recordingMode&&e.exception&&e.message!==UNABLE_TO_SEND_REPLAY&&setTimeout(async()=>{await t.flushImmediate(),t.stopRecording()&&(t.recordingMode="session",t.startRecording())}),e}}function addInternalBreadcrumb(t){const{category:e,level:n,message:r,...i}=t;addBreadcrumb({category:e||"console",level:n||"debug",message:`[debug]: ${r}`,...i})}function getEventExceptionValues(t){return{type:"Unknown",value:"n/a",...t.exception&&t.exception.values&&t.exception.values[0]}}function handleHistory(t){const{from:e,to:n}=t,r=(new Date).getTime()/1e3;return{type:"navigation.push",start:r,end:r,name:n,data:{previous:e}}}function handleHistorySpanListener(t){return e=>{if(!t.isEnabled())return;const n=handleHistory(e);null!==n&&(t.getContext().urls.push(n.name),t.triggerUserActivity(),t.addUpdate(()=>(createPerformanceSpans(t,[n]),!1)))}}let _LAST_BREADCRUMB=null;const handleScopeListener=t=>e=>{if(!t.isEnabled())return;const n=handleScope(e);n&&addBreadcrumbEvent(t,n)};function handleScope(t){const e=t.getLastBreadcrumb();return _LAST_BREADCRUMB!==e&&e?(_LAST_BREADCRUMB=e,e.category&&(["fetch","xhr","sentry.event","sentry.transaction"].includes(e.category)||e.category.startsWith("ui."))?null:createBreadcrumb(e)):null}function handleXhr(t){if(t.xhr.__sentry_own_request__)return null;if(t.startTimestamp&&(t.xhr.__sentry_xhr__=t.xhr.__sentry_xhr__||{},t.xhr.__sentry_xhr__.startTimestamp=t.startTimestamp),!t.endTimestamp)return null;const{method:e,url:n,status_code:r}=t.xhr.__sentry_xhr__||{};return void 0===n?null:{type:"resource.xhr",name:n,start:(t.xhr.__sentry_xhr__?t.xhr.__sentry_xhr__.startTimestamp||0:t.endTimestamp)/1e3,end:t.endTimestamp/1e3,data:{method:e,statusCode:r}}}function handleXhrSpanListener(t){return e=>{if(!t.isEnabled())return;const n=handleXhr(e);null!==n&&(shouldFilterRequest(t,n.name)||t.addUpdate(()=>(createPerformanceSpans(t,[n]),!0)))}}function addGlobalListeners(t){const e=getCurrentHub().getScope();e&&e.addScopeListener(handleScopeListener(t)),addInstrumentationHandler("dom",handleDomListener(t)),addInstrumentationHandler("fetch",handleFetchSpanListener(t)),addInstrumentationHandler("xhr",handleXhrSpanListener(t)),addInstrumentationHandler("history",handleHistorySpanListener(t)),addGlobalEventProcessor(handleGlobalEventListener(t))}async function addMemoryEntry(t){try{return Promise.all(createPerformanceSpans(t,[createMemoryEntry(WINDOW$5.performance.memory)]))}catch(t){return[]}}function createMemoryEntry(t){const{jsHeapSizeLimit:e,totalJSHeapSize:n,usedJSHeapSize:r}=t,i=(new Date).getTime()/1e3;return{type:"memory",name:"memory",start:i,end:i,data:{memory:{jsHeapSizeLimit:e,totalJSHeapSize:n,usedJSHeapSize:r}}}}const ENTRY_TYPES={resource:createResourceEntry,paint:createPaintEntry,navigation:createNavigationEntry,"largest-contentful-paint":createLargestContentfulPaint};function createPerformanceEntries(t){return t.map(createPerformanceEntry).filter(Boolean)}function createPerformanceEntry(t){return void 0===ENTRY_TYPES[t.entryType]?null:ENTRY_TYPES[t.entryType](t)}function getAbsoluteTime(t){return((browserPerformanceTimeOrigin||WINDOW$5.performance.timeOrigin)+t)/1e3}function createPaintEntry(t){const{duration:e,entryType:n,name:r,startTime:i}=t,a=getAbsoluteTime(i);return{type:n,name:r,start:a,end:a+e}}function createNavigationEntry(t){const{entryType:e,name:n,duration:r,domComplete:i,startTime:a,transferSize:s,type:o}=t;return 0===r?null:{type:`${e}.${o}`,start:getAbsoluteTime(a),end:getAbsoluteTime(i),name:n,data:{size:s,duration:r}}}function createResourceEntry(t){const{entryType:e,initiatorType:n,name:r,responseEnd:i,startTime:a,encodedBodySize:s,transferSize:o}=t;return["fetch","xmlhttprequest"].includes(n)?null:{type:`${e}.${n}`,start:getAbsoluteTime(a),end:getAbsoluteTime(i),name:r,data:{size:o,encodedBodySize:s}}}function createLargestContentfulPaint(t){const{duration:e,entryType:n,startTime:r,size:i}=t,a=getAbsoluteTime(r);return{type:n,name:n,start:a,end:a+e,data:{duration:e,size:i,nodeId:record.mirror.getId(t.element)}}}function debounce(t,e,n){let r,i,a;const s=n&&n.maxWait?Math.max(n.maxWait,e):0;function o(){return c(),r=t()}function c(){void 0!==i&&clearTimeout(i),void 0!==a&&clearTimeout(a),i=a=void 0}function u(){return i&&clearTimeout(i),i=setTimeout(o,e),s&&void 0===a&&s!==e&&(a=setTimeout(o,s)),r}return u.cancel=c,u.flush=function(){return void 0!==i||void 0!==a?o():r},u}let _originalRecordDroppedEvent;function overwriteRecordDroppedEvent(t){const e=getCurrentHub().getClient();if(!e)return;const n=e.recordDroppedEvent.bind(e);e.recordDroppedEvent=((e,r,i)=>(i&&!i.type&&i.event_id&&t.delete(i.event_id),n(e,r,i))),_originalRecordDroppedEvent=n}function restoreRecordDroppedEvent(){const t=getCurrentHub().getClient();t&&_originalRecordDroppedEvent&&(t.recordDroppedEvent=_originalRecordDroppedEvent)}function createReplayEnvelope(t,e,n,r){return createEnvelope(createEventEnvelopeHeaders(t,getSdkMetadataForEnvelopeHeader(t),r,n),[[{type:"replay_event"},t],[{type:"replay_recording",length:"string"==typeof e?(new TextEncoder).encode(e).length:e.length},e]])}function prepareRecordingData({recordingData:t,headers:e}){let n;const r=`${JSON.stringify(e)}\n`;if("string"==typeof t)n=`${r}${t}`;else{const e=(new TextEncoder).encode(r);(n=new Uint8Array(e.length+t.length)).set(e),n.set(t,e.length)}return n}async function prepareReplayEvent({client:t,scope:e,replayId:n,event:r}){const i=await prepareEvent(t.getOptions(),r,{event_id:n},e);if(!i)return null;i.platform=i.platform||"javascript";const a=t.getSdkMetadata&&t.getSdkMetadata(),{name:s,version:o}=a&&a.sdk||{};return i.sdk={...i.sdk,name:s||"sentry.javascript.unknown",version:o||"0.0.0"},i}async function sendReplayRequest({recordingData:t,replayId:e,segmentId:n,includeReplayStartTimestamp:r,eventContext:i,timestamp:a,session:s,options:o}){const c=prepareRecordingData({recordingData:t,headers:{segment_id:n}}),{urls:u,errorIds:l,traceIds:d,initialTimestamp:h}=i,f=getCurrentHub(),_=f.getClient(),p=f.getScope(),m=_&&_.getTransport(),v=_&&_.getDsn();if(!(_&&p&&m&&v&&s.sampled))return;const g={type:REPLAY_EVENT_NAME,...r?{replay_start_timestamp:h/1e3}:{},timestamp:a/1e3,error_ids:l,trace_ids:d,urls:u,replay_id:e,segment_id:n,replay_type:s.sampled},E=await prepareReplayEvent({scope:p,client:_,replayId:e,event:g});if(!E)return _.recordDroppedEvent("event_processor","replay",g),void(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("An event processor returned `null`, will not send event."));E.tags={...E.tags,sessionSampleRate:o.sessionSampleRate,errorSampleRate:o.errorSampleRate};const y=createReplayEnvelope(E,c,v,_.getOptions().tunnel);let S;try{S=await m.send(y)}catch(t){throw new Error(UNABLE_TO_SEND_REPLAY)}if(!S)return S;const b=updateRateLimits({},S);if(isRateLimited(b,"replay"))throw new RateLimitError(b);if("number"==typeof S.statusCode&&(S.statusCode<200||S.statusCode>=300))throw new TransportStatusCodeError(S.statusCode);return S}class RateLimitError extends Error{constructor(t){super("Rate limit hit"),this.rateLimits=t}}class TransportStatusCodeError extends Error{constructor(t){super(`Transport returned status code ${t}`)}}async function sendReplay(t,e={count:0,interval:RETRY_BASE_INTERVAL}){const{recordingData:n,options:r}=t;if(n.length)try{return await sendReplayRequest(t),!0}catch(n){if(n instanceof RateLimitError||n instanceof TransportStatusCodeError)throw n;if(setContext("Replays",{Bt:e.count}),("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&r.Ct&&r.Ct.captureExceptions&&captureException(n),e.count>=RETRY_MAX_COUNT)throw new Error(`${UNABLE_TO_SEND_REPLAY} - max retries exceeded`);return e.interval*=++e.count,await new Promise((n,r)=>{setTimeout(async()=>{try{await sendReplay(t,e),n(!0)}catch(t){r(t)}},e.interval)})}}class ReplayContainer{__init(){this.eventBuffer=null}__init2(){this.performanceEvents=[]}__init3(){this.recordingMode="session"}__init4(){this.Lt=null}__init5(){this.Ut=null}__init6(){this.Ft=(new Date).getTime()}__init7(){this.it=!1}__init8(){this.Mt=!1}__init9(){this.Wt=!1}__init10(){this.zt=null}__init11(){this.Gt={errorIds:new Set,traceIds:new Set,urls:[],earliestEvent:null,initialTimestamp:(new Date).getTime(),initialUrl:""}}constructor({options:t,recordingOptions:e}){ReplayContainer.prototype.__init.call(this),ReplayContainer.prototype.__init2.call(this),ReplayContainer.prototype.__init3.call(this),ReplayContainer.prototype.__init4.call(this),ReplayContainer.prototype.__init5.call(this),ReplayContainer.prototype.__init6.call(this),ReplayContainer.prototype.__init7.call(this),ReplayContainer.prototype.__init8.call(this),ReplayContainer.prototype.__init9.call(this),ReplayContainer.prototype.__init10.call(this),ReplayContainer.prototype.__init11.call(this),ReplayContainer.prototype.__init12.call(this),ReplayContainer.prototype.__init13.call(this),ReplayContainer.prototype.__init14.call(this),ReplayContainer.prototype.__init15.call(this),ReplayContainer.prototype.__init16.call(this),this.Pt=e,this.q=t,this.Ht=debounce(()=>this.$t(),this.q.flushMinDelay,{maxWait:this.q.flushMaxDelay})}getContext(){return this.Gt}isEnabled(){return this.it}isPaused(){return this.Mt}getOptions(){return this.q}start(){this.Yt(),this.jt()&&(this.session?this.session.sampled&&("error"===this.session.sampled&&(this.recordingMode="error"),this.Vt(),this.eventBuffer=createEventBuffer({useCompression:this.q.useCompression}),this.Zt(),this.it=!0,this.startRecording()):this.Kt(new Error("No session found")))}startRecording(){try{this.zt=record({...this.Pt,..."error"===this.recordingMode&&{checkoutEveryNms:ERROR_CHECKOUT_TIME},emit:this.Xt})}catch(t){this.Kt(t)}}stopRecording(){try{return!!this.zt&&(this.zt(),this.zt=void 0,!0)}catch(t){return this.Kt(t),!1}}stop(){if(this.it)try{("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Stopping Replays"),this.it=!1,this.Jt(),this.stopRecording(),this.eventBuffer&&this.eventBuffer.destroy(),this.eventBuffer=null,this.Ht.cancel()}catch(t){this.Kt(t)}}pause(){this.Mt=!0,this.stopRecording()}resume(){this.jt()&&(this.Mt=!1,this.startRecording())}addUpdate(t){const e=t();"error"!==this.recordingMode&&!0!==e&&this.Ht()}triggerUserActivity(){if(this.qt(),this.zt)this.checkAndHandleExpiredSession(),this.Vt();else{if(!this.jt())return;this.resume()}}flushImmediate(){return this.Ht(),this.Ht.flush()}getSessionId(){return this.session&&this.session.id}checkAndHandleExpiredSession(t){const e=this.getSessionId();if(this.Ft&&isExpired(this.Ft,MAX_SESSION_LIFE))this.pause();else if(this.jt(t))return e===this.getSessionId()||(this.Qt(),!1)}Kt(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay]",t),("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&this.q.Ct&&this.q.Ct.captureExceptions&&captureException(t)}jt(t=SESSION_IDLE_DURATION){const{type:e,session:n}=getSession({expiry:t,stickySession:Boolean(this.q.stickySession),currentSession:this.session,sessionSampleRate:this.q.sessionSampleRate,errorSampleRate:this.q.errorSampleRate});"new"===e&&this.Yt();const r=this.getSessionId();return n.id!==r&&(n.previousSessionId=r),this.session=n,!!this.session.sampled||(this.stop(),!1)}Yt(){const t=`${WINDOW$5.location.pathname}${WINDOW$5.location.hash}${WINDOW$5.location.search}`,e=`${WINDOW$5.location.origin}${t}`;this.performanceEvents=[],this.te(),this.Gt.initialUrl=e,this.Gt.initialTimestamp=(new Date).getTime(),this.Gt.urls.push(e)}Zt(){try{WINDOW$5.document.addEventListener("visibilitychange",this.ee),WINDOW$5.addEventListener("blur",this.ne),WINDOW$5.addEventListener("focus",this.re),overwriteRecordDroppedEvent(this.Gt.errorIds),this.Wt||(addGlobalListeners(this),this.Wt=!0)}catch(t){this.Kt(t)}"_performanceObserver"in WINDOW$5&&(this.Lt=setupPerformanceObserver(this))}Jt(){try{WINDOW$5.document.removeEventListener("visibilitychange",this.ee),WINDOW$5.removeEventListener("blur",this.ne),WINDOW$5.removeEventListener("focus",this.re),restoreRecordDroppedEvent(),this.Lt&&(this.Lt.disconnect(),this.Lt=null)}catch(t){this.Kt(t)}}__init12(){this.Xt=((t,e)=>{this.checkAndHandleExpiredSession()?this.addUpdate(()=>("error"===this.recordingMode&&2===t.type&&this.Yt(),addEvent(this,t,e),2===t.type&&(!(!this.session||!this.session.previousSessionId)||("error"===this.recordingMode&&this.session&&this.Gt.earliestEvent&&(this.session.started=this.Gt.earliestEvent,this.ie()),"session"===this.recordingMode&&this.flushImmediate(),!0)))):("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay] Received replay event after session expired.")})}__init13(){this.ee=(()=>{"visible"===WINDOW$5.document.visibilityState?this.ae():this.se()})}__init14(){this.ne=(()=>{const t=createBreadcrumb({category:"ui.blur"});this.se(t)})}__init15(){this.re=(()=>{const t=createBreadcrumb({category:"ui.focus"});this.ae(t)})}se(t){if(!this.session)return;const e=isSessionExpired(this.session,VISIBILITY_CHANGE_TIMEOUT);t&&!e&&this.oe(t),this.ce()}ae(t){if(!this.session)return;this.checkAndHandleExpiredSession(VISIBILITY_CHANGE_TIMEOUT)?t&&this.oe(t):("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Document has become active, but session has expired")}Qt(){try{("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.log("[Replay] Taking full rrweb snapshot"),record.takeFullSnapshot(!0)}catch(t){this.Kt(t)}}qt(t=(new Date).getTime()){this.Ft=t}Vt(t=(new Date).getTime()){this.session&&(this.session.lastActivity=t,this.ie())}oe(t){this.addUpdate(()=>{addEvent(this,{type:EventType.Custom,timestamp:t.timestamp||0,data:{tag:"breadcrumb",payload:t}})})}ue(){const t=[...this.performanceEvents];return this.performanceEvents=[],Promise.all(createPerformanceSpans(this,createPerformanceEntries(t)))}ce(){"error"!==this.recordingMode&&this.flushImmediate()}te(){this.Gt.errorIds.clear(),this.Gt.traceIds.clear(),this.Gt.urls=[],this.Gt.earliestEvent=null}le(){this.Gt.earliestEvent&&this.Gt.earliestEvent<this.Gt.initialTimestamp&&(this.Gt.initialTimestamp=this.Gt.earliestEvent);const t={initialTimestamp:this.Gt.initialTimestamp,initialUrl:this.Gt.initialUrl,errorIds:Array.from(this.Gt.errorIds).filter(Boolean),traceIds:Array.from(this.Gt.traceIds).filter(Boolean),urls:this.Gt.urls};return this.te(),t}async de(){if(this.session&&this.eventBuffer){if(await this.ue(),this.eventBuffer&&this.eventBuffer.pendingLength&&(await addMemoryEntry(this),this.eventBuffer))try{const t=await this.eventBuffer.finish(),e=this.session.id,n=this.le(),r=this.session.segmentId++;this.ie(),await sendReplay({replayId:e,recordingData:t,segmentId:r,includeReplayStartTimestamp:0===r,eventContext:n,session:this.session,options:this.getOptions(),timestamp:(new Date).getTime()})}catch(t){if(this.Kt(t),t instanceof RateLimitError)return void this.he(t.rateLimits);this.stop()}}else("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay] No session or eventBuffer found to flush.")}__init16(){this.$t=(async()=>{if(this.it)if(this.checkAndHandleExpiredSession())if(this.session){if(this.Ht.cancel(),!this.Ut)return this.Ut=this.de(),await this.Ut,void(this.Ut=null);try{await this.Ut}catch(t){("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error(t)}finally{this.Ht()}}else("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay] No session found to flush.");else("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.error("[Replay] Attempting to finish replay event after session expired.")})}ie(){this.session&&this.q.stickySession&&saveSession(this.session)}he(t){if(this.isPaused())return;const e=disabledUntil(t,"replay")-Date.now();e>0&&(("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.warn("[Replay]",`Rate limit hit, pausing replay for ${e}ms`),this.pause(),this.Ht.cancel(),setTimeout(()=>{("undefined"==typeof __SENTRY_DEBUG__||__SENTRY_DEBUG__)&&logger.info("[Replay]","Resuming replay after rate limit"),this.resume()},e))}}function isBrowser(){return"undefined"!=typeof window&&(!isNodeEnv()||isElectronNodeRenderer())}function isElectronNodeRenderer(){return"undefined"!=typeof process&&"renderer"===process.type}const MEDIA_SELECTORS="img,image,svg,path,rect,area,video,object,picture,embed,map,audio";let _initialized=!1;class Replay{static __initStatic(){this.id="Replay"}__init(){this.name=Replay.id}constructor({flushMinDelay:t=DEFAULT_FLUSH_MIN_DELAY,flushMaxDelay:e=DEFAULT_FLUSH_MAX_DELAY,stickySession:n=!0,useCompression:r=!0,sessionSampleRate:i,errorSampleRate:a,maskAllText:s,maskTextSelector:o,maskAllInputs:c=!0,blockAllMedia:u=!0,Ct:l={},blockClass:d="sentry-block",ignoreClass:h="sentry-ignore",maskTextClass:f="sentry-mask",blockSelector:_="[data-sentry-block]",...p}={}){if(Replay.prototype.__init.call(this),this.Pt={maskAllInputs:c,blockClass:d,ignoreClass:h,maskTextClass:f,maskTextSelector:o,blockSelector:_,...p},this.q={flushMinDelay:t,flushMaxDelay:e,stickySession:n,sessionSampleRate:0,errorSampleRate:0,useCompression:r,maskAllText:"boolean"==typeof s?s:!o,blockAllMedia:u,Ct:l},"number"==typeof i&&(console.warn(`[Replay] You are passing \`sessionSampleRate\` to the Replay integration.\nThis option is deprecated and will be removed soon.\nInstead, configure \`replaysSessionSampleRate\` directly in the SDK init options, e.g.:\nSentry.init({ replaysSessionSampleRate: ${i} })`),this.q.sessionSampleRate=i),"number"==typeof a&&(console.warn(`[Replay] You are passing \`errorSampleRate\` to the Replay integration.\nThis option is deprecated and will be removed soon.\nInstead, configure \`replaysOnErrorSampleRate\` directly in the SDK init options, e.g.:\nSentry.init({ replaysOnErrorSampleRate: ${a} })`),this.q.errorSampleRate=a),this.q.maskAllText&&(this.Pt.maskTextSelector=MASK_ALL_TEXT_SELECTOR),this.q.blockAllMedia&&(this.Pt.blockSelector=this.Pt.blockSelector?`${this.Pt.blockSelector},${MEDIA_SELECTORS}`:MEDIA_SELECTORS),this.fe&&isBrowser())throw new Error("Multiple Sentry Session Replay instances are not supported");this.fe=!0}get fe(){return _initialized}set fe(t){_initialized=t}setupOnce(){isBrowser()&&(this._e(),setTimeout(()=>this.start()))}start(){this.pe&&this.pe.start()}stop(){this.pe&&this.pe.stop()}flush(){if(this.pe&&this.pe.isEnabled())return this.pe.flushImmediate()}_e(){this.me(),this.pe=new ReplayContainer({options:this.q,recordingOptions:this.Pt})}me(){const t=getCurrentHub().getClient(),e=t&&t.getOptions();e&&"number"==typeof e.replaysSessionSampleRate&&(this.q.sessionSampleRate=e.replaysSessionSampleRate),e&&"number"==typeof e.replaysOnErrorSampleRate&&(this.q.errorSampleRate=e.replaysOnErrorSampleRate)}}Replay.__initStatic();let windowIntegrations={};WINDOW$4.Sentry&&WINDOW$4.Sentry.Integrations&&(windowIntegrations=WINDOW$4.Sentry.Integrations);const INTEGRATIONS={...windowIntegrations,...Integrations,...index},PATH_STRIP_RE=/^.*\/[^.]+(\.app|CodePush|.*(?=\/))/;function normalizeUrl(t,e){return`app://${t.replace(/^file:\/\//,"").replace(e,"")}`}function normalizeData(t){t.culprit&&(t.culprit=normalizeUrl(t.culprit,PATH_STRIP_RE));const e=t.stacktrace||t.exception&&t.exception.values&&t.exception.values[0].stacktrace;return e&&e.frames.forEach(t=>{"[native code]"!==t.filename&&"<anonymous>"!==t.filename&&(t.filename=normalizeUrl(t.filename,PATH_STRIP_RE))}),t}class Cordova{constructor(){this.name=Cordova.id}setupOnce(){addGlobalEventProcessor(t=>{return getCurrentHub().getIntegration(Cordova)?normalizeData(t):t})}}Cordova.id="Cordova";class EventOrigin{constructor(){this.name=EventOrigin.id}setupOnce(t){t(t=>{var e;return t.tags=null!==(e=t.tags)&&void 0!==e?e:{},t.tags["event.origin"]="cordova",t.tags["event.environment"]="javascript",t})}}function __rest$1(t,e){var n={};for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&e.indexOf(r)<0&&(n[r]=t[r]);if(null!=t&&"function"==typeof Object.getOwnPropertySymbols){var i=0;for(r=Object.getOwnPropertySymbols(t);i<r.length;i++)e.indexOf(r[i])<0&&(n[r[i]]=t[r[i]])}return n}function __awaiter(t,e,n,r){return new(n||(n=Promise))(function(i,a){function s(t){try{c(r.next(t))}catch(t){a(t)}}function o(t){try{c(r.throw(t))}catch(t){a(t)}}function c(t){t.done?i(t.value):new n(function(e){e(t.value)}).then(s,o)}c((r=r.apply(t,e||[])).next())})}EventOrigin.id="EventOrigin";const SDK_NAME="sentry.javascript.cordova",SDK_VERSION$1="1.1.4";class SdkInfo{constructor(){this.name=SdkInfo.id}setupOnce(t){t(t=>__awaiter(this,void 0,void 0,function*(){return t.platform=t.platform||"javascript",t.sdk=Object.assign(Object.assign({},t.sdk),{name:SDK_NAME,packages:[...t.sdk&&t.sdk.packages||[],{name:"npm:sentry-cordova",version:SDK_VERSION$1}],version:SDK_VERSION$1}),t}))}}SdkInfo.id="SdkInfo";var CordovaPlatformType,index$1=Object.freeze({__proto__:null,Cordova:Cordova,EventOrigin:EventOrigin,SdkInfo:SdkInfo});!function(t){t.Ios="ios",t.Android="android",t.Browser="browser"}(CordovaPlatformType||(CordovaPlatformType={}));const serializeObject=t=>{const e={};return Object.keys(t).forEach(n=>{const r=t[n];e[n]="string"==typeof r?r:JSON.stringify(r)}),e},processLevel=t=>"log"===t?"debug":t,getPlatform=()=>{var t;const e=WINDOW$4;let n=null===(t=null==e?void 0:e.cordova)||void 0===t?void 0:t.platformId;return n&&Object.values(CordovaPlatformType).includes(n)||(n=CordovaPlatformType.Browser),n};function utf8ToBytes(t,e){let n;e=e||1/0;const r=t.length;let i=null;const a=[];for(let s=0;s<r;++s){if((n=t.charCodeAt(s))>55295&&n<57344){if(!i){if(n>56319){(e-=3)>-1&&a.push(239,191,189);continue}if(s+1===r){(e-=3)>-1&&a.push(239,191,189);continue}i=n;continue}if(n<56320){(e-=3)>-1&&a.push(239,191,189),i=n;continue}n=65536+(i-55296<<10|n-56320)}else i&&(e-=3)>-1&&a.push(239,191,189);if(i=null,n<128){if((e-=1)<0)break;a.push(n)}else if(n<2048){if((e-=2)<0)break;a.push(n>>6|192,63&n|128)}else if(n<65536){if((e-=3)<0)break;a.push(n>>12|224,n>>6&63|128,63&n|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((e-=4)<0)break;a.push(n>>18|240,n>>12&63|128,n>>6&63|128,63&n|128)}}return a}const NATIVE={PLUGIN_NAME:"Sentry",SUPPORTS_NATIVE_TRANSPORT:[CordovaPlatformType.Ios,CordovaPlatformType.Android],SUPPORTS_NATIVE_SCOPE_SYNC:[CordovaPlatformType.Ios,CordovaPlatformType.Android],SUPPORTS_NATIVE_SDK:[CordovaPlatformType.Android,CordovaPlatformType.Ios],startWithOptions(t){return __awaiter(this,void 0,void 0,function*(){if(t.enableNative&&this.SUPPORTS_NATIVE_SDK.includes(getPlatform())){const e=Object.assign({enableNative:!0},t);if(this.enableNative=e.enableNative,!e.enableNative)return!1;if(!e.dsn)return logger.warn("Warning: No DSN was provided. The Sentry SDK will be disabled. Native SDK will also not be initialized."),!1;const n=__rest$1(e,["beforeSend","beforeBreadcrumb","integrations","defaultIntegrations","transport"]);return this.ve("startWithOptions",n).then(()=>(this.ge=!0,!0)).catch(()=>(this.ge=!1,logger.warn("Warning: Native SDK was not initialized."),!1))}return this.ge=!1,!1})},sendEnvelope(t){return __awaiter(this,void 0,void 0,function*(){if(!this.enableNative)throw this.Ee;if(!this.isNativeClientAvailable())throw this.ye;const[e]=utf8ToBytes("\n"),[n,r]=t;let i=utf8ToBytes(JSON.stringify(n));i.push(e);for(const t of r){const[n,r]=this.Se(t);let a,s=[];"string"==typeof r?(a="text/plain",s=utf8ToBytes(r)):r instanceof Uint8Array?(a="string"==typeof n.content_type?n.content_type:"application/octet-stream",s=[...r]):(a="application/json",s=utf8ToBytes(JSON.stringify(r))),n.content_type=a,n.length=s.length;const o=JSON.stringify(n);i.push(...utf8ToBytes(o)),i.push(e),(i=i.concat(s)).push(e)}yield this.ve("captureEnvelope",{envelope:i})})},ve(t,...e){return __awaiter(this,void 0,void 0,function*(){return new Promise((n,r)=>{if(!this.enableNative)return void r("enableNative = false, using browser transport");const i=getGlobalObject();if(i&&i.Cordova&&i.Cordova.exec)try{i.Cordova.exec(n,r,this.PLUGIN_NAME,t,e)}catch(t){r("Cordova.exec not available")}else r("Cordova.exec not available")})})},setUser(t){if(!this.isNativeScopeSyncAvailable())return;let e=null,n=null;if(t){const{id:r,ip_address:i,email:a,username:s}=t,o=__rest$1(t,["id","ip_address","email","username"]);e=serializeObject({email:a,id:r,ip_address:i,username:s}),n=serializeObject(o)}this.ve("setUser",e,n)},setTag(t,e){if(!this.isNativeScopeSyncAvailable())return;const n="string"==typeof e?e:JSON.stringify(e);this.ve("setTag",t,n)},setExtra(t,e){if(!this.isNativeScopeSyncAvailable())return;const n="string"==typeof e?e:JSON.stringify(e);this.ve("setExtra",t,n)},addBreadcrumb(t){this.isNativeScopeSyncAvailable()&&this.ve("addBreadcrumb",Object.assign(Object.assign({},t),{level:t.level?processLevel(t.level):void 0,data:t.data?serializeObject(t.data):void 0}))},clearBreadcrumbs(){this.isNativeScopeSyncAvailable()&&this.ve("clearBreadcrumbs")},setContext(t,e){this.isNativeScopeSyncAvailable()&&this.ve("setContext",t,null!==e?serializeObject(e):null)},Se(t){if("android"===NATIVE.platform){const[e,n]=t;if("event"==e.type||"transaction"==e.type){const t=this.be(n);return"message"in t&&(t.message={message:t.message}),t.breadcrumbs&&(t.breadcrumbs=[]),[e,t]}}return t},we(t){if("event"==t[0].type||"transaction"==t[0].type)return this.be(t[1])},be(t){var e;return Object.assign(Object.assign({},t),{level:t.level?this.Te(t.level):void 0,breadcrumbs:null===(e=t.breadcrumbs)||void 0===e?void 0:e.map(t=>Object.assign(Object.assign({},t),{level:t.level?this.Te(t.level):void 0}))})},Te:t=>"log"==t?"debug":"critical"==t?"fatal":t,crash(){if(this.enableNative){if(!this.isNativeClientAvailable())throw this.ye;this.ve("crash")}},isNativeClientAvailable(){return this.enableNative&&this.ge},isNativeTransportAvailable(){return this.isNativeClientAvailable()&&this.SUPPORTS_NATIVE_TRANSPORT.includes(getPlatform())},isNativeScopeSyncAvailable(){return this.isNativeClientAvailable()&&this.SUPPORTS_NATIVE_SCOPE_SYNC.includes(getPlatform())},ye:new SentryError("Native Client is not available."),Ee:new SentryError("Native is disabled"),enableNative:!0,ge:!1,ke:!1,platform:getPlatform().toString()};class CordovaScope extends Scope{setUser(t){return NATIVE.setUser(t),super.setUser(t)}setTag(t,e){return NATIVE.setTag(t,e),super.setTag(t,e)}setTags(t){return Object.keys(t).forEach(e=>{NATIVE.setTag(e,t[e])}),super.setTags(t)}setExtras(t){return Object.keys(t).forEach(e=>{NATIVE.setExtra(e,t[e])}),super.setExtras(t)}setExtra(t,e){return NATIVE.setExtra(t,e),super.setExtra(t,e)}addBreadcrumb(t,e){return NATIVE.addBreadcrumb(t),super.addBreadcrumb(t,e)}clearBreadcrumbs(){return NATIVE.clearBreadcrumbs(),super.clearBreadcrumbs()}setContext(t,e){return NATIVE.setContext(t,e),super.setContext(t,e)}}class NativeTransport{constructor(){this.Re=makePromiseBuffer(30)}send(t){return this.Re.add(()=>NATIVE.sendEnvelope(t))}flush(t){return this.Re.drain(t)}}function makeCordovaTransport(){return new NativeTransport}const DEFAULT_OPTIONS={enableNative:!0,enableAutoSessionTracking:!0,enableNdkScopeSync:!1,attachThreads:!1};function init$1(t){var e;const n=getGlobalObject(),r=Object.assign(Object.assign(Object.assign({enableAutoSessionTracking:!0,enableOutOfMemoryTracking:!0},DEFAULT_OPTIONS),{release:null===(e=null==n?void 0:n.SENTRY_RELEASE)||void 0===e?void 0:e.id}),t);!1===r.enabled||"browser"===NATIVE.platform?(r.enableNative=!1,r.enableNativeNagger=!1):(void 0===r.enableNativeNagger&&(r.enableNativeNagger=!0),void 0===r.enableNative&&(r.enableNative=!0)),makeMain(new Hub(void 0,new CordovaScope)),r.defaultIntegrations=[...defaultIntegrations,new SdkInfo,new EventOrigin,new Cordova],!t.transport&&r.enableNative&&(r.transport=t.transport||makeCordovaTransport);const i=Object.assign(Object.assign({},r),{autoSessionTracking:"browser"===NATIVE.platform&&r.enableAutoSessionTracking}),a=Object.assign(Object.assign({},r),{enableAutoSessionTracking:"browser"!==NATIVE.platform&&r.enableAutoSessionTracking});NATIVE.startWithOptions(a),init(i)}function nativeCrash(){NATIVE.isNativeClientAvailable()&&NATIVE.crash()}const withSentryIonicErrorHandler=t=>{return class extends t{handleError(t){var e;super.handleError(t),captureException(null!==(e=t.originalError)&&void 0!==e?e:t)}}};exports.BrowserIntegrations=INTEGRATIONS,exports.Hub=Hub,exports.Integrations=index$1,exports.SDK_NAME=SDK_NAME,exports.SDK_VERSION=SDK_VERSION$1,exports.Scope=Scope,exports.addBreadcrumb=addBreadcrumb,exports.addGlobalEventProcessor=addGlobalEventProcessor,exports.captureEvent=captureEvent,exports.captureException=captureException,exports.captureMessage=captureMessage,exports.configureScope=configureScope,exports.getCurrentHub=getCurrentHub,exports.getHubFromCarrier=getHubFromCarrier,exports.init=init$1,exports.nativeCrash=nativeCrash,exports.setContext=setContext,exports.setExtra=setExtra,exports.setExtras=setExtras,exports.setTag=setTag,exports.setTags=setTags,exports.setUser=setUser,exports.startTransaction=startTransaction,exports.withScope=withScope,exports.withSentryIonicErrorHandler=withSentryIonicErrorHandler;
//# sourceMappingURL=sentry-cordova.bundle.min.js.map
